<?php

/*
||==========================================================
||		Fusion News 3.x
||----------------------------------------------------------
|| File Version	: $Id: common.php 236 2008-08-06 13:16:39Z xycaleth $
|| Contact	: xycaleth@gmail.com
|| Copyright:	: (c) 2006 - 2008, FusionNews.net
|| License Info	: http://www.gnu.org/copyleft/gpl.html
||==========================================================
*/

error_reporting (E_ALL);

set_magic_quotes_runtime (0);

// Remove all register_globals added variables, so we only get one copy of the variable in its respective superglobal.
// Based on the one from phpBB2.
if ( strtolower (@ini_get ('register_globals')) == 'on' || @ini_get ('register_globals') == 1 )
{
	if ( isset ($_POST['GLOBALS']) || isset ($_GET['GLOBALS']) || isset ($_ENV['GLOBALS']) || isset ($_COOKIE['GLOBALS']) || isset ($_SESSION['GLOBALS']) )
	{
		die ('Hacking Attempt');
	}

	if ( !isset ($_SESSION) || !is_array ($_SESSION) )
	{
		$_SESSION = array();
	}

	// Superglobal vars
	$sg_vars = array_merge ($_GET, $_POST, $_SERVER, $_FILES, $_ENV, $_COOKIE, $_SESSION);
	
	foreach ( $sg_vars as $key => $value )
	{
		if ( $key == '_POST' || $key == '_GET' || $key == '_ENV' ||
			$key == '_SERVER' || $key == '_FILES' || 
			$key == '_COOKIE' || $key == '_SESSION' )
		{
			die ('Hacking attempt.');
		}
	
		if ( isset ($$key) )
		{
			unset ($GLOBALS[$key]);
		}
	}
	
	// Remove $sg_vars and $key and $value...
	unset ($sg_vars, $key, $value);
}

$curve = '3.9.3';

if ( !defined ('FNEWS_ROOT_PATH') )
{
	define ('FNEWS_ROOT_PATH', str_replace ('\\', '/', dirname (__FILE__)) . '/');
}

if ( !defined ('FN_INSTALLER') )
{
	if ( !file_exists (FNEWS_ROOT_PATH . 'install.lock') )
	{
		header ('Location: install.php');
	}
	else if ( file_exists (FNEWS_ROOT_PATH . 'install.php') )
	{
		die ('The install.php file still exists. Please make sure you delete this file.');
	}
}

if ( !file_exists (FNEWS_ROOT_PATH . 'config.php') )
{
	die ('config.php does not exist.');
}

include_once FNEWS_ROOT_PATH . 'config.php';
include_once FNEWS_ROOT_PATH . 'language.db.php';
include_once FNEWS_ROOT_PATH . 'functions.php';

define ('GUEST', 0);
define ('NEWS_REPORTER', 1);
define ('NEWS_EDITOR', 2);
define ('NEWS_ADMIN', 3);

$VARS = array();
$clean_k = '';

foreach ( $_GET as $k => $v )
{
	if ( is_array ($v) )
	{
		$clean_k = clean_key ($k);
		foreach ( $v as $_k => $_v )
		{
			$VARS[$clean_k][clean_key ($_k)] = clean_value ($_v);
		}
	}
	else
	{
		$VARS[clean_key ($k)] = clean_value ($v);
	}
}

foreach ( $_POST as $k => $v )
{
	if ( is_array ($v) )
	{
		$clean_k = clean_key ($k);
		foreach ( $v as $_k => $_v )
		{
			$VARS[$clean_k][clean_key ($_k)] = clean_value ($_v);
		}
	}
	else
	{
		$VARS[clean_key ($k)] = clean_value ($v);
	}
}

?>
