<?php

/*
||==========================================================
||		Fusion News 3.x
||----------------------------------------------------------
|| File Version	: $Id: fullnews.php 230 2008-06-30 18:57:30Z xycaleth $
|| Contact	: xycaleth@gmail.com
|| Copyright:	: (c) 2006 - 2008, FusionNews.net
|| License Info	: http://www.gnu.org/copyleft/gpl.html
||==========================================================
*/

if ( !defined ('FNEWS_ROOT_PATH') )
{
	define ('FNEWS_ROOT_PATH', str_replace ('\\', '/', dirname (__FILE__)) . '/');
	include_once FNEWS_ROOT_PATH . 'common.php';
}

$id = ( isset ($VARS['fn_id']) ) ? (int)$VARS['fn_id'] : 0;
$fn_incl = ( isset ($VARS['fn_incl']) ) ? (int)$VARS['fn_incl'] : 0;

if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $id . '.php') )
{
	echo $flns0;
}
else
{
	$file = file (FNEWS_ROOT_PATH . 'news/news.' . $id . '.php');
	$news_info = parse_news_to_view ($file[1], $fn_incl);

	$temp_full = get_template ('fullnews_temp.php', true);
	echo replace_masks ($temp_full, array (
		'post_id'		=> $news_info['post_id'],
		'subject'		=> $news_info['subject'],
		'description'	=> $news_info['description'],
		'user'		=> $news_info['writer'],
		'date'		=> $news_info['date'],
		'icon'		=> $news_info['icon'],
		'send'		=> $news_info['link_tell_friend'],
		'nrc'			=> $news_info['nrc'],
		'comments'		=> $news_info['link_comments'],
		'cat_icon'		=> $news_info['cat_icon'],
		'cat_id'		=> $news_info['cat_id'],
		'cat_name'		=> $news_info['cat_name'],
		'shortnews'		=> $news_info['news'],
		'fullnews'		=> $news_info['fullnews']
	));
}

?>
