<?php

/*
||==========================================================
||		Fusion News 3.x
||----------------------------------------------------------
|| File Version	: $Id: functions.php 235 2008-08-05 18:25:14Z xycaleth $
|| Contact	: xycaleth@gmail.com
|| Copyright:	: (c) 2006 - 2008, FusionNews.net
|| License Info	: http://www.gnu.org/copyleft/gpl.html
||==========================================================
*/

function InsertBBCode ( $fusnewsm )
{
	// open tags risk wrong formatting of the whole newspage... open tags should be dealth with
	$bbcodes_open  = array('[move]','[sub]','[tt]','[sup]','[s]','[b]','[i]','[u]','[list]','[quote]','[code]');
	$bbcodes_close = array('[/move]','[/sub]','[/tt]','[/sup]','[/s]','[/b]','[/i]','[/u]','[/list]','[/quote]','[/code]');

	for($i = 0; $i < 11; $i++ )
	{
		$bbcode_open = $bbcodes_open[$i];
		$bbcode_close = $bbcodes_close[$i];

		$open_cnt = substr_count( $fusnewsm, $bbcode_open );
		$close_cnt = substr_count( $fusnewsm, $bbcode_close );
		$div = abs( $open_cnt - $close_cnt );

		if ( $open_cnt > $close_cnt )
		{
			for ($i = 0; $i < $div; $i++ )
			{
				$fusnewsm .= $bbcode_close;
			}
		}
		if ( $open_cnt < $close_cnt )
		{
			for ($i = 0; $i < $div; $i++ )
			{
				$fusnewsm = $bbcode_open.$fusnewsm;
			}
		}
	}

	$fusnewsm = str_replace ('[move]', '<marquee>', $fusnewsm);
	$fusnewsm = str_replace ('[/move]', '</marquee>', $fusnewsm);
	$fusnewsm = str_replace ('[sub]', '<sub>', $fusnewsm);
	$fusnewsm = str_replace ('[/sub]', '</sub>', $fusnewsm);
	$fusnewsm = str_replace ('[sup]', '<sup>', $fusnewsm);
	$fusnewsm = str_replace ('[/sup]', '</sup>', $fusnewsm);
	$fusnewsm = str_replace ('[s]', '<s>', $fusnewsm);
	$fusnewsm = str_replace ('[/s]', '</s>', $fusnewsm);
	$fusnewsm = str_replace ('[b]', '<b>', $fusnewsm);
	$fusnewsm = str_replace ('[/b]', '</b>', $fusnewsm);
	$fusnewsm = str_replace ('[i]', '<i>', $fusnewsm);
	$fusnewsm = str_replace ('[/i]', '</i>', $fusnewsm);
	$fusnewsm = str_replace ('[tt]', '<tt>', $fusnewsm);
	$fusnewsm = str_replace ('[/tt]', '</tt>', $fusnewsm);
	$fusnewsm = str_replace ('[u]', '<u>', $fusnewsm);
	$fusnewsm = str_replace ('[/u]', '</u>', $fusnewsm);
	$fusnewsm = str_replace ('[quote]', '<blockquote>quote:<hr style="height:1px" />&quot;', $fusnewsm);
	$fusnewsm = str_replace ('[/quote]', '&quot;<hr style="height:1px" /></blockquote>', $fusnewsm);
	$fusnewsm = str_replace ('[hr]', '<hr />', $fusnewsm);

	$fusnewsm = preg_replace ('/\[shadow=(.+),(left|right|center),(\d+)\](.+)\[\/shadow\]/Ui', '<span style="filter: shadow(color=\\1, direction=\\2); width:\\3px;">\\4</span>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[glow=(.+),(\d+),(\d+)\](.+)\[\/glow\]/Ui', '<span style="filter: glow(color=\\1, strength=\\2); width: \\3px;">\\4</span>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[font=(\w+)](.+)\[\/font\]/Ui', '<span style="font-family:\\1">\\2</span>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[color=(\w+)](.+)\[\/color\]/Ui', '<span style="color:\\1">\\2</span>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[size=(\d+)](.+)\[\/size\]/Ui', '<span style="font-size:\\1px">\\2</span>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[align=(left|center|right)](.+)\[\/align\]/Ui', '<div style="text-align:\\1">\\2</div>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[img](.+)\[\/img]/Ui', '<img src="\\1" alt="" />', $fusnewsm);
	$fusnewsm = preg_replace ('/\[img height=(\d+) width=(\d+)](.+)\[\/img]/Ui', '<img src="\\3" style="height:\\1px; width:\\2px" alt="" />', $fusnewsm);
	$fusnewsm = preg_replace ('/\[img width=(\d+) height=(\d+)](.+)\[\/img]/Ui', '<img src="\\3" style="height:\\2px; width:\\1px" alt="" />', $fusnewsm);
	$fusnewsm = preg_replace ('/\[flash=(\d+),(\d+)](.+)\[\/flash]/Ui', '<object type="application/x-shockwave-flash" data="\\3" width="\\1" height="\\2"><param name="movie" value="\\3" /><span>Flash required</span></object>', $fusnewsm);

	$email_regex = '([A-Za-z0-9\!\#\$\%\&\'\*\+\-\/\=\?\^_`\{\|\}\~]{1,64}@[a-z0-9\-\.]{2,65})';
	$fusnewsm = preg_replace ('/\[email]' . $email_regex . '\[\/email\]/Ui', '<a href="mailto:\\1">\\1</a>', $fusnewsm);
	$fusnewsm = preg_replace ('/\[email=' . $email_regex . '](.+)\[\/email\]/Ui', '<a href="mailto:\\1">\\2</a>', $fusnewsm);

	$url_regex = '\b([a-z]+://([a-z0-9\-\.]{2,65}|[a-z0-9\-\.]{0,56}localhost)(:[0-9]{1,5})?(/(~?[a-z0-9:_/\.%\-]+(\?([a-z0-9\-]+=[a-z0-9\-_:\.%\+]*(&amp;|;|&)?)*){0,1})*((\#[A-Za-z0-9\.\-%/]+)*)){0,1})';
	$url_regex_no_protocol = '\b((www\.|[a-z0-9\-\.]{2,65}|[a-z0-9\-\.]{0,56}localhost)(:[0-9]{1,5})?(/(~?[a-z0-9:_/\.%\-]+(\?([a-z0-9\-]+=[a-z0-9\-_:\.%\+]*(&amp;|;|&)?)*){0,1})*((\#[A-Za-z0-9\.\-%/]+)*)){0,1})';

	// Replace simple URLs
	$fusnewsm = preg_replace ('#(?<!\[url=|\[url\]|")' . $url_regex . '(?!\[\/url\])#i', '[url]$1[/url]', $fusnewsm);

	// [url]link[/url] style
	$fusnewsm = preg_replace ('#\[url\]' . $url_regex . '\[/url\]#Ui', '<a href="\\1" onclick="window.open (this.href); return false;">\\1</a>', $fusnewsm);
	$fusnewsm = preg_replace ('#\[url\]' . $url_regex_no_protocol . '\[/url\]#Ui', '<a href="http://\\1" onclick="window.open (this.href); return false;">\\1</a>', $fusnewsm);

	// [url=link]text[/url] style
	$fusnewsm = preg_replace ('#\[url=' . $url_regex . '\](.+)\[/url\]#Ui', '<a href="$1">$11</a>', $fusnewsm);
	$fusnewsm = preg_replace ('#\[url=' . $url_regex_no_protocol . '\](.+)\[/url\]#Ui', '<a href="http://\\1">\\11</a>', $fusnewsm);

	$fusnewsm = str_replace ('[list]', '<ul>', $fusnewsm);
	$fusnewsm = preg_replace ('#\[\*\]([^\[]+)#', '<li>\\1</li>', $fusnewsm);
	$fusnewsm = str_replace ('[/list]', '</ul>', $fusnewsm);

	return $fusnewsm;
}

function InsertSmillies ( $fusnewsm )
{
	global $furl;

	$file = file (FNEWS_ROOT_PATH . 'smillies.php');
	array_shift ($file);
	foreach($file as $value)
	{
		$smiley = get_line_data ('smillies', $value);
		
		$code = html_entity_decode (stripslashes ($smiley['bbcode']));
		$image = chop ($smiley['image']);
		$fusnewsm = str_replace ($code, '<img src="' . $furl . '/smillies/' . $image . '" alt="' . $code . '" />', $fusnewsm);
	}

	return $fusnewsm;
}

function get_template ( $template, $php_enabled )
{
	$text = '';

	if ( file_exists (FNEWS_ROOT_PATH . 'templates/' . $template) )
	{
		if ( $php_enabled )
		{
			ob_start();
			include (FNEWS_ROOT_PATH . 'templates/' . $template);
			$text = ob_get_contents();
			ob_end_clean();
		}
		else
		{
			$fp = fopen (FNEWS_ROOT_PATH . 'templates/' . $template, 'rb');
			@flock ($fp, LOCK_EX);

			while ( !feof ($fp) )
			{
				$buffer = fgets ($fp, 4096);
				$text .= $buffer;
			}

			@flock ($fp, LOCK_UN);
			fclose ($fp);
		}
	}

	return $text;
}

function arrange_by_date()
{
	$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
	array_shift ($file);

	$data = array();
	if ( count ($file) > 0 )
	{
		$array = array();
		foreach ( $file as $value )
		{
			$news_data = explode ('|<|', $value);
			$array[$news_data[1]] = chop (trim ($value));
		}

		if ( sizeof ($array) > 0 )
		{
			krsort ($array);

			foreach ( $array as $val )
			{
				$data[] = $val;
			}
		}
	}

	return $data;
}

function fusion_wordwrap ($post, $maxwordlen)
{
	if ( $post !== '' )
	{
		$eachword = explode (' ', $post);
		$post = '';

		$numlines = ceil (sizeof ($eachword) / $maxwordlen);
		for ( $i = 0; $i < $numlines; $i++ )
		{
			for ( $j = 0; ($j < $maxwordlen) && (isset ($eachword[($i * $maxwordlen) + $j])); $j++ )
			{
				$post .= $eachword[($i * $maxwordlen) + $j] . ' ';
			}

			$post .= '<br />' . "\n";
		}
	}

	return $post;
}

function filterbadwords ( $post )
{
	$words = array();
	$file = file (FNEWS_ROOT_PATH . 'badwords.php');
	array_shift ($file);

	$find_array = array();
	$replace_array = array();
	foreach ( $file as $rule )
	{
		$badword = get_line_data ('badwords', $rule);

		if ( $badword['type'] == 2 )
		{
			// Regular expressions match
			$find_array[] = $badword['find'];
			$replace_array[] = $badword['replace'];
		}
		else
		{
			// Strict or loose
			if ( $badword['type'] == 0 )
			{
				// Strict
				$find_array[] = '#\b' . preg_quote ($badword['find'], '#') . '\b#' . (!$badword['case_sensitive'] ? 'i' : '');
			}
			else if ( $badword['type'] == 1 )
			{
				// Loose
				$find_array[] = '#' . preg_quote ($badword['find'], '#') . '#' . (!$badword['case_sensitive'] ? 'i' : '');
			}
			$replace_array[] = $badword['replace'];
		}
	}

	$post = preg_replace ($find_array, $replace_array, $post);

	return $post;
}

function findwriter ( $user, $nick = '' )
{
	if ( !$nick && !$user )
	{
		return false;
	}

	if ( !$nick && $user )
	{
		$nick = $user;
	}

	if ($nick && !$user)
	{
		$user = $nick;
	}

	$file = file(FNEWS_ROOT_PATH . 'users.php');
	array_shift($file);
	foreach ( $file as $value )
	{
		$userdat = get_line_data ('users', $value);

		if( ($user == $userdat['username']) || ($nick == $userdat['nickname']) )
		{
			$email = explode ('=', $userdat['email']);

			return array (
				'user'		=> $userdat['username'],
				'nick'		=> $userdat['nickname'],
				'email'		=> $email[1],
				'showemail'		=> $email[0],
				'icon'		=> $userdat['icon'],
				'timeoffset'	=> $userdat['timeoffset'],
				'level'		=> $userdat['level']
			);
		}
	}

	return false;
}

function calc_size ( $size )
{
	if ( $size < 1024 )
	{ // Bytes
		return $size . ' B';
	}
	else if ( $size < (1024 * 1024) )
	{ // Kilobytes
		return round (($size / 1024), 2) . ' KB';
	}
	else if ( $size < (1024 * 1024 * 1024) )
	{ // Megabytes
		return round ($size / (1024 * 1024), 2) . ' MB';
	}
}

function valid_email ( $email )
{
	// Returns true if email address has a valid form.
	return preg_match ('#[A-Za-z0-9\!\#\$\%\&\'\*\+\-\/\=\?\^_`\{\|\}\~]{1,64}@[a-z0-9\-\.]{2,65}#', $email);
}

function checkifflooding()
{
	global $floodtime;
	
	$user_ip = getip();
	$current_time = time();

	$file = file (FNEWS_ROOT_PATH . 'flood.php');
	$data = array_shift ($file);
	
	$flooding = false;
	foreach ( $file as $line )
	{
		$record = get_line_data ('flood', $line);
		
		if ( ($record['timestamp'] + $floodtime) <= $current_time )
		{
			// Times up. Remove this old record.
			continue;
		}
		
		if ( $record['ip'] == $user_ip )
		{
			// We've added a comment too recently.
			$flooding = true;
		}
		
		$data .= $line;
	}
	
	safe_write ('flood.php', 'wb', $data);
	
	return $flooding;
}

function checkifbanned ( $ip )
{
	$file = file (FNEWS_ROOT_PATH . 'banned.php');
	array_shift($file);

	$my_subnet = explode ('.', $ip);
	foreach ( $file as $value )
	{
		$value = trim ($value);
		$octet = explode ('.', $value);
		if ( ($octet[0] == $my_subnet[0] || $octet[0] == '*') &&
			($octet[1] == $my_subnet[1] || $octet[1] == '*') &&
			($octet[2] == $my_subnet[2] || $octet[2] == '*') &&
			($octet[3] == $my_subnet[3] || $octet[3] == '*') )
		{
			return true;
		}
	}

	return false;
}

function getip()
{
	$realip = '';

	if ( isset ($_SERVER) )
	{
		if ( isset ( $_SERVER['REMOTE_ADDR']) )
		{
			$realip = $_SERVER['REMOTE_ADDR'];
		}
		else if ( isset ($_SERVER['HTTP_CLIENT_IP']) )
		{
			$realip = $_SERVER['HTTP_CLIENT_IP'];
		}
		else
		{
			$realip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		}
	}
	else
	{
		if ( getenv ('REMOTE_ADDR') )
		{
			$realip = getenv ('REMOTE_ADDR');
		}
		else if ( getenv ('HTTP_CLIENT_IP') )
		{
			$realip = getenv ('HTTP_CLIENT_IP');
		}
		else
		{
			$realip = getenv ('HTTP_X_FORWARDED_FOR');
		}
	}

	return $realip;
}

function has_access ( $level )
{
	global $userdata;

	return ( $userdata != NULL ) ? ($userdata['level'] >= $level) : false;
}

function clean_key ( $key )
{
	if ( $key != '' )
	{
		$key = preg_replace ('/[^A-Za-z0-9_]+/',	'',	$key);
		$key = preg_replace ('/\.\./',			'',	$key);
		$key = preg_replace ('/\_\_(.+?)\_\_/',		'',	$key);
		$key = preg_replace ('/^([\w\.\-\_]+)$/',	'$1',	$key);
	}

	return $key;
}

function clean_value ( $val )
{
	if ( $val != '' )
	{
		// I think this block of slightly modified code came from IPB.
		$val = str_replace ('&#032;',		' ',		$val);
		$val = str_replace ('&',		'&amp;',	$val);
		$val = str_replace ('<!',		'&#60;&#33;',	$val);
		$val = str_replace ('-->',		'--&#62;',	$val);
		$val = preg_replace ('/<script/i',	'&#60;script',	$val);
		$val = str_replace ('>',		'&gt;',		$val);
		$val = str_replace ('<',		'&lt;',		$val);
		$val = preg_replace ('/\|/',		'&#124;',	$val);

		if ( strtolower (ini_get ('magic_quotes_sybase')) == 'on' || ini_get ('magic_quotes_sybase') == 1 )
		{
			$val = str_replace ('\'\'', '\'', $val);
		}

		$find = array ('\\"', '\\\\', '\\\'');
		$replace = array ('&quot;', '\\', '\'');

		$val = str_replace ($find, $replace, $val);
		$val = str_replace ("\r\n",		"\n",		$val);	// Win32 => new line
		$val = str_replace ("\r",		"\n",		$val);	// Mac => new line
		$val = str_replace ('!',		'&#33;',	$val);

		// Multibyte characters fix (could do it properly, but this is the easiest way and it works relatively well)
		$val = preg_replace ('/&amp;#([0-9]+);/', '&#$1;', $val);
	}

	return $val;
}

function config_array()
{
	require './config.php';

	return array(
		'fusion_id'		=> $fusion_id,
		'site'			=> $site,
		'furl'			=> $furl,
		'hurl'			=> $hurl,
		'datefor'		=> $datefor,
		'numofposts'		=> $numofposts,
		'numofh'		=> $numofh,
		'bb'			=> $bb,
		'ht'			=> $ht,
		'post_per_day'		=> $post_per_day,
		'ppp_date'		=> $ppp_date,
		'wfpost'		=> $wfpost,
		'wfcom'			=> $wfcom,
		'skin'			=> $skin,
		'cbwordwrap'		=> $cbwordwrap,
		'wwwidth'		=> $wwwidth,
		'smilies'		=> $smilies,
		'stfpop'		=> $stfpop,
		'comallowbr'		=> $comallowbr,
		'stfwidth'		=> $stfwidth,
		'stfheight'		=> $stfheight,
		'fslink'		=> $fslink,
		'stflink'		=> $stflink,
		'pclink'		=> $pclink,
		'fsnw'			=> $fsnw,
		'cbflood'		=> $cbflood,
		'floodtime'		=> $floodtime,
		'comlength'		=> $comlength,
		'fullnewsw'		=> $fullnewsw,
		'fullnewsh'		=> $fullnewsh,
		'fullnewss'		=> $fullnewss,
		'stfresize'		=> $stfresize,
		'stfscrolls'		=> $stfscrolls,
		'fullnewsz'		=> $fullnewsz,
		'htc'			=> $htc,
		'smilcom'		=> $smilcom,
		'bbc'			=> $bbc,
		'compop'		=> $compop,
		'comscrolls'		=> $comscrolls,
		'comresize'		=> $comresize,
		'comheight'		=> $comheight,
		'comwidth'		=> $comwidth,
		'uploads_active'	=> $uploads_active,
		'uploads_size'		=> $uploads_size,
		'uploads_ext'		=> $uploads_ext,
		'enable_rss'		=> $enable_rss,
		'link_headline_fullstory' => $link_headline_fullstory,
		'flip_news'		=> $flip_news,
		'rss_title'		=> $rss_title,
		'rss_description'	=> $rss_description,
		'rss_encoding'		=> $rss_encoding,
		'com_validation'	=> $com_validation,
		'com_captcha'		=> $com_captcha,
		'news_pagination'	=> $news_pagination,
		'ppp_date'		=> $ppp_date,
		'news_pagination_arrows'=> $news_pagination_arrows,
		'news_pagination_numbers'=> $news_pagination_numbers,
		'news_pagination_prv'	=> $news_pagination_prv,
		'news_pagination_nxt'	=> $news_pagination_nxt,
		'comments_pages'	=> $comments_pages,
		'comments_per_page'	=> $comments_per_page,
	);
}

function save_config ( $configs )
{
	global $curve;

	require './config.php';

	// Replace ' with \'
	$find = '\'';
	$replace = '\\\'';
	$variables = array ('site', 'furl', 'hurl', 'datefor', 'skin', 'fslink', 'stflink', 'pclink',
				'rss_title', 'rss_description', 'rss_encoding', 'news_pagination_nxt', 'news_pagination_prv');
	foreach ( $variables as $config_var )
	{
		$configs[$config_var] = str_replace ($find, $replace, $configs[$config_var]);
	}

	$save  = "<?php\n\n";
	$save .= '// Auto generated by Fusion News v' . $curve . "\n\n";
	$save .= "\$fusion_id = '".$configs['fusion_id']."';\n";
	$save .= "\$site = '".$configs['site']."';\n";
	$save .= "\$furl = '".$configs['furl']."';\n";
	$save .= "\$hurl = '".$configs['hurl']."';\n";
	$save .= "\$datefor = '".$configs['datefor']."';\n";
	$save .= "\$numofposts = ".$configs['numofposts'].";\n";
	$save .= "\$numofh = ".$configs['numofh'].";\n";
	$save .= "\$bb = ".$configs['bb'].";\n";
	$save .= "\$ht = ".$configs['ht'].";\n";
	$save .= "\$post_per_day = ".$configs['post_per_day'].";\n";
	$save .= "\$wfpost = ".$configs['wfpost'].";\n";
	$save .= "\$wfcom = ".$configs['wfcom'].";\n";
	$save .= "\$skin = '".$configs['skin']."';\n";
	$save .= "\$cbwordwrap = ".$configs['cbwordwrap'].";\n";
	$save .= "\$wwwidth = ".$configs['wwwidth'].";\n";
	$save .= "\$smilies = ".$configs['smilies'].";\n";
	$save .= "\$stfpop = ".$configs['stfpop'].";\n";
	$save .= "\$comallowbr = ".$configs['comallowbr'].";\n";
	$save .= "\$stfwidth = ".$configs['stfwidth'].";\n";
	$save .= "\$stfheight = ".$configs['stfheight'].";\n";
	$save .= "\$fslink = '".$configs['fslink']."';\n";
	$save .= "\$stflink = '".$configs['stflink']."';\n";
	$save .= "\$pclink = '".$configs['pclink']."';\n";
	$save .= "\$fsnw = ".$configs['fsnw'].";\n";
	$save .= "\$cbflood = ".$configs['cbflood'].";\n";
	$save .= "\$floodtime = ".$configs['floodtime'].";\n";
	$save .= "\$comlength = ".$configs['comlength'].";\n";
	$save .= "\$fullnewsw = ".$configs['fullnewsw'].";\n";
	$save .= "\$fullnewsh = ".$configs['fullnewsh'].";\n";
	$save .= "\$fullnewss = ".$configs['fullnewss'].";\n";
	$save .= "\$stfresize = ".$configs['stfresize'].";\n";
	$save .= "\$stfscrolls = ".$configs['stfscrolls'].";\n";
	$save .= "\$fullnewsz = ".$configs['fullnewsz'].";\n";
	$save .= "\$htc = ".$configs['htc'].";\n";
	$save .= "\$smilcom = ".$configs['smilcom'].";\n";
	$save .= "\$bbc = ".$configs['bbc'].";\n";
	$save .= "\$compop = ".$configs['compop'].";\n";
	$save .= "\$comscrolls = ".$configs['comscrolls'].";\n";
	$save .= "\$comresize = ".$configs['comresize'].";\n";
	$save .= "\$comheight = ".$configs['comheight'].";\n";
	$save .= "\$comwidth = ".$configs['comwidth'].";\n";
	$save .= "\$uploads_active = ".$configs['uploads_active'].";\n";
	$save .= "\$uploads_size = ".$configs['uploads_size'].";\n";
	$save .= "\$uploads_ext = '".$configs['uploads_ext']."';\n";
	$save .= "\$enable_rss = ".$configs['enable_rss'].";\n";
	$save .= "\$link_headline_fullstory = ".$configs['link_headline_fullstory'].";\n";
	$save .= "\$flip_news = ".$configs['flip_news'].";\n";
	$save .= "\$rss_title = '" . $configs['rss_title'] . "';\n";
	$save .= "\$rss_description = '" . $configs['rss_description'] . "';\n";
	$save .= "\$rss_encoding = '" . $configs['rss_encoding'] . "';\n";
	$save .= '$com_validation = ' . $configs['com_validation'] . ';' . "\n";
	$save .= '$com_captcha = ' . $configs['com_captcha'] . ';' . "\n";
	$save .= '$news_pagination = ' . $configs['news_pagination'] . ';' . "\n";
	$save .= '$news_pagination_prv = \'' . $configs['news_pagination_prv'] . '\';' . "\n";
	$save .= '$news_pagination_nxt = \'' . $configs['news_pagination_nxt'] . '\';' . "\n";
	$save .= '$news_pagination_numbers = ' . $configs['news_pagination_numbers'] . ';' . "\n";
	$save .= '$news_pagination_arrows = ' . $configs['news_pagination_arrows'] . ';' . "\n";
	$save .= '$ppp_date = \'' . $configs['ppp_date'] . '\';' . "\n";
	$save .= '$comments_pages = ' . $configs['comments_pages'] . ';' . "\n";
	$save .= '$comments_per_page = ' . $configs['comments_per_page'] . ';' . "\n\n";
	$save .= '?' . '>';	// Split it up to prevent some editors from thinking it's a real PHP end tag.

	return safe_write ('config.php', 'w', $save);
}

function check_security_code ( $entered_code, $confirm_id, $news_id )
{
	global $error1;

	if ( empty ($confirm_id) || strlen ($entered_code) != 5 )
	{
		return false;
	}

	$file = file (FNEWS_ROOT_PATH . 'sessions.php');
	array_shift ($file);

	$valid_code = false;
	$data = '<?php die (\'' . $error1 . '\'); ?>' . "\n";
	$current_time = time();
	$user_ip = getip();
	foreach ( $file as $value )
	{
		$session = get_line_data ('sessions', $value);

		if ( $confirm_id == $session['session_id'] )
		{
			if ( $entered_code == $session['code'] &&
				$news_id == $session['news_id'] &&
				$session['ip'] == $user_ip &&
				($session['last_visit'] + 600 >= $current_time) )
			{
				$valid_code = true;
			}
		}
		else
		{
			if ( ($session['last_visit'] + 600) >= $current_time )
			{
				$data .= $value;
			}
		}
	}

	safe_write ('sessions.php', 'wb', $data);

	return $valid_code;
}

function show_extras ( $form_name, $textbox_name, $show_smilies, $show_bbcode )
{
	global $furl;

	$extra_html = '';

	if ( $show_smilies )
	{
		$file = file (FNEWS_ROOT_PATH . 'smillies.php');
		array_shift ($file);
		foreach ( $file as $smiley )
		{
			$smiley = get_line_data ('smillies', $smiley);

			$text = str_replace ('\'', '\\\'', $smiley['bbcode']);
			$extra_html .= '<a href="javascript:smiley_bbcode(\'' . $form_name . '\', \'' . $textbox_name . '\', \'' . $text . '\');"><img src="' . $furl . '/smillies/' . $smiley['image'] . '" alt=""  /></a>';
		}

		$extra_html .= '<br />' . "\n";
	}

	if ( $show_bbcode )
	{
		$extra_html .=
<<< html
<a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[b][/b]', 3);"><img src="{$furl}/img/bold.gif"  alt="Bold" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[i][/i]', 3);"><img src="{$furl}/img/italic.gif"  alt="Italic" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[u][/u]', 3);"><img src="{$furl}/img/underline.gif"  alt="Underline" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[s][/s]', 3);"><img src="{$furl}/img/strike.gif"  alt="Strike Out" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[sub][/sub]', 5);"><img src="{$furl}/img/sub.gif" alt="Subscript" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[sup][/sup]', 5);"><img src="{$furl}/img/sup.gif" alt="Superscript" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[shadow=red,left,1][/shadow]', 19);"><img src="{$furl}/img/shadow.gif"  alt="Shadow Text" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[glow=red,2,1][/glow]', 14);"><img src="{$furl}/img/glow.gif"  alt="Glow Text" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[color=red][/color]', 11);"><img src="{$furl}/img/color.gif" alt="Font color" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[font=verdana][/font]', 14);"><img src="{$furl}/img/fontface.gif"  alt="Font Family" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[size=16][/size]', 9);"><img src="{$furl}/img/fontsize.gif"  alt="Font Size" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[align=left][/align]', 12);"><img src="{$furl}/img/fontleft.gif"  alt="Font Alignment" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[tt][/tt]', 4);"><img src="{$furl}/img/tele.gif"  alt="Teletype" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[hr]');"><img src="{$furl}/img/hr.gif"  alt="Horizontal Line" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[move][/move]', 6);"><img src="{$furl}/img/move.gif"  alt="Marquee" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[quote][/quote]', 7);"><img src="{$furl}/img/quote2.gif"  alt="Quote" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[flash=200,200][/flash]', 15);"><img src="{$furl}/img/flash.gif"  alt="Flash Image" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[img][/img]', 5);"><img src="{$furl}/img/img.gif"  alt="Image" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[email=username@site.com][/email]', 25);"><img src="{$furl}/img/email2.gif"  alt="E-mail link" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[url=http://www.url.com][/url]', 24);"><img src="{$furl}/img/url.gif"  alt="hyperlink" /></a><a href="javascript:smiley_bbcode('$form_name', '$textbox_name', '[list][*]text1[*]text2[*]text3[/list]');"><img src="{$furl}/img/list.gif"  alt="List" /></a><br />
html;
	}

	return $extra_html;
}

/**
 * $dropdown_type = 0 for multiple selection list
 * $dropdown_type = 1 for dropdown and selected item
 * $dropdown_type = 2 for dropdown and remove items listed in $selected_category
 **/
function build_categories_list ( $user_login, $selected_category = array (1), $dropdown_type = 0 )
{
	$file = file (FNEWS_ROOT_PATH . 'categories.php');
	array_shift ($file);

	$category_list = '<select class="post" id="category"' . (( $dropdown_type > 0 ) ? ' name="category">' : ' name="category[]" multiple="multiple" size="4">');

	foreach ( $file as $category )
	{
		$category = get_line_data ('categories', $category);

		$cusers = explode (',', $category['users']);
		if ( $category['category_id'] == 1 || in_array ((string)$user_login, $cusers) || (string)$user_login === '' )
		{
			if ( in_array ($category['category_id'], (array)$selected_category) )
			{
				if ( $dropdown_type >= 0 && $dropdown_type < 2 )
				{
					$category_list .= '<option value="' . $category['category_id'] . '" selected="selected">' . $category['name'] . '</option>';
				}
			}
			else
			{
				$category_list .= '<option value="' . $category['category_id'] . '">' . $category['name'] . '</option>';
			}
		}
	}

	$category_list .= '</select>';

	return $category_list;
}

function check_category_access ( $user_login, $category_array = array() )
{
	if ( sizeof ($category_array) > 0 )
	{
		$file = file (FNEWS_ROOT_PATH . 'categories.php');
		array_shift ($file);

		foreach ( $file as $category )
		{
			$category = get_line_data ('categories', $category);

			if ( $category['category_id'] == 1 )
			{
				continue;
			}

			if ( in_array ($category['category_id'], $category_array) )
			{
				$cusers = explode (',', $category['users']);
				if ( !in_array ((string)$user_login, $cusers) )
				{
					return $category['name'];
				}
			}
		}
	}

	return NULL;
}

function category_exists ( $category_id = -1 )
{
	$category_id = intval ($category_id);

	$file = file (FNEWS_ROOT_PATH . 'categories.php');
	array_shift ($file);

	$found = false;
	foreach ( $file as $category )
	{
		$category = get_line_data ('categories', $category);
		if ( (int)$category['category_id'] === $category_id )
		{
			$found = true;
		}
	}

	return $found;
}

function safe_write ( $filename, $mode, $data )
{
	global $ind17, $error2;

	if ( !($fp = @fopen (FNEWS_ROOT_PATH . $filename, $mode)) )
	{
		trigger_error (sprintf ($error2, $filename), E_USER_WARNING);
	}
	else
	{
		@flock ($fp, LOCK_EX);
		fputs ($fp, $data, strlen ($data));
		@flock ($fp, LOCK_UN);
		fclose ($fp);

		return true;
	}

	return false;
}

function checkbox_checked ( $value, $match = 1 )
{
	return $value == $match ? ' checked="checked"' : '';
}

function parse_news_to_view ( $news_string, $show_category = 0, $news_url = '' )
{
	global $fsnw, $wfpost, $ht, $cbwordwrap, $smilies, $bb, $stfpop, $compop,
		$furl, $fullnewsh, $fullnewsw, $fullnewss, $fullnewsz, $fslink, $datefor,
		$stflink, $stfheight, $stfwidth, $stfscrolls, $stfresize, $pclink, $datefor,
		$link_headline_fullstory, $hurl, $wwwidth, $comheight, $comwidth, $comscrolls,
		$comresize;

	$news_text = array();

	if ( !empty ($news_string) )
	{
		$icon = '';
		$email = '';
		$writer = '';
		$link_full_news = '';
		$link_comments = '';
		$link_tell_friend = '';
		
		$article = $news_string;
		if ( !is_array ($news_string) )
		{
			$article = get_line_data ('news', $news_string);
		}

		// Get the template HTML
		$news_tmpl = get_template ('news_temp.php', false);		
		$other_qs = clean_query_string();
		
		$sep = ( strpos ($news_url, '?') === false ) ? '?' : '&amp;';

		// Create the 'read more...' link
		if ( strpos ($news_tmpl, '{fullstory}') !== false && !empty ($article['fullnews']) )
		{
			$link_full_news = '<a href="' . $news_url . $sep . 'fn_mode=fullnews&amp;fn_incl=' . $show_category . '&amp;fn_id=' . $article['news_id'] . $other_qs . '"' . (( $fsnw ) ? ' onclick="javascript:window.open(this.href,\'\',\'height=' . $fullnewsh . ',width=' . $fullnewsw . ',toolbar=no,menubar=no,scrollbars=' . $fullnewss . ',resizable=' . $fullnewsz . '\'); return false"' : '') . '>' . $fslink . '</a>';
		}

		// Create the comments link
		if ( strpos ($news_tmpl, '{comments}') !== false && strpos ($news_tmpl, '{nrc}') !== false )
		{
			$link_comments = '<a href="' . $news_url . $sep . 'fn_mode=comments&amp;fn_incl=' . $show_category . '&amp;fn_id=' . $article['news_id'] . $other_qs . '"' . (( $compop ) ? ' onclick="window.open(this.href,\'\',\'height=' . $comheight . ',width=' . $comwidth . ',toolbar=no,menubar=no,scrollbars=' . $comscrolls . ',resizable=' . $comresize . '\'); return false"' : '') . '>' . $pclink . '</a>';
		}

		// Create the tell a friend link
		if ( strpos ($news_tmpl, '{send}') !== false )
		{
			$link_tell_friend = '<a href="' . $news_url . $sep . 'fn_mode=send&amp;fn_incl=' . $show_category . '&amp;fn_id=' . $article['news_id'] . $other_qs . '"' . (( $stfpop ) ? ' onclick="window.open(this.href,\'\',\'height=' . $stfheight . ',width=' . $stfwidth . ',toolbar=no,menubar=no,scrollbars=' . $stfscrolls . ',resizable=' . $stfresize . '\'); return false"' : '') . '>' . $stflink . '</a>';
		}

		// Make sure the number of comments is 0 or above.
		$num_comments = ( (int)$article['numcomments'] < 0 ) ? 0 : (int)$article['numcomments'];

		// Get author information
		$author = findwriter ($article['author']);

		// Create the icon
		if ( strpos ($news_tmpl, '{icon}') !== false && !empty ($author['icon']) )
		{
			$icon = '<img src="' . $author['icon'] . '" alt="" />';
		}

		// Put the writer's name with his email as a link, or in some cases not.
		$email = ( $author['showemail'] ) ? $author['email'] : '';
		if ( !$email )
		{
			$writer = $author['nick'];
		}
		else
		{
			$writer = '<a href="mailto:' . $author['email'] . '">' . $author['nick'] . '</a>';
		}

		// Get our new lines back
		$article['shortnews'] = str_replace ('&br;', '<br />', $article['shortnews']);
		$article['fullnews'] = str_replace ('&br;', '<br />', $article['fullnews']);

		// Do we need to use the word filter?
		if ( $wfpost )
		{
			$article['headline'] = filterbadwords ($article['headline']);
			$article['shortnews'] = filterbadwords ($article['shortnews']);
			$article['fullnews'] = filterbadwords ($article['fullnews']);
		}

		// Disable HTML if needed.
		if ( $ht )
		{
			$article['headline'] = html_entity_decode ($article['headline']);

			$article['shortnews'] = html_entity_decode ($article['shortnews']);
			$article['shortnews'] = str_replace ('<?', '&lt;?', $article['shortnews']);

			$article['fullnews'] = html_entity_decode ($article['fullnews']);
			$article['fullnews'] = str_replace ('<?', '&lt;?', $article['fullnews']);
		}

		// Word wrap the news
		if ( $cbwordwrap )
		{
			$article['shortnews'] = fusion_wordwrap ($article['shortnews'], $wwwidth);
			$article['fullnews'] = fusion_wordwrap ($article['fullnews'], $wwwidth);
		}
		
		// Insert the smilies!
		if ( $smilies )
		{
			$article['headline'] = InsertSmillies ($article['headline']);
			$article['shortnews'] = InsertSmillies ($article['shortnews']);
			$article['fullnews'] = InsertSmillies ($article['fullnews']);
		}

		// Replace the BBCode
		if ( $bb )
		{
			$article['headline'] = InsertBBCode ($article['headline']);
			$article['shortnews'] = InsertBBCode ($article['shortnews']);
			$article['fullnews'] = InsertBBCode ($article['fullnews']);
		}

		$file = file (FNEWS_ROOT_PATH . 'categories.php');
		array_shift ($file);
		$categories = explode (',', $article['categories']);
		$cat_icon = '';
		$cat_id = 0;
		$cat_name = '';
		foreach ( $file as $category )
		{
			$category = get_line_data ('categories', $category);

			if ( ($show_category > 0 && $category['category_id'] == $show_category) ||
				($show_category <= 0 && in_array ($category['category_id'], $categories)) )
			{
				$cat_icon = $category['icon'] != '' ? '<img src="' . $category['icon'] . '" alt="" />' : '';
				$cat_id = $category['category_id'];
				$cat_name = $category['name'];
				break;
			}
		}

		$news_text = array (
			'post_id'		=> $article['news_id'],
			'link_tell_friend'=> $link_tell_friend,
			'link_full_news'	=> $link_full_news,
			'subject'		=> $article['headline'],
			'description'	=> $article['description'],
			'writer'		=> $writer,
			'email'		=> $email,
			'date'		=> date ($datefor, $article['timestamp']),
			'icon'		=> $icon,
			'news'		=> $article['shortnews'],
			'fullnews'		=> $article['fullnews'],
			'cat_icon'		=> $cat_icon,
			'cat_id'		=> $cat_id,
			'cat_name'		=> $cat_name,
		);

		if ( strpos ($news_tmpl, '{comments}') !== false && strpos ($news_tmpl, '{nrc}') !== false )
		{
			$news_text += array (
				'nrc'			=> $num_comments,
				'link_comments'	=> $link_comments,
			);
		}
		else
		{
			$news_text += array ('nrc' => '', 'link_comments' => '');
		}

		// Replace in the values!		
		$news_tmpl = replace_masks ($news_tmpl, array (
			'post_id'		=> $news_text['post_id'],
			'user'		=> $news_text['writer'],
			'date'		=> $news_text['date'],
			'icon'		=> $news_text['icon'],
			'send'		=> $news_text['link_tell_friend'],
			'nrc'			=> $news_text['nrc'],
			'cat_id'		=> $news_text['cat_id'],
			'cat_name'		=> $news_text['cat_name'],
			'cat_icon'		=> $news_text['cat_icon'],
			'fullstory'		=> $news_text['link_full_news'],
			'comments'		=> $news_text['link_comments'],
			'subject'		=> '<a id="fus_' . $news_text['post_id'] . '"></a>' . $news_text['subject'],
			'news'		=> $news_text['news'],
			'description'	=> $news_text['description']
		));

		$news_text += array ('display' => $news_tmpl);
	}

	return $news_text;
}

// PHP 4.3.2 compatability
if ( !function_exists ('session_regenerate_id') )
{
	function session_regenerate_id()
	{
		$str = '';
		mt_srand ((double)microtime() * 100000);
		for ( $i = 0; $i < 32; $i++ )
		{
			$x = mt_rand (1, 3);
			$str .= ($x == 1) ? chr (mt_rand (48, 57)) : (( $x == 2 ) ? chr (mt_rand (65, 90)) : chr (mt_rand (97, 122)));
		}

		if ( session_id ($str) )
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}

/**
 * Login session functions
 **/

/**
 * This function's shared by the installer too to create the login identifier
 */
function create_security_id ( $length = 32 )
{
	$str = '';
	mt_srand ((double)microtime() * 100000);
	for ( $i = 0; $i < $length; $i++ )
	{
		$x = mt_rand (1, 3);
		$str .= ($x == 1) ? chr (mt_rand (48, 57)) : (( $x == 2 ) ? chr (mt_rand (65, 90)) : chr (mt_rand (97, 122)));
	}

	return $str;
}

function login_session_create ( $uid, $autologin = 0 )
{
	$file = file (FNEWS_ROOT_PATH . 'logins.php');
	$write = array_shift ($file);

	$user_ip = getip();
	$current_time = time();
	foreach ( $file as $login_data )
	{
		$login = get_line_data ('logins', $login_data);

		if ( (($user_ip == $login['ip']) || ($login['user_id'] == $uid)) && $login['autologin'] != 1 )
		{
			// Purge old existing security id
			continue;
		}

		if ( $current_time <= ($login['login_time'] + 1800) )
		{
			$write .= $login_data;
		}
	}

	$security_id = create_security_id();

	$write .= $security_id . '|<|' . $uid . '|<|' . $user_ip . '|<|' . $autologin . '|<|' . $current_time . '|<|' . "\n";

	safe_write ('logins.php', 'wb', $write);

	setcookie ('fus_uid', $uid, $current_time + (365 * 86400));
	setcookie ('fus_sid', $security_id, $current_time + (365 * 86400));
}

function login_session_update ( $uid, $sid )
{
	if ( !$uid || !$sid )
	{
		return array();
	}

	$file = file (FNEWS_ROOT_PATH . 'logins.php');
	$write = array_shift ($file);

	$valid_sid = false;
	$userdata = NULL;
	$current_time = time();
	$user_ip = getip();
	foreach ( $file as $login_data )
	{
		$login = get_line_data ('logins', $login_data);

		if ( ($current_time >= ($login['login_time'] + 1800)) && $login['autologin'] != 1 )
		{
			continue;
		}

		if ( $login['security_id'] != $sid )
		{
			$write .= $login_data;
			continue;
		}

		if ( ($user_ip != $login['ip']) || ($uid != $login['user_id']) )
		{
			continue;
		}

		$userfile = file (FNEWS_ROOT_PATH . 'users.php');
		array_shift ($userfile);

		foreach ( $userfile as $userinfo )
		{
			$user = get_line_data ('users', $userinfo);

			if ( $user['username'] == $login['user_id'] )
			{
				$valid_sid = true;

				$email = explode ('=', $user['email']);
				$userdata = array (
					'user'	=> $user['username'],
					'nick'	=> $user['nickname'],
					'showemail'	=> $email[0],
					'email'	=> $email[1],
					'icon'	=> $user['icon'],
					'offset'	=> (int)$user['timeoffset'],
					'password'	=> $user['passwordhash'],
					'level'	=> (int)$user['level']
				);

				$write .= $login['security_id'] . '|<|' . $login['user_id'] . '|<|' . $login['ip'] . '|<|' . $login['autologin'] . '|<|' . $current_time . '|<|' . "\n";
			}
		}
	}

	safe_write ('logins.php', 'wb', $write);

	if ( !$valid_sid || $userdata === NULL )
	{
		setcookie ('fus_sid', '', $current_time - 86400);
		setcookie ('fus_uid', '', $current_time - 86400);
	}

	return $userdata;
}

function login_session_destroy ( $sid )
{

	$file = file (FNEWS_ROOT_PATH . 'logins.php');
	$write = array_shift ($file);

	$valid_sid = false;
	$current_time = time();
	foreach ( $file as $login_data )
	{
		$login = get_line_data ('logins', $login_data);

		if ( ($current_time >= ($login['login_time'] + 1800)) && $login['autologin'] != 1 )
		{
			continue;
		}

		if ( $login['security_id'] == $sid )
		{
			continue;
		}

		$write .= $login_data;
	}

	safe_write ('logins.php', 'wb', $write);
}

function make_redirect ( $message, $return_url = '', $return_text = '' )
{
	global $ind76;

	$text = '<p>' . $message . '</p>';
	if ( $return_url && $return_text )
	{
		$text .= '<p><a href="' . $return_url . '">' . $return_text . '</a></p>';
	}
	$text .= '<p><a href="./">' . $ind76 . '</a></p>';

	return $text;
}

/**
 * Failsafe method of retrieving $_SERVER['QUERY_STRING']
 */
function get_query_string()
{
	return (isset ($_SERVER['QUERY_STRING']) ? $_SERVER['QUERY_STRING'] : '');
}

/**
 * Gets query string without any Fusion News added variables.
 */
function clean_query_string()
{
	$query_string = get_query_string();
	$query_string = preg_replace ('/fn_[a-z]+=[0-9a-z]+&?/', '', $query_string);
	$query_string = str_replace ('&', '&amp;', $query_string);
	
	// Clear possible leading ampersand
	if ( substr ($query_string, -5) == '&amp;' )
	{
		$query_string = substr ($query_string, 0, -5);
	}
	
	if ( empty ($query_string) )
	{
		return '';
	}
	else	
	{
		return '&amp;' . $query_string;
	}
}

function get_form_security()
{
	$timestamp = time();
	
	return '<input type="hidden" name="post_form" value="' . get_form_character ($timestamp) . '" />' . "\n" .
			'<input type="hidden" name="post_time" value="' . $timestamp . '" />' . "\n";
}

function get_form_character ( $timestamp )
{
	global $fusion_id;
	
	$total = 0;
	$time = (string)$timestamp;
	for ( $i = 0, $end = strlen ($time); $i < $end; $i++ )
	{
		$total += $i * $time{$i};
	}

	return $fusion_id{0x1F ^ ($total % 32)};
}

function check_form_character()
{
	global $VARS, $fusion_id;
	
	if ( !isset ($VARS['post_time']) || !isset ($VARS['post_form']) )
	{
		return false;
	}
	
	if ( empty ($VARS['post_time']) || empty ($VARS['post_form']) )
	{
		return false;
	}
	
	if ( ($VARS['post_time'] + 3600) <= time() )
	{
		// Allow a maximum of one hour to submit a form.
		return false;
	}

	$total = 0;
	$time = (string)$VARS['post_time'];
	for ( $i = 0, $end = strlen ($time); $i < $end; $i++ )
	{
		$total += $i * $time{$i};
	}

	return ($fusion_id{0x1F ^ ($total % 32)} == $VARS['post_form']);
}

function replace_masks ( $template, $masks = array() )
{
	foreach ( $masks as $key => $value )
	{
		$template = str_replace ('{' . $key . '}', $value, $template);
	}
	
	return $template;
}

if ( !function_exists ('array_combine') )
{
	function array_combine ( $keys, $values )
	{
		$num_keys = sizeof ($keys);
		$num_values = sizeof ($values);
		
		if ( $num_keys != $num_values )
		{
			trigger_error ('array_combine(): Both parameters should have an equal number of elements.', E_USER_WARNING);
			return false;
		}
		
		$return = array();
		for ( $i = 0; $i < $num_keys; $i++ )
		{
			$return[$keys[$i]] = $values[$i];
		}
		
		return $return;
	}
}

function get_line_data ( $file, $line_data, $delimiter = '|<|' )
{
	if ( empty ($line_data) )
	{
		trigger_error ('get_line_data(): No line data for ' . $file, E_USER_WARNING);
		return NULL;
	}

	$fields = array();
	switch ( $file )
	{
		case 'badwords':
			$fields = array ('find', 'replace', 'case_sensitive', 'type');
		break;
		
		case 'categories':
			$fields = array ('category_id', 'name', 'icon', 'users');
		break;
		
		case 'comments':
			$fields = array ('ip', 'validated', 'message', 'author', 'email', 'timestamp', 'comment_id');
		break;
		
		case 'flood':
			$fields = array ('ip', 'timestamp');
		break;
		
		case 'logins':
			$fields = array ('security_id', 'user_id', 'ip', 'autologin', 'login_time');
		break;
		
		case 'news_toc':
			$fields = array ('news_id', 'timestamp', 'author', 'headline', 'categories');
		break;
		
		case 'news':
			$fields = array ('shortnews', 'fullnews', 'author', 'headline', 'description', 'categories', 'timestamp', 'numcomments', 'news_id');
		break;
		
		case 'sessions':
			$fields = array ('session_id', 'code', 'news_id', 'ip', 'last_visit');
		break;
		
		case 'smillies':
			$fields = array ('smiley_id', 'bbcode', 'image');
		break;
		
		case 'users':
			$fields = array ('username', 'nickname', 'email', 'icon', 'timeoffset', 'passwordhash', 'level');
		break;
		
		default:
			trigger_error ('get_line_data(): Invalid data file name given', E_USER_WARNING);
			return NULL;
		break;
	}
	
	$data = explode ($delimiter, $line_data);
	$num_data = sizeof ($data);
	if ( $num_data < 0 )
	{
		trigger_error ('get_line_data(): No data found in the given data.', E_USER_WARNING);
		return NULL;
	}

	array_pop ($data); // Pop new line off the end
	
	$return_data = array_combine ($fields, $data);
	
	return $return_data;
}

function display_output()
{
	global $title, $content, $userdata, $skin, $start_time, $curve,
		$ind163, $ind108, $ind109, $ind344, $ind169, $ind272, $ind165,
		$ind107, $ind281, $ind193, $ind194, $ind195, $ind170, $ind171,
		$notice_buffer, $warning_buffer, $ind358, $ind357, $errored_out;
	
	// Now sort out the skin
	$links_list = array (
		array ($ind163, '', GUEST), // home
		array ($ind108, '?id=postnews', NEWS_REPORTER), // new post
		array ($ind109, '?id=editposts', NEWS_REPORTER), // edit posts
		array ('edit profile', '?id=editprofile', NEWS_REPORTER), // edit posts
		array (array (NEWS_EDITOR => $ind344, NEWS_ADMIN => $ind169), '?id=admin', NEWS_EDITOR), // editor's panel/admin
		array ($ind272, '?id=view', GUEST), // view news
		array ($ind165, '?id=help', NEWS_REPORTER), // logout
		array ($ind107, '?id=logout', NEWS_REPORTER) // logout
	);

	//open skin
	$skin_files = array ('index.php', 'index.html', 'index.htm', 'index.txt', 'skin.php', 'skin.html', 'skin.htm');

	$cs1 = NULL;
	foreach ( $skin_files as $file )
	{
		$skin_file = './skins/' . $skin . '/' . $file;

		if ( @file_exists ($skin_file) )
		{
			if ( $fp = @fopen ($skin_file, 'r') )
			{
				flock ($fp, LOCK_EX);
				$cs1 = fread ($fp, filesize ($skin_file));
				flock ($fp, LOCK_UN);
				fclose ($fp);
			}
		}
	}

	if ( empty ($cs1) )
	{
		trigger_error ($ind281, E_USER_ERROR);
	}

	$row_links = '';
	$col_links = '';
	$user_level = ( !isset ($userdata['level']) ) ? 0 : $userdata['level'];
	foreach ( $links_list as $link_data )
	{
		if ( !is_array ($link_data) )
		{
			continue;
		}
		
		if ( $user_level >= $link_data[2] )
		{
			if ( !empty ($row_links) )
			{
				$row_links .= '&nbsp;|&nbsp;';
			}
			
			if ( !empty ($col_links) )
			{
				$col_links .= '<br />';
			}
			
			$row_links .= '<a href="index.php' . $link_data[1] . '">';
			$col_links .= '<a href="index.php' . $link_data[1] . '">';
			if ( is_array ($link_data[0]) )
			{
				$row_links .= $link_data[0][$userdata['level']];
				$col_links .= $link_data[0][$userdata['level']];
			}
			else
			{
				$row_links .= $link_data[0];
				$col_links .= $link_data[0];
			}
			$row_links .= '</a>';
			$col_links .= '</a>';
		}
	}

	if ( has_access (NEWS_REPORTER) )
	{
		switch ( $userdata['level'] )
		{
			case 3:
				$status = $ind195;
				break;
			
			case 2:
				$status = $ind194;
				break;
				
			case 1:
				$status = $ind193;
				break;
			
			default:
				break;
		}

		$login = $ind170 . ' <b>' . $userdata['nick'] . '</b> [<b>' . $status . '</b>]';
	}
	else
	{
		$login = $ind171;
	}
	
	if ( !$errored_out )
	{
		if ( $notice_buffer != '' )
		{
			$content = '<ul id="fn_notice"><li class="title">' . $ind357 . '</li>' . $notice_buffer . '</ul>' . $content;
		}

		if ( $warning_buffer != '' )
		{
			$content = '<ul id="fn_warning"><li class="title">' . $ind358 . '</li>' . $warning_buffer . '</ul>' . $content;
		}
	}

	$cs = replace_masks ($cs1, array (
		'main'	=> $content,
		'title'	=> $title,
		'linksn'	=> $row_links,
		'linksb'	=> $col_links,
		'login'	=> $login,
		'curve'	=> $curve
	));

	//-----------------------------------------------
	// Do this very last to get the most accurate
	// result possible 
	//-----------------------------------------------
	$split = explode (' ', microtime());
	$end_time = (float)$split[0] + (float)$split[1];
	$cs = str_replace ('{loadtime}', sprintf ('%.6f', $end_time - $start_time), $cs);

	//-----------------------------------------------
	// Blammo, out comes the end product :p
	//-----------------------------------------------
	// There *might* be some problems with sending large amount of
	// data at once because of the way TCP/IP buffers the data or
	// something, so let's split the string into pieces and echo them.
	for ( $i = 0, $end = strlen ($cs); $i < $end; $i += 8192 )
	{
		// send them in 8kb chunks
		echo substr ($cs, $i, 8192);
	}
}

/**
 * Error handling
 */
$warning_buffer = '';
$notice_buffer = '';
$errored_out = false;

function fn_error_handler ( $errno, $errstr, $errfile, $errline )
{
	global $title, $content, $warning_buffer, $notice_buffer, $curve, $ind17;
	
	/*if ( !(error_reporting() & $errno) )
	{
		return;
	}*/

	$errfile = str_replace (FNEWS_ROOT_PATH, '', str_replace ('\\', '/', $errfile));
	
	switch ( $errno )
	{
		// Very bad error indeed...
		// Show a complete failure page.
		case E_USER_ERROR:
		case E_ERROR:
			echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">',
				'<html xmlns="http://www.w3.org/1999/xhtml">',
				'<head>',
				'	<title>Fusion News &bull; Error</title>',
				'	<meta http-equiv="content-type" content="text/html; charset=utf-8" />',
				'	<style type="text/css">',
				'	<!--',
				'	body { background-color:#fff; color:#000; line-height:140%; font-size:100%; font-family:"Trebuchet MS", Helvetica, sans-serif }',
				'	blockquote { padding:0; margin: 0 30px }',
				'	#wrapper { width:95%; margin:0 auto }',
				'	//-->',
				'	</style>',
				'</head>',
				'<body>',
				'<h1>Fusion News has encountered a fatal error</h1>',
				'<div id="wrapper">',
				'<p>A fatal error was encountered by Fusion News, and cannot continue to run.</p>',
				'<p>The error message is as follows:</p>',
				'<blockquote><i>', $errstr, '</i></blockquote>',
				'<p>If there are any instructions in the error message above, please follow them to try to solve the problem. If the error repeats itself, after refreshing the page after 30 seconds, please create a new topic at the <a href="http://www.fusionnews.net/">Fusion News Support Forum</a>, and copy and paste the text below:</p>',
				'<blockquote><code>Error: ', $errstr, '<br />File: ', $errfile, '<br />Line No.: ', $errline, '<br />Version: ', $curve, '</code></blockquote>',
				'</div>',
				'</body>',
				'</html';

			exit;
		break;
	
		case E_USER_NOTICE:
		case E_USER_WARNING:
			if ( !$title )
			{
				global $ind17;
				$title = $ind17;
			}
			
			$content = '<div id="fn_warning">' .
					'<li class="title">' . $ind17 . '</li>' .
					'<li>' . $errstr . '</li>' .
					'</div>' . "\n";

			$errored_out = true;
			
			display_output();
			exit;
			
			return;
		break;
		
		case E_NOTICE:
			$notice_buffer .= '<li> ' . $errstr . ' in /' . $errfile . ' on line ' . $errline . '</li>' . "\n";
			
			return;
		break;
		
		case E_WARNING:
			$warning_buffer .= '<li>' . $errstr . ' in /' . $errfile . ' on line ' . $errline . '</li>' . "\n";
			
			return;
		break;
		
		default:
		break;
	}
	
	return false;
}

?>
