<?php

/*
||==========================================================
||		Fusion News 3.x
||----------------------------------------------------------
|| File Version	: $Id: index.php 235 2008-08-05 18:25:14Z xycaleth $
|| Contact	: xycaleth@gmail.com
|| Copyright:	: (c) 2006 - 2008, FusionNews.net
|| License Info	: http://www.gnu.org/copyleft/gpl.html
||==========================================================
*/

// Start the timer
$split = explode (' ', microtime());
$start_time = (float)$split[0] + (float)$split[1];

include './common.php';

// change this if needed
$users = FNEWS_ROOT_PATH . 'users.php'; // your users file
// dont edit past here ********

$title = $content = '';

set_error_handler ('fn_error_handler');

define ('DENIED_MSG', '<?php die (\'You may not access this file.\'); ?>' . "\n");

$id = ( !isset ($VARS['id']) ) ? '' : $VARS['id'];
$sid = ( isset ($_COOKIE['fus_sid']) ) ? $_COOKIE['fus_sid'] : '';
$uid = ( isset ($_COOKIE['fus_uid']) ) ? $_COOKIE['fus_uid'] : '';

$userdata = array();
$userdata = login_session_update ($uid, $sid);

//login
if ( $id == '' )
{ /*id Home*/
	if ( has_access (NEWS_REPORTER) )
	{
		$title = $ind9;
		$plugin_active = true;
		include (FNEWS_ROOT_PATH . 'plugins/check_chmod.php');
		$content .= check_file_access ('./');
		$content .= $ind13;

		if ( has_access (NEWS_ADMIN) )
		{
			$content .= $ind11;
		}
		elseif ( has_access (NEWS_EDITOR) )
		{
			$content .= $ind12;
		}

		$content .= $ind14;
	}
	else
	{
		$title = $ind3;
		$content .= <<< html
<form action="?id=login" method="post">
<p>$ind0</p>
<table cellspacing="0" cellpadding="2">
	<tr>
		<td><label for="username">$ind169a</label></td>
		<td><input type="text" class="post" id="username" name="username" size="20" /></td>
	</tr>
	<tr>
		<td><label for="password">$ind4</label></td>
		<td><input type="password" class="post" id="password" name="password" size="20" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input type="checkbox" name="keep_login" id="keep_login" value="1" /> <label for="keep_login">$ind120</label></td>
	</tr>
	<tr>
		<td align="center" colspan="2">
			<p><input type="submit" class="mainoption" value="$ind3" /></p>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><a href="?id=lostpassword">$ind359</a></td>
	</tr>
</table>
</form>
html;
	}
}
else if ( $id == 'lostpassword' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		trigger_error ($ind294, E_USER_WARNING);
	}

	$submit = ( isset ($VARS['submit']) );
	$title = $ind360;
	
	if ( $submit )
	{
		$username = ( isset ($VARS['username']) ) ? $VARS['username'] : '';
		$email = ( isset ($VARS['email']) ) ? $VARS['email'] : '';
		
		if ( !$username && !$email )
		{
			trigger_error ($ind361);
		}
		
		$file = file ($users);
		array_shift ($file);
		
		$write = DENIED_MSG;
		
		$found = false;
		$admin_email = '';
		$admin_nick = '';
		foreach ( $file as $line )
		{
			$user = get_line_data ('users', $line);
			$useremail = explode ('=', $user['email']);
			
			if ( $admin_email == '' || $admin_nick == '' )
			{
				$admin_email = $useremail[1];
				$admin_nick = $user['nickname'];
			}
			
			if ( $user['username'] == $username || $useremail[1] == $email )
			{
				$found = true;
				break;
			}
		}
		
		if ( !$found )
		{
			trigger_error ($ind362, E_USER_WARNING);
		}
		
		$new_password = strtolower (create_security_id (12));
		$user['passwordhash'] = md5 ($new_password);
		
		$useremail = explode ('=', $user['email']);
		$to = $useremail[1];
		
		$message = sprintf ($ind363, $user['nickname'], $furl, $user['username'], $new_password);
		$headers = 'From: ' . $admin_nick . ' <' . $admin_email . '>' . "\r\n" .
				'X-Mailer: PHP/ ' . phpversion() . "\r\n";
				
		if ( !mail ($to, $ind364, $message, $headers) )
		{
			trigger_error ($ind365, E_USER_WARNING);
		}

		reset ($file);
		foreach ( $file as $line )
		{
			$user2 = get_line_data ('users', $line);			
			if ( $user2['username'] == $user['username'] )
			{
				$write .= implode ('|<|', $user) . '|<|' . "\n";
			}
			else
			{
				$write .= $line;
			}
		}
		
		safe_write ('users.php', 'wb', $write);
		
		$content = $ind366;
	}
	else
	{
		$content = <<< html
<p>$ind367</p>
<form method="post" action="?id=lostpassword">
<table class="adminpanel">
	<tfoot>
		<tr>
			<th colspan="2"><input type="submit" name="submit" class="mainoption" value="$ind360" /></th>
		</tr>
	</tfoot>
	<tbody>
		<tr>
			<td>$ind169a</td>
			<td><input type="text" name="username" class="post" size="20" /></td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:left">$ind368</td>
		</tr>
		<tr>
			<td>$ind6</td>
			<td><input type="text" name="email" class="post" size="20" /></td>
		</tr>
	</tbody>
</table>
</form>
html;
	}
}
else if ( $id == 'login'){ /*id Login*/
	if ( !has_access (NEWS_REPORTER) )
	{
		$post_user = ( isset ($VARS['username']) ) ? substr ($VARS['username'], 0, 40) : '';
		$post_pass = ( isset ($VARS['password']) ) ? substr ($VARS['password'], 0, 40) : '';
		$keep_login = ( isset ($VARS['keep_login']) ) ? 1 : 0;

		if ( !$post_user || !$post_pass )
		{
			trigger_error ($ind18, E_USER_WARNING);
		}
		
		$file = file ($users);
		array_shift($file);
		$passwordhash = md5 ($post_pass);
		foreach ( $file as $value )
		{
			$user = get_line_data ('users', $value);

			if ( $post_user == $user['username'] && $passwordhash == $user['passwordhash'] )
			{
				login_session_create ($user['username'], $keep_login);

				header('Location: ./index.php');
			}
		}
		
		trigger_error ($ind18b, E_USER_WARNING);
	}
	else
	{
		$title = $ind17;
		$content = $ind294;
	}
}

//-------------------

//admin
else if ( $id == 'admin'){ /*id Admin*/
	if ( has_access (NEWS_ADMIN) )
	{
		$title = $ind280;
		$content = <<< html
<div style="width:50%; float:left">
	<h2>$ind302</h2>
	<ul>
		<li><a href="?id=admin_paths">$ind45</a></li>
		<li><a href="?id=admin_layout">$ind55</a></li>
		<li><a href="?id=admin_addons">$ind65</a></li>
		<li><a href="?id=admin_syndication">$ind324</a></li>
	</ul>

	<h2>$ind205</h2>
	<ul>
		<li><a href="?id=uploads">$ind204</a></li>
	</ul>

	<h2>$ind81</h2>
	<ul>
		<li><a href="?id=commentmanag">$ind207</a></li>
	</ul>

	<h2>$ind320</h2>
	<ul>
		<li><a href="?id=categories">$ind311</a></li>
	</ul>
</div>
<div style="float:left">
	<h2>$ind208</h2>
	<ul>
		<li><a href="?id=manage">$ind167</a></li>
	</ul>

	<h2>$ind210</h2>
	<ul>
		<li><a href="?id=smillies">$ind211</a></li>
	</ul>

	<h2>$ind212</h2>
	<ul>
		<li><a href="?id=edittmp">$ind213</a></li>
	</ul>

	<h2>$ind173</h2>
	<ul>
		<li><a href="?id=badwordfilter">$ind215</a></li>
	</ul>
</div>
<div style="clear:both"></div>
html;
	}
	else if ( has_access (NEWS_EDITOR) )
	{
		$title = $ind161;
		$content = <<< html
<table><tr><td>
<div style="float:left; width:50%">
<h2>$ind81</h2>
<ul>
	<li><a href="?id=commentmanag">$ind207</a></li>
</ul>
<h2>$ind205</h2>
<ul>
	<li><a href="?id=uploads">$ind204</a></li>
</ul>
</div>
<div style="margin-left:50%; width: 49%">
<h2>$ind173</h2>
<ul>
	<li><a href="?id=badwordfilter">$ind215</a></li>
</ul>
</div></td></tr></table>
html;
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
else if ( $id == 'admin_syndication' )
{
	if ( !has_access (NEWS_ADMIN) )
	{
		trigger_error ($ind19, E_USER_WARNING);
	}

	$title = $ind324;
	$submit = ( isset ($VARS['submit']) );

	if ( $submit )
	{
		$include = ( isset ($VARS['include']) ) ? (int)$VARS['include'] : 0;
		$category = ( isset ($VARS['category']) ) ? (int)$VARS['category'] : 0;
		$newsurl = ( isset ($VARS['newsurl']) ) ? $VARS['newsurl'] : '';
		
		
		$code = '';
		if ( $include != 5 )
		{
			$code = '&lt;?php' . "\n\n";
		}
		
		if ( $category > 0 )
		{
			$code .= '$fn_category = ' . $category . ';' . "\n";
		}
		
		if ( $include == 2 || $include == 3 )
		{
			if ( $newsurl == '' || $newsurl == 'http://' )
			{
				trigger_error ($ind372, E_USER_WARNING);
			}
			else
			{
				$code .= '$fn_news_url = \'' . $newsurl . '\';' . "\n";
			}
		}
		
		switch ( $include )
		{
			case 1: // news
				$code .= 'include \'' . FNEWS_ROOT_PATH . 'news.php\';';
			break;
			
			case 2: // headlines
				$code .= 'include \'' . FNEWS_ROOT_PATH . 'headlines.php\';';
			break;
			
			case 3: // archives
				$code .= 'include \'' . FNEWS_ROOT_PATH . 'archive.php\';';
			break;
			
			case 4: // search
				$code .= 'include \'' . FNEWS_ROOT_PATH . 'search.php\';';
			break;
			
			case 5: // rss
				$code = $furl . '/rss.php';
				if ( $category > 0 )
				{
					$code .= '?fn_category=' . $category;
				}
			break;
		}
		
		if ( $include != 5 )
		{
			$code .= "\n\n" . '?&gt;';
		}
		
		$content = $ind373 . '
<div style="text-align:center"><textarea rows="6" style="width:80%">' . $code . '</textarea></div>';
	}
	else
	{
		$category_dropdown = build_categories_list (NULL, NULL, 1);
		$category_dropdown = str_replace ('<option value="1">', '<option value="0">' . $ind331 . '</option><option value="1">', $category_dropdown);
		$content = <<< html
<form method="post" action="?id=admin_syndication">
<table class="adminpanel">
	<thead>
		<tr>
			<th colspan="2">$ind324</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th colspan="2"><input type="submit" name="submit" class="mainoption" value="$ind370" />
		</tr>
	</tfoot>
	<tbody>
		<tr>
			<td style="width:30%">$ind325</td>
			<td>
				<select name="include">
					<option value="1">$ind326</option>
					<option value="2">$ind327</option>
					<option value="3">$ind328</option>
					<option value="4">$ind329</option>
					<option value="5">$ind330</option>
				</select>
			</td>
		</tr>
		<tr>
			<td>$ind308</td>
			<td>$category_dropdown</td>
		</tr>
		<tr>
			<td>$ind371</td>
			<td><input type="text" name="newsurl" value="http://" size="20" />
		</tr>
	</tbody>
</table>
</form>
html;
	}
	/*if ( has_access (NEWS_ADMIN) )
	{
		$step = ( isset ($VARS['step']) ) ? intval ($VARS['step']) : 1;

		$category_dropdown = build_categories_list (NULL, -1, 1);
		$include_dir = FNEWS_ROOT_PATH;

		$title = $ind324;
		$content .= <<< html
<script type="text/javascript">
//<![CDATA[
function createNewsCode()
{
	var newsform = document.getElementById('newsform');
	var category = document.getElementById('category');
	var code;

	code = '<?' + 'php\\n';
	code += '\$fn_category = ' + category.options[category.selectedIndex].value + ';\\n';
	code += 'include \'{$include_dir}news.php\';\\n';
	code += '?' + '>';
	document.getElementById('newscode').value = code;
}

function createRSSCode()
{
	var newsform = document.getElementById('rssform');
	var category = document.getElementById('category');
	var code;

	code = '{$furl}/rss.php?fn_category=' + category.options[category.selectedIndex].value;
	document.getElementById('rsscode').value = code;
}

function highlightAll ( areaname )
{
	document.getElementById(areaname).focus();
	document.getElementById(areaname).select();
}
//]]>
</script>
<table class="adminpanel">
	<tr>
		<th colspan="2">$ind324</th>
	</tr>
	<tr>
		<td style="width:40%">$ind327</td>
		<td style="width:60%">$category_dropdown</td>
	</tr>
	<tr>
		<th colspan="2">
			<input type="button" onclick="createNewsCode(); createRSSCode();" class="mainoption" value="$ind329" />
		</th>
	</tr>
</table>
<p></p>
<table class="adminpanel">
	<tr>
		<th colspan="2">$ind325</th>
	</tr>
	<tr>
		<th colspan="2">$ind328</th>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<textarea id="newscode" cols="60" rows="6" readonly="readonly"></textarea><br />
			<input type="button" onclick="highlightAll('newscode');" value="$ind330" />
		</td>
	</tr>
	<tr>
		<th colspan="2">$ind326</th>
	</tr>
	<tr>
		<th colspan="2">$ind331</th>
	</tr>
	<tr>
		<td colspan="2" align="center">
			<textarea id="rsscode" cols="60" rows="6" readonly="readonly"></textarea><br />
			<input type="button" onclick="highlightAll('rsscode');" value="$ind330" />
		</td>
	</tr>
</table>
html;
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}*/
}
else if ( $id == 'admin_paths' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		$title = $ind45;
		$content  = "<form action=\"?id=save_admin1\" method=\"post\">\n";
		$content .= "<p>$ind46</p>\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"site1\">$ind47</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"site1\" name=\"site1\" value=\"$site\" size=\"80\" /><br />\n";
		$content .= "$ind48\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"furl1\">$ind49</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"furl1\" name=\"furl1\" value=\"$furl\" size=\"80\" /><br />\n";
		$content .= "$ind50\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"url\">$ind53</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"url\" name=\"url\" value=\"$hurl\" size=\"80\" /><br />\n";
		$content .= "$ind54\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend> $ind83</legend>\n";
		$content .= "$ind84<br /><br />\n";
		$content .= "<input type=\"submit\" class=\"mainoption\" value=\"$ind36\" />\n";
		$content .= "<input type=\"reset\" class=\"mainoption\" value=\"$ind16\" />\n";
		$content .= "</fieldset>\n";

		$content .= get_form_security();

		$content .= "</form>\n";
	}else{
		$title = $ind17;
		$content = $ind20;
	}
}

//save
else if ( $id == 'save_admin1' )
{
	if ( has_access (NEWS_ADMIN) )
	{
	 	if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$site	= ( isset ($VARS['site1']) ) ? $VARS['site1'] : $site;
			$furl	= ( isset ($VARS['furl1']) ) ? $VARS['furl1'] : $furl;
			$hurl	= ( isset ($VARS['url']) ) ? $VARS['url'] : $hurl;

			if ( !$site || !$furl || !$hurl )
			{
				$title = $ind17;
				$content = $error23;
			}
			else
			{
				$configs = config_array();

				$configs['site']	 = $site;
				$configs['furl']	 = $furl;
				$configs['hurl']	 = $hurl;

				save_config( $configs );

				$title = $ind21;
				$content = make_redirect ($ind22);
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}

else if ( $id == 'admin_layout' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		$title = $ind55;

		$content = NULL;
		$content .= "<form action=\"?id=save_admin2\" method=\"post\">\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"df\">$ind56 (<a href=\"http://www.php.net/date\" onclick=\"window.open (this.href); return false\">$ind57</a>)</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"df\" name=\"df\" value=\"$datefor\" size=\"20\" />\n";
		$content .= "</fieldset>\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"ppp_date\">$ind86 (<a href=\"http://www.php.net/date\" onclick=\"window.open (this.href); return false\">$ind57</a>)</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"ppp_date\" name=\"ppp_date\" value=\"$ppp_date\" size=\"20\" />\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind59</legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"posts\" name=\"posts\" value=\"$numofposts\" size=\"2\" /> <label for=\"posts\">$ind58</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"news_pagination\" name=\"news_pagination\" value=\"1\"" . checkbox_checked ($news_pagination) . " /> <label for=\"news_pagination\">$ind332</label>";
		$content .= '<fieldset>
<input type="checkbox" class="post" id="news_pagination_numbers" name="news_pagination_numbers" value="1" ' . checkbox_checked ($news_pagination_numbers) . ' /> <label for="news_pagination_numbers">' . $ind339 . '</label><br />
<input type="checkbox" class="post" id="news_pagination_arrows" name="news_pagination_arrows" value="1" ' . checkbox_checked ($news_pagination_arrows) . ' /> <label for="news_pagination_arrows">' . $ind340 . '</label><br />
<input type="text" class="post" id="news_pagination_prv" name="news_pagination_prv" value="' . $news_pagination_prv . '" size="10" /> <label for="news_pagination_prv">' . $ind341 . '</label><br />
<input type="text" class="post" id="news_pagination_nxt" name="news_pagination_nxt" value="' . $news_pagination_nxt . '" size="10" /> <label for="news_pagination_nxt">' . $ind342 . '</label>
</fieldset>';
		$content .= "</fieldset>\n";
		$content .= "<fieldset>\n";
		$content .= "<legend>$ind290</legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"h\" name=\"h\" value=\"$numofh\" size=\"2\" /> <label for=\"h\">$ind60</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"head_full_link\" name=\"head_full_link\" value=\"1\"" . checkbox_checked ($link_headline_fullstory) . " />\n";
		$content .= "<label for=\"head_full_link\">$ind267</label><br />\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind61</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"bbc\" name=\"bbc\" value=\"1\"" . checkbox_checked ($bb) . " />\n";
		$content .= "<label for=\"bbc\">$ind62</label>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"html\" name=\"html\" value=\"1\"" . checkbox_checked ($ht) . " />\n";
		$content .= "<label for=\"html\">$ind63</label>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"sm\" name=\"sm\" value=\"1\"" . checkbox_checked ($smilies) . " />\n";
		$content .= "<label for=\"sm\">$ind64</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind81</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"bbccom\" name=\"bbccom\" value=\"1\"" . checkbox_checked ($bbc) . " />\n";
		$content .= "<label for=\"bbccom\">$ind62</label>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"htmc\" name=\"htmc\" value=\"1\"" . checkbox_checked ($htc) . " />\n";
		$content .= "<label for=\"htmc\">$ind63</label>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"smil\" name=\"smil\" value=\"1\"" . checkbox_checked ($smilcom) . " />\n";
		$content .= "<label for=\"smil\">$ind64</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"cb_flip\">$ind268</label></legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"cb_flip\" name=\"cb_flip\" value=\"1\"" . checkbox_checked ($flip_news) . " /> <label for=\"cb_flip\">$ind269</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"post_per_day\">$ind260</label></legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"post_per_day\" name=\"post_per_day\" value=\"1\"" . checkbox_checked ($post_per_day) . " />\n";
		$content .= "<label for=\"post_per_day\">$ind261</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend> $ind83</legend>\n";
		$content .= "<input type=\"submit\" class=\"mainoption\" value=\"$ind36\" />\n";
		$content .= "<input type=\"reset\" value=\"$ind16\" />\n";
		$content .= "</fieldset>\n";

		$content .= get_form_security();

		$content .= "</form>\n";
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}

//temporary way of config file until fn 4.0
else if ( $id == 'save_admin2' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$bbca = ( isset($VARS['bbc']) ) ? 1 : 0;
			$post_per_day = ( isset($VARS['post_per_day']) ) ? 1 : 0;
			$ppp_date = ( isset($VARS['ppp_date']) ) ? $VARS['ppp_date'] : $ppp_date;
			$hm = ( isset($VARS['html']) ) ? 1 : 0;
			$sm = ( isset($VARS['sm']) ) ? 1 : 0;
			$htcom = ( isset($VARS['htmc']) ) ? 1 : 0;
			$smiliescom = ( isset($VARS['smil']) ) ? 1 : 0;
			$bbcom = ( isset($VARS['bbccom']) ) ? 1 : 0;
			$head_full_link = ( isset($VARS['head_full_link']) ) ? 1 : 0;
			$datefor = ( isset ($VARS['df']) ) ? $VARS['df'] : $datefor;
			$numofposts = ( isset ($VARS['posts']) ) ? intval ($VARS['posts']) : $numofposts;
			$numofh = ( isset ($VARS['h']) ) ? intval ($VARS['h']) : $numofh;
			$cb_flip = (int)(isset ($VARS['cb_flip']));
			$news_pagination = (int)(isset ($VARS['news_pagination']));
			$news_pagination_numbers = (int)(isset ($VARS['news_pagination_numbers']));
			$news_pagination_arrows = (int)(isset ($VARS['news_pagination_arrows']));
			$news_pagination_prv = ( isset ($VARS['news_pagination_prv']) ) ? $VARS['news_pagination_prv'] : $news_pagination_prv;
			$news_pagination_nxt = ( isset ($VARS['news_pagination_nxt']) ) ? $VARS['news_pagination_nxt'] : $news_pagination_nxt;

			$configs = config_array();

			$configs['datefor'] = $datefor;
			$configs['numofposts'] = $numofposts;
			$configs['numofh'] = $numofh;
			$configs['bb'] = $bbca;
			$configs['ht'] = $hm;
			$configs['post_per_day'] = $post_per_day;
			$configs['ppp_date'] = $ppp_date;
			$configs['smilies'] = $sm;
			$configs['htc'] = $htcom;
			$configs['smilcom'] = $smiliescom;
			$configs['bbc'] = $bbcom;
			$configs['link_headline_fullstory'] = $head_full_link;
			$configs['flip_news']	 = $cb_flip;
			$configs['news_pagination'] = $news_pagination;
			$configs['news_pagination_numbers'] = $news_pagination_numbers;
			$configs['news_pagination_arrows'] = $news_pagination_arrows;
			$configs['news_pagination_nxt'] = $news_pagination_nxt;
			$configs['news_pagination_prv'] = $news_pagination_prv;

			save_config( $configs );

			include './config.php';

			$title = $ind21;
			$content = make_redirect ($ind22);
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}

else if ( $id == 'admin_addons' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		$skin_list = '<select id="s" name="s">' . "\n";
		$dir = opendir (FNEWS_ROOT_PATH . 'skins');
		while ( ($file = readdir ($dir)) !== false )
		{
			if ( $file == '.' || $file == '..' )
			{
				continue;
			}
			else if ( !is_dir (FNEWS_ROOT_PATH . 'skins/' . $file) )
			{
				continue;
			}
			else if ( !file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/index.php') &&
					!file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/index.html') &&
					!file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/index.htm') &&
					!file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/index.txt') &&
					!file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/skin.php') &&
					!file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/skin.html') &&
					!file_exists (FNEWS_ROOT_PATH . 'skins/' . $file . '/skin.htm') )
			{
				continue;
			}
			else
			{
				if ( $skin == $file )
				{
					$skin_list .= '<option selected="selected">' . $file . '</option>' . "\n";
				}
				else
				{
					$skin_list .= '<option>' . $file . '</option>' . "\n";
				}
			}
		}
		closedir ($dir);

		$skin_list .= '</select>';

		$title = $ind65;
		$content = NULL;
		$content .= "<form action=\"?id=save\" method=\"post\">\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"flink\">$ind66</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"flink\" name=\"flink\" value=\"$fslink\" size=\"22\" />\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind67</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"fspu\" name=\"fspu\" value=\"1\"" . checkbox_checked ($fsnw) . " />\n";
		$content .= "<label for=\"fspu\">$ind68</label><br />\n";
		$content .= "$ind69\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"fspuw\" name=\"fspuw\" value=\"$fullnewsw\" size=\"6\" />\n";
		$content .= "$ind70\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"fspuh\" name=\"fspuh\" value=\"$fullnewsh\" size=\"6\" />\n";
		$content .= "$ind71<br /><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"fpuscrolling\" name=\"fpuscrolling\" value=\"1\"" . checkbox_checked ($fullnewss) . " />\n";
		$content .= "<label for=\"fpuscrolling\">$ind72</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"fpuresize\" name=\"fpuresize\" value=\"1\"" . checkbox_checked ($fullnewsz) . " />\n";
		$content .= "<label for=\"fpuresize\">$ind73</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"slink\">$ind74</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"slink\" name=\"slink\" value=\"$stflink\" size=\"22\" />\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind75</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"stfpu\" name=\"stfpu\" value=\"1\"" . checkbox_checked ($stfpop) . " />\n";
		$content .= "<label for=\"stfpu\">$ind68</label><br />\n";
		$content .= "$ind69\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"spuw\" name=\"spuw\" value=\"$stfwidth\" size=\"6\" />\n";
		$content .= "$ind70\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"spuh\" name=\"spuh\" value=\"$stfheight\" size=\"6\" />\n";
		$content .= "$ind71 <br /><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"stfscrolls\" name=\"stfscrolls\" value=\"1\"" . checkbox_checked ($stfscrolls) . " />\n";
		$content .= "<label for=\"stfscrolls\">$ind72</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"stfresize\" name=\"stfresize\" value=\"1\"" . checkbox_checked ($stfresize) . " />\n";
		$content .= "<label for=\"stfresize\">$ind73</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"plink\">$ind77</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"plink\" name=\"plink\" value=\"$pclink\" size=\"22\" />\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind75a</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"compu\" name=\"compu\" value=\"1\"" . checkbox_checked ($compop) . " />\n";
		$content .= "<label for=\"compu\">$ind76a</label><br />\n";
		$content .= "$ind69\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"compuw\" name=\"compuw\" value=\"$comwidth\" size=\"6\" />\n";
		$content .= "$ind70\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"compuh\" name=\"compuh\" value=\"$comheight\" size=\"6\" />\n";
		$content .= "$ind71 <br /><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"comscrolls\" name=\"comscrolls\" value=\"1\"" . checkbox_checked ($comscrolls) . " />\n";
		$content .= "<label for=\"comscrolls\">$ind72</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"comresize\" name=\"comresize\" value=\"1\"" . checkbox_checked ($comresize) . " />\n";
		$content .= "<label for=\"comresize\">$ind73</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind78</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"com_validation\" name=\"com_validation\" value=\"1\"" . checkbox_checked ($com_validation) . " />";
		$content .= "<label for=\"com_validation\">$ind238</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"com_captcha\" name=\"com_captcha\" value=\"1\"" . checkbox_checked ($com_captcha) . " />";
		$content .= "<label for=\"com_captcha\">$ind322</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"cpbr\" name=\"cpbr\" value=\"1\"" . checkbox_checked ($comallowbr) . " />\n";
		$content .= "<label for=\"cpbr\">$ind79</label><br />\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"cbf\" name=\"cbf\" value=\"1\"" . checkbox_checked ($cbflood) . " />\n";
		$content .= "<label for=\"cbf\">$ind91</label> <input type=\"text\" class=\"post\" id=\"flood\" name=\"flood\" value=\"$floodtime\" size=\"3\" />$ind92<br />\n";
		$content .= "$ind91a<input type=\"text\" class=\"post\" id=\"comlength\" name=\"comlength\" value=\"$comlength\" size=\"6\" /><br />\n";
		$content .= '<input type="checkbox" name="comments_pages" id="comments_pages" class="post" value="1"' . checkbox_checked ($comments_pages) . ' /> <label for="comments_pages">' . $ind355 . '</label><br />';
		$content .= '<input type="text" name="comments_per_page" id="comments_per_page" class="post" size="3" value="' . $comments_per_page . '" /> <label for="comments_per_page">' . $ind356 . '</label>';
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"cbwww\">$ind87</label></legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"cbwww\" name=\"cbww\" value=\"1\"" . checkbox_checked ($cbwordwrap) . " />\n";
		$content .= "<label for=\"cbwww\">$ind88</label> <input type=\"text\" class=\"post\" id=\"www\" name=\"www\" value=\"$wwwidth\" size=\"3\" />\n";
		$content .= "$ind89<br />\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind80</legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"wfcomcbx\" name=\"wfcomcbx\" value=\"1\"" . checkbox_checked ($wfcom) . " />\n";
		$content .= "<label for=\"wfcomcbx\">$ind81</label>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"wfpostcbx\" name=\"wfpostcbx\" value=\"1\"" . checkbox_checked ($wfpost) . " />\n";
		$content .= "<label for=\"wfpostcbx\">$ind82</label>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"cb_rss\">$ind265</label></legend>\n";
		$content .= "<input type=\"checkbox\" class=\"post\" id=\"cb_rss\" name=\"cb_rss\" value=\"1\"" . checkbox_checked ($enable_rss) . " /> <label for=\"cb_rss\">$ind266</label><br /><br />\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"rss_title\">$ind305</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"rss_title\" name=\"rss_title\" value=\"$rss_title\" size=\"20\" />\n";
		$content .= "</fieldset><br />\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"rss_description\">$ind306</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"rss_description\" name=\"rss_description\" value=\"$rss_description\" size=\"20\" />\n";
		$content .= "</fieldset><br />\n";
		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"rss_encoding\">$ind307</label></legend>\n";
		$content .= "<input type=\"text\" class=\"post\" id=\"rss_encoding\" name=\"rss_encoding\" value=\"$rss_encoding\" size=\"20\" />\n";
		$content .= "</fieldset>\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend><label for=\"s\">$ind186</label></legend>\n";
		$content .= "$skin_list\n";
		$content .= "</fieldset>\n";

		$content .= "<fieldset>\n";
		$content .= "<legend>$ind83</legend>\n";
		$content .= "<input type=\"submit\" class=\"mainoption\" value=\"$ind36\" />\n";
		$content .= "<input type=\"reset\" class=\"mainoption\" value=\"$ind16\" />\n";
		$content .= "</fieldset>\n";

		$content .= get_form_security();

		$content .= "</form>\n";
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
//------------------------

//save
else if ( $id == 'save' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			if (isset($VARS["fspu"])){$fspu = 1;}else{$fspu = 0;}
			if (isset($VARS["compu"])){$compu = 1;}else{$compu = 0;}
			if (isset($VARS["cpbr"])){$combr = 1;}else{$combr = 0;}
			if (isset($VARS["cpu"])){$fcpu = 1;}else{$fcpu = 0;}
			if (isset($VARS["stfpu"])){$fstfpu = 1;}else{$fstfpu = 0;}
			if (isset($VARS["fpuresize"])){$fspuz = 1;}else{$fspuz = 0;}
			if (isset($VARS["stfscrolls"])){$stfs = 1;}else{$stfs = 0;}
			if (isset($VARS["stfresize"])){$stfz = 1;}else{$stfz = 0;}
			if (isset($VARS["comscrolls"])){$comscrolls = 1;}else{$comscrolls = 0;}
			if (isset($VARS["comresize"])){$comresize = 1;}else{$comresize = 0;}
			if (isset($VARS["fspu"])){$fspu = 1;}else{$fspu = 0;}
			if (isset($VARS["wfpostcbx"])){$wfpost1 = 1;}else{$wfpost1 = 0;}
			if (isset($VARS["wfcomcbx"])){$wfcom1 = 1;}else{$wfcom1 = 0;}
			if (isset($VARS["cbf"])){$cbflood = 1;}else{$cbflood = 0;}
			if (isset($VARS["cbww"])){$cbww = 1;}else{$cbww = 0;}
			if (isset($VARS["cb_rss"])){$cb_rss = 1;}else{$cb_rss = 0;}
			if (isset($VARS["fpuscrolling"])){$fspus = 1; }else{$fspus = 0;}
			if(intval ($VARS["fspuw"]) < 100){$fspuw = "100";}else{$fspuw = intval ($VARS["fspuw"]);}
			if(intval ($VARS["fspuh"]) < 100){$fspuh = "100";}else{$fspuh = intval ($VARS["fspuh"]);}
			if(intval ($VARS["compuw"]) < 100){$compuw = "100";}else{$compuw = intval ($VARS["compuw"]);}
			if(intval ($VARS["compuh"]) < 100){$compuh = "100";}else{$compuh = intval ($VARS["compuh"]);}
			if(intval ($VARS["spuw"]) < 100){$spuw = "100";}else{$spuw = intval ($VARS["spuw"]);}
			if(intval ($VARS["flood"]) < 1){$flood = "1";}else{$flood = intval ($VARS["flood"]);}
			if(intval ($VARS["spuh"]) < 100){$spuh = "100";}else{$spuh = intval ($VARS["spuh"]);}
			if(intval ($VARS["www"]) < 5){$www = "5";}else{$www = intval ($VARS["www"]);}
			if($VARS["s"] == ""){$s = $skin;}else{$s = $VARS["s"];}
			if(intval ($VARS["comlength"]) < 0){$comlength = "0";}else{$comlength = intval ($VARS["comlength"]);}
			$com_validation = ( isset ($VARS['com_validation']) ) ? 1 : 0;
			$com_captcha = ( isset ($VARS['com_captcha']) ) ? 1 : 0;
			$comments_pages = (int)( isset ($VARS['comments_pages']) );
			$comments_per_page = ( isset ($VARS['comments_per_page']) ) ? intval ($VARS['comments_per_page']) : 0;

			$fslink = ( isset ($VARS["flink"]) ) ? $VARS['flink'] : $fslink;
			$stflink = ( isset ($VARS["slink"]) ) ? $VARS['slink'] : $stflink;
			$pclink = ( isset ($VARS["plink"]) ) ? $VARS['plink'] : $pclink;

			$cfg_rss_title = ( isset ($VARS['rss_title']) ) ? $VARS['rss_title'] : $rss_title;
			$cfg_rss_description = ( isset ($VARS['rss_description']) ) ? $VARS['rss_description'] : $rss_description;
			$cfg_rss_encoding = ( isset ($VARS['rss_encoding']) && !empty ($VARS['rss_encoding']) ) ? $VARS['rss_encoding'] : $rss_encoding;

			$configs = config_array();

			$configs['wfpost']		= $wfpost1;
			$configs['wfcom']		= $wfcom1;
			$configs['skin']		= $s;
			$configs['cbwordwrap']		= $cbww;
			$configs['wwwidth']		= $www;
			$configs['stfpop']		= $fstfpu;
			$configs['comallowbr']		= $combr;
			$configs['stfwidth']		= $spuw;
			$configs['stfheight']		= $spuh;
			$configs['fslink']		= $fslink;
			$configs['stflink']		= $stflink;
			$configs['pclink']		= $pclink;
			$configs['fsnw']		= $fspu;
			$configs['cbflood']		= $cbflood;
			$configs['floodtime']		= $flood;
			$configs['comlength']		= $comlength;
			$configs['fullnewsw']		= $fspuw;
			$configs['fullnewsh']		= $fspuh;
			$configs['fullnewss']		= $fspus;
			$configs['stfresize']		= $stfz;
			$configs['stfscrolls']		= $stfs;
			$configs['fullnewsz']		= $fspuz;
			$configs['compop']		= $compu;
			$configs['comscrolls']		= $comscrolls;
			$configs['comresize']		= $comresize;
			$configs['comheight']		= $compuh;
			$configs['comwidth']	 	= $compuw;
			$configs['enable_rss']		= $cb_rss;
			$configs['rss_title']	 	= $cfg_rss_title;
			$configs['rss_description']	= $cfg_rss_description;
			$configs['rss_encoding']	= $cfg_rss_encoding;
			$configs['com_validation']	= $com_validation;
			$configs['com_captcha']		= $com_captcha;
			$configs['comments_pages']	= $comments_pages;
			$configs['comments_per_page']	= $comments_per_page;

			save_config ($configs);

			include './config.php';

			$title = $ind21;
			$content = make_redirect ($ind22);
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}

//------------------------
//select template
else if ( $id == 'edittmp' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		$title	 = $ind23;
		$content = <<<html
<form method="get" action="?id=edittemps">
	<p>$ind175a<br />
	<select id="menu" name="menu" onchange="jump_template(this.form)">
		<option selected="selected">------------------------</option>
		<option value="1">$ind176</option>
		<option value="2">$ind177</option>
		<option value="3">$ind178</option>
		<option value="4">$ind179</option>
		<option value="5">$ind180</option>
		<option value="6">$ind181</option>
		<option value="7">$ind181a</option>
	</select>
	</p>
</form>
html;
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
//-----------------
//edit selected template
else if ( $id == 'edittemps' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		$show = ( isset ($VARS['show']) ) ? intval ($VARS["show"]) : 0;
		$edit1 = $edit2 = "";
		if ( $show == 0 || !$show || $show > 7 )
		{
			$title = $ind17;
			$content = $error10;
		}
		else
		{
			$title = $ind23;
			$content .= "<form action= \"?id=savetemp\" method=\"post\" id=\"tmpl_form\">";

			$name1 = '';
			$name2 = '';
			switch ( $show )
			{
				case 1:
					$name1 = 'header.php';
					$name2 = 'footer.php';
					$content .= $ind187;
				break;
				case 2:
					$name1 = 'com_header.php';
					$name2 = 'com_footer.php';
					$content .= $ind187;
				break;
				case 3:
					$name1 = 'news_temp.php';
					$name2 = 'fullnews_temp.php';
					$content .= $ind189 . $ind24;
				break;
				case 4:
					$name1 = 'arch_news_temp.php';
					$content .= $ind189 . $ind24;
				break;
				case 5:
					$name1 = 'com_temp.php';
					$name2 = 'com_fulltemp.php';
					$content .= $ind191 . $ind26;
				break;
				case 6:
					$name1 = 'headline_temp.php';
					$name2 = 'sendtofriend_temp.php';
					$content .= $ind192 . $ind30;
				break;
				case 7:
					$name1 = 'news_a_day_temp.php';
					$content .= $ind192a . $ind30a;
				break;
				default:
				break;
			}

			$find = array ('&', '<', '>', '"');
			$replace = array ('&amp;', '&lt;', '&gt;', '&quot;');

			$edit1 = @implode ('', @file (FNEWS_ROOT_PATH . 'templates/' . $name1));
			$edit1 = str_replace ($find, $replace, $edit1);

			if( $name2 <> "" ){
				$edit2 = @implode ('', @file (FNEWS_ROOT_PATH . 'templates/' . $name2));
				$edit2 = str_replace ($find, $replace, $edit2);
			}
$content .= <<<html
<div style="text-align:center">
<textarea name="edit1" id="edit1" class="post" cols="85" rows="20">$edit1</textarea><br />
<input type="button" onclick="document.getElementById('edit1').rows += 5" value="+" />
<input type="button" onclick="document.getElementById('edit1').rows -= 5" value="-" />
<input id="edited" name="edited" type="hidden" value="$show" />
</div>
html;
			if ( $name2 )
			{
				switch ( $show )
				{
					case 1:
						// fall-through
					case 2:
						$content .= $ind188;
					break;
					case 3:
						$content .= $ind25;
					break;
					case 5:
						$content .= $ind37;
					break;
					case 6:
						$content .= $ind38;
					break;
					default:
					break;

				}
$content .= <<<html
<div style="text-align:center">
<textarea name="edit2" id="edit2" class="post" cols="85" rows="20">$edit2</textarea><br />
<input type="button" onclick="document.getElementById('edit2').rows += 5" value="+" />
<input type="button" onclick="document.getElementById('edit2').rows -= 5" value="-" />
</div>
<p>
<input type="submit" class="mainoption" value="$ind36" />
</p>
html;
			}
			else
			{
$content .= <<<html
<p>
<input id="edit2" name="edit2" type="hidden" value="" />
<input type="submit" class="mainoption" value="$ind36" />
</p>
html;
			}

			$content .= get_form_security() . '</form>';
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
else if ( $id == 'savetemp' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$edit1 = ( isset ($VARS["edit1"]) ) ? $VARS['edit1'] : '';
			$edit2 = ( isset ($VARS["edit2"]) ) ? $VARS['edit2'] : '';
			$edited = ( isset ($VARS['edited']) ) ? intval ($VARS["edited"]) : 0;
			if ( !$edited || $edited == 0 || $edited > 7 )
			{
				$title = $ind17;
				$content = $error10;
			}
			else
			{
				$edit1 = html_entity_decode ($edit1);
				$edit2 = html_entity_decode ($edit2);

				$find = array ('&#33;DOCTYPE', '&#60;&#33;', '--&#62;', '&#60;script');
				$replace = array ('!DOCTYPE', '<!', '-->', '<script');

				$edit1 = str_replace ($find, $replace, $edit1);
				$edit2 = str_replace ($find, $replace, $edit2);

				$name1 = '';
				$name2 = '';
				if ($edited == 1) {$name1 = 'header.php'; $name2 = 'footer.php'; $content = $ind28;}
				elseif ($edited == 2) {$name1 = 'com_header.php'; $name2 = 'com_footer.php'; $content = $ind29;}
				elseif ($edited == 3) {$name1 = 'news_temp.php'; $name2 = 'fullnews_temp.php'; $content = $ind24;}
				elseif ($edited == 4) {$name1 = 'arch_news_temp.php'; $content = $ind24;}
				elseif ($edited == 5) {$name1 = 'com_temp.php'; $name2 = 'com_fulltemp.php'; $content = $ind26;}
				elseif ($edited == 6) {$name1 = 'headline_temp.php'; $name2 = 'sendtofriend_temp.php'; $content = $ind30;}
				elseif ($edited == 7) {$name1 = 'news_a_day_temp.php'; $content = $ind30;}

				$save = false;

				if ( safe_write ('templates/' . $name1, 'wb', $edit1) )
				{
					$save = true;
				}

				if( $name2 != '' && safe_write ('templates/' . $name2, 'wb', $edit2) )
				{
					$save = true;
				}

				if ( $save )
				{
					$title = $ind21;
					$content = make_redirect ($ind22, '?id=edittmp', $ind337);
				}
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
else if ( $id == 'manage')
{
	if ( has_access (NEWS_ADMIN) )
	{
		$title = $ind31;
		$datum = date ('Y-m-d H:i:s T');
		$content = <<< html
<form action="?id=signup" method="post">
<table class="adminpanel">
	<tr>
		<th colspan="2">$ind182</th>
	</tr>
	<tr>
		<td valign="top"><label for="username">$ind169a</label></td>
		<td valign="top"><input size="20" type="text" class="post" id="username" name="username" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="nick">$ind119</label></td>
		<td valign="top"><input size="20" type="text" class="post" id="nick" name="nick" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="email">$ind6</label></td>
		<td valign="top"><input size="20" type="text" class="post" id="email" name="email" /></td>
	</tr>
	<tr>
		<td valign="top">&nbsp;</td>
		<td valign="top"><input class="post" type="checkbox" id="hidemail" name="hidemail" /> <label for="hidemail">$ind183</label></td>
	</tr>
	<tr>
		<td valign="top">$ind112</td>
		<td valign="top">$datum</td>
	</tr>
	<tr>
		<td valign="top"><label for="timeoffset">$ind111</label></td>
		<td valign="top"><input size="2" type="text" class="post" id="timeoffset" name="timeoffset" value="0" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="password">$ind4</label></td>
		<td valign="top"><input size="20" type="password" class="post" id="password" name="password" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="icon">$ind7</label></td>
		<td valign="top"><input size="20" type="text" class="post" id="icon" name="icon" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="le">$ind8</label></td>
		<td valign="top">
			<select id="le" name="le">
				<option value="1">$ind193</option>
				<option value="2">$ind194</option>
				<option value="3">$ind195</option>
			</select>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td valign="top">
			<input type="submit" class="mainoption" value="$ind110" />
			<input type="reset" value="$ind16" />
		</td>
	</tr>
</table>
html;

		$content .= get_form_security();

		$content .= <<< html
</form><br /><br />
<form action="?id=edit" method="post">
<table class="adminpanel">
	<tr>
		<th colspan="2">$ind113</th>
	</tr>
	<tr>
		<td><label for="user">$ind184</label></td>
		<td><select id="user" name="user">
html;
		$file = file($users);
		array_shift($file);
		foreach ( $file as $value )
		{
			$user = get_line_data ('users', $value);
			$content .= "<option value=\"{$user['username']}\">{$user['nickname']}</option>\n";
		 }
$content .= <<<html
</select>
</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input type="submit" class="mainoption" value="$ind30b" /></td>
	</tr>
</table>
</form>
html;
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
elseif ( $id == 'signup' )
{
	if ( !has_access (NEWS_ADMIN) )
	{
		$title = $ind17;
		$content = $ind20;
	}
	else
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$username = ( isset ($VARS["username"]) ) ? substr ($VARS['username'], 0, 40) : '';
			$email = ( isset ($VARS["email"]) ) ? $VARS['email'] : '';
			$password = ( isset ($VARS["password"]) ) ? substr ($VARS['password'], 0, 40) : '';
			$nick = ( isset ($VARS["nick"]) ) ? substr ($VARS['nick'], 0, 40) : '';
			$icon = ( isset ($VARS["icon"]) ) ? $VARS['icon'] : '';
			$timeoffset = ( isset ($VARS['timeoffset']) ) ? (int)$VARS['timeoffset'] : 0;
			$le = ( isset ($VARS['le']) ) ? (int)$VARS['le'] : 1;
			$showemail = ( isset ($VARS['hidemail']) ) ? 0 : 1;

			if(!$username || !$email || !$password){
				$title = $ind114;
				$content = $ind115;
			}elseif(!valid_email($email)){
				$title = $ind116;
				$content = $ind117;
			}else{
				if ( findwriter ($username, $nick) )
				{
					$title = $ind17;
					$content = $ind32;
				}
				else
				{
					$write = $username . '|<|' . $nick . '|<|' . $showemail . '=' . $email . '|<|' . $icon . '|<|' . $timeoffset . '|<|' . md5 ($password) . '|<|' . $le . '|<|' . "\n";
					if ( safe_write ('users.php', 'ab', $write) )
					{
						$title = $ind33;
						$content = make_redirect ($username . ' ' . $ind118, '?id=manage', $ind333);
					}
				}
			}
		}
	}
}
else if ( $id == 'edit' )
{
	if ( has_access (NEWS_ADMIN) )
	{
		$user = ( isset ($VARS["user"]) ) ? $VARS['user'] : '';

		$userinfo = findwriter ($user);

		$nor1 = ( $userinfo['level'] == 1 ) ? ' selected="selected"' : '';
		$edi1 = ( $userinfo['level'] == 2 ) ? ' selected="selected"' : '';
		$adm1 = ( $userinfo['level'] == 3 ) ? ' selected="selected"' : '';
		$showemail = ( $userinfo['showemail'] ) ? '' : ' checked="checked"';

		$icon_image = $userinfo['icon'] ? '<br /><img src="' . $userinfo['icon'] . '" alt="" />': '';

		$title = $ind113;
		$content = <<<html
<form action="?id=edit1" method="post" id="formpke">
<table class="adminpanel">
	<tr>
		<th colspan="2">{$userinfo['user']}</th>
	</tr>
	<tr>
		<td><label for="nick1">$ind119</label></td>
		<td><input size="20" type="text" class="post" id="nick1" name="nick1" value="{$userinfo['nick']}" /></td>
	</tr>
	<tr>
		<td><label for="mail1">$ind6</label></td>
		<td><input size="20" type="text" class="post" id="mail1" name="mail1" value="{$userinfo['email']}" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input size="20" type="checkbox" class="post" id="showemail" name="showemail"$showemail /> <label for="showemail">$ind183</label></td>
	</tr>
	<tr>
		<td><label for="timeoffset">$ind111</label></td>
		<td><input size="2" type="text" class="post" id="timeoffset" name="timeoffset" value="{$userinfo['timeoffset']}" /></td>
	</tr>
	<tr>
		<td><label for="passw">$ind4a $ind4</label></td>
		<td><input size="20" type="password" class="post" id="new_password" name="new_password" value="" /></td>
	</tr>
	<tr>
		<td><label for="passw">$ind369</label></td>
		<td><input size="20" type="password" class="post" id="confirm_pass" name="confirm_pass" value="" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="icon1">$ind7</label></td>
		<td>
			<input size="20" type="text" class="post" id="icon1" name="icon1" value="{$userinfo['icon']}" />
			$icon_image
		</td>
	</tr>
	<tr>
		<td><label for="fle">$ind8</label></td>
		<td>
			<select id="fle" name="fle">
				<option value="1" $nor1>$ind193</option>
				<option value="2" $edi1>$ind194</option>
				<option value="3" $adm1>$ind195</option>
			</select>
		</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>
			<input type="hidden" id="name" name="name" value="{$userinfo['user']}" />
			<input type="checkbox" class="post" id="del" name="del" /> <label for="del">$ind97</label>
		</td>
	</tr>
	<tr>
		<th colspan="2">
			<input type="submit" class="mainoption" value="$ind174" />
			<input type="reset" value="$ind16" />
		</th>
	</tr>
</table>
html;
		$content .= get_form_security() . '</form>';
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
else if ( $id == 'edit1')
{
	if ( has_access (NEWS_ADMIN) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$nick1 = ( isset ($VARS["nick1"]) ) ? substr ($VARS['nick1'], 0, 40) : '';
			$mail1 = ( isset ($VARS["mail1"]) ) ? $VARS['mail1'] : '';
			$new_password = ( isset ($VARS['new_password']) ) ? substr ($VARS['new_password'], 0, 40) : '';
			$confirm_pass = ( isset ($VARS['confirm_pass']) ) ? substr ($VARS['confirm_pass'], 0, 40) : '';
			$icon1 = ( isset ($VARS["icon1"]) ) ? $VARS['icon1'] : '';
			$timeoffset = ( isset ($VARS["timeoffset"]) ) ? $VARS['timeoffset'] : '';
			$name = ( isset ($VARS["name"]) ) ? substr ($VARS['name'], 0, 40) : '';
			$deleteuser = ( isset ($VARS["del"]) ) ? 1 : 0;
			$fle = ( isset ($VARS["fle"]) ) ? intval ($VARS['fle']) : 1;
			$showemail = ( isset ($VARS['showemail']) ) ? 0 : 1;

			if ( !$nick1 || !$mail1 || !$name )
			{
				trigger_error ($ind296, E_USER_WARNING);
			}
			
			if ( $deleteuser && ($userdata['user'] == $name) )
			{
				trigger_error ($error12, E_USER_WARNING);
			}
			
			if ( $new_password && !$confirm_pass )
			{
				trigger_error ($ind297, E_USER_WARNING);
			}
			
			if ( $new_password != $confirm_pass )
			{
				trigger_error ($ind197, E_USER_WARNING);
			}

			$file = file ($users);
			array_shift($file);
			
			$data = DENIED_MSG;

			$editedself = false;
			foreach ( $file as $value )
			{
				$user = get_line_data ('users', $value);

				if ( $name == $user['username'] )
				{
					if ( $deleteuser )
					{
						continue;
					}

					$newpass = ( $new_password != '' ) ? md5 ($new_password) : $user['passwordhash'];
					$data .= $name . '|<|' . $nick1 . '|<|' . $showemail . '=' . $mail1 . '|<|' . $icon1 . '|<|' . $timeoffset . '|<|' . $newpass . '|<|' . $fle . '|<|' . "\n";
				}
				else
				{
					$data .= $value;
				}
			}

			safe_write ('users.php', 'wb', $data);

			$title = $ind285;
			$content = make_redirect ($ind34a, '?id=manage', $ind333);
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind20;
	}
}
else if ( $id == 'editprofile' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		$datum = date('Y-m-d H:i:s T');

		$showemail = ( $userdata['showemail'] ) ? '' : ' checked="checked"';
		$icon_image = $userdata['icon'] ? '<br /><img src="' . $userdata['icon'] . '" alt="" />': '';

		$title = $ind284;
		$content =
<<<html
<form action="?id=updateprofile" method="post">
<table class="adminpanel">
	<thead>
		<tr>
			<th colspan="2">{$userdata['user']}</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th colspan="2">
				<input type="submit" class="mainoption" value="$ind174" />
				<input type="reset" value="$ind16" />
			</th>
		</tr>
	</tfoot>
	<tbody>
		<tr>
			<td><label for="nick1">$ind119</label></td>
			<td><input size="20" type="text" class="post" id="nick1" name="nick1" value="{$userdata['nick']}" /></td>
		</tr>
		<tr>
			<td><label for="mail1">$ind6</label></td>
			<td><input size="20" type="text" class="post" id="mail1" name="mail1" value="{$userdata['email']}" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<input size="20" type="checkbox" class="post" id="showemail" name="showemail"$showemail /> <label for="showemail">$ind183</label>
			</td>
		</tr>
		<tr>
			<td><label for="timeoffset">$ind111</label></td>
			<td><input size="2" type="text" class="post" id="timeoffset" name="timeoffset" value="{$userdata['offset']}" /></td>
		</tr>
		<tr>
			<td><label for="oldpassw">$ind4b $ind4</label></td>
			<td><input size="20" type="password" class="post" id="oldpassw" name="oldpassw" value="" /></td>
		</tr>
		<tr>
			<td><label for="passw">$ind4a $ind4</label></td>
			<td><input size="20" type="password" class="post" id="passw" name="passw" value="" /></td>
		</tr>
		<tr valign="top">
			<td><label for="icon1">$ind7</label></td>
			<td><input size="20" type="text" class="post" id="icon1" name="icon1" value="{$userdata['icon']}" />$icon_image</td>
		</tr>
	</tbody>
</table>
html;
		$content .= get_form_security() . '</form>';
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'updateprofile')
{
	if ( !has_access (NEWS_REPORTER) )
	{
		$title = $ind17;
		$content = $ind19;
	}
	else
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$email = ( isset ($VARS["mail1"]) ) ? $VARS['mail1'] : '';
			$oldpassw = ( isset ($VARS["oldpassw"]) ) ? substr ($VARS['oldpassw'], 0, 40) : '';
			$passw = ( isset ($VARS["passw"]) ) ? substr ($VARS['passw'], 0, 40) : '';
			$nick = ( isset ($VARS['nick1']) ) ? substr($VARS["nick1"], 0, 40) : '';
			$icon = ( isset ($VARS["icon1"]) ) ? $VARS['icon1'] : '';
			$timeoffset = ( isset ($VARS['timeoffset']) ) ? intval ($VARS['timeoffset']) : 0;
			$showemail = ( isset ($VARS['showemail']) ) ? 0 : 1;

			if ( !$nick || !$email )
			{
				$title = $ind114;
				$content = $ind296;
			}
			else if ( !valid_email ($email) )
			{
				$title = $ind116;
				$content = $ind117;
			}
			else
			{
				if ( $oldpassw != '' && md5 ($oldpassw) != $userdata['password'] )
				{
					$title = $ind17;
					$content = $ind288;
				}
				else
				{
					if ( $userdata['nick'] != $nick && findwriter ('', $nick) )
					{
						$title = $ind17;
						$content = $ind32;
					}
					else
					{
						//get file
						$file = file ($users);
						array_shift ($file);
						
						$data = DENIED_MSG;
						
						$pass = ( $passw != '' ) ? md5 ($passw) : $userdata['password'];

						foreach ( $file as $value )
						{
							$user = get_line_data ('users', $value);

							if ( $user['username'] == $userdata['user'] )
							{
								$data .= $userdata['user'] . "|<|$nick|<|$showemail=$email|<|$icon|<|$timeoffset|<|$pass|<|" . $user['level'] . "|<|\n";
							}
							else
							{
								$data .= $value;
							}
						}

						if ( safe_write ('users.php', 'wb', $data) )
						{
							$title = $ind286;
							$content = make_redirect ($ind287);
						}
					}
				}
			}
		}
	}
}
elseif ( $id == 'postnews' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		$title = $ind34b;

		$action = ( isset ($VARS['action']) ) ? $VARS['action'] : '';
		$news = ( isset ($VARS['news']) ) ? $VARS['news'] : '';
		$fullnews = ( isset ($VARS['fullnews']) ) ? $VARS['fullnews'] : '';
		$subject = ( isset ($VARS['post_subject']) ) ? $VARS['post_subject'] : '';
		$description = ( isset ($VARS['description']) ) ? $VARS['description'] : '';

		if ( $action == 'preview' )
		{
			$news1 = $news;
			$fullnews1 = $fullnews;

			if ( $wfpost )
			{
				$news1		= filterbadwords ($news1);
				$fullnews1	= filterbadwords ($fullnews1);
			}

			//html
			if ( $ht )
			{
				$news1		= html_entity_decode($news1);
				$news1		= str_replace('<?', '&lt;?', $news1);

				$fullnews1	= html_entity_decode($fullnews1);
				$fullnews1	= str_replace('<?', '&lt;?', $fullnews1);
			}
			$news1 = str_replace ("\n", '<br />', $news1);
			$fullnews1 = str_replace ("\n", '<br />', $fullnews1);

			if ( $cbwordwrap )
			{
				$news1		= fusion_wordwrap ($news1, $wwwidth);
				$fullnews1	= fusion_wordwrap ($fullnews1, $wwwidth);
			}

			//smilies
			if ( $smilies )
			{
				$news1		= InsertSmillies($news1,$furl);
				$fullnews1	= InsertSmillies($fullnews1,$furl);
			}

			//bbcode
			if ( $bb )
			{
				$news1		= InsertBBCode ($news1);
				$fullnews1	= InsertBBCode ($fullnews1);
			}

			$content = <<< html
<h2>$ind200</h2>
<table class="adminpanel">
	<tr>
		<th>$ind128</th>
	</tr>
	<tr>
		<td>$news1</td>
	</tr>
html;

			if ( !empty ($fullnews1) )
			{
				$content .= <<< html
	<tr>
		<th>$ind94</th>
	</tr>
	<tr>
		<td>$fullnews1</td>
	</tr>
html;
			}

			$content .= <<< html
</table>
<p></p>

html;
		}

		$category_list = build_categories_list ($userdata['user']);

		$off = '<span style="color:red"><b>' . $ind144 . '</b></span>';
		$on = '<span style="color:green"><b>' . $ind143 . '</b></span>';

		$htmlcheck = ( !$ht ) ? $off : $on;
		$bbcheck = ( !$bb ) ? $off : $on;
		$smilcheck = ( !$smilies ) ? $off : $on;

		$content .= <<< html
<form action="?id=post" method="post" id="newsposting" name="newsposting" onsubmit="submitonce(this);">
<table class="adminpanel">
	<tr>
		<td>$ind119</td>
		<td>{$userdata['nick']}</td>
		<td rowspan="4">
			$ind121<br />
			- HTML $ind122 $htmlcheck<br />
			- BBCode $ind122 $bbcheck<br />
			- Smilies $ind122 $smilcheck
		</td>
	</tr>
	<tr>
		<td><label for="post_subject">$ind35</label></td>
		<td><input type="text" class="post" id="post_subject" name="post_subject" value="$subject" style="width:95%" /></td>
	</tr>
	<tr>
		<td><label for="description">$ind258</label></td>
		<td><input type="text" class="post" id="description" name="description" value="$description" style="width:95%" /></td>
	</tr>
	<tr>
		<td valign="top"><label for="category">$ind308</label></td>
		<td valign="middle">
			$category_list<br />
			<input type="checkbox" onclick="for(i=0;i<document.getElementById('category').length;i++)document.getElementById('category')[i].selected=this.checked" /> $ind259
		</td>
	</tr>
</table>
html;

		if ( $uploads_active )
		{
			$content .= <<<html
<p>
<a href="javascript:window_pop ('./upload.php', 'fusion_upload', 575, 505)">$ind270</a>&nbsp;&nbsp;&nbsp;
<a href="javascript:window_pop ('./upload.php?id=imagelist', 'fusion_view', 650, 500)">$ind271</a>
</p>

html;
		}

		$content .= <<<html
<table class="adminpanel">
	<tr>
		<th>$ind93</th>
	</tr>

html;

		$extras = show_extras ('newsposting', 'news', $smilies, $bb);

		$news = str_replace ("&br;", "\n", $news);
		$content .= <<<html
	<tr>
		<td align="center">
			$extras
			<textarea class="post" id="news" name="news" rows="15" cols="80">$news</textarea>
		</td>
	</tr>
</table>
<p></p>
<table class="adminpanel">
	<tr>
		<th>$ind94</th>
	</tr>
html;
		$extras = show_extras ('newsposting', 'fullnews', $smilies, $bb);

		$fullnews = str_replace("&br;", "\n", $fullnews);
		$content .= <<<html
	<tr>
		<td align="center">
			$extras
			<textarea class="post" id="fullnews" name="fullnews" rows="15" cols="80">$fullnews</textarea>
		</td>
	</tr>
</table>
<p>
<input type="submit" id="com_Submit" name="com_Submit" class="mainoption" value="$ind15" />
<input type="submit" class="mainoption" value="$ind200" onclick="PreviewArticle ('$id', 'newsposting', -1)" />
<input type="reset" value="$ind16" />
</p>
html;
		$content .= get_form_security() . '</form>';
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'delposts' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$delpost = ( isset ($VARS['delpost']) ) ? $VARS['delpost'] : array();

			$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
			array_shift ($file);
			foreach ( $file as $line => $news_post )
			{
				$toc = get_line_data ('news_toc', $news_post);
				if ( !has_access (NEWS_EDITOR) && $toc['author'] != $userdata['user'] )
				{
					// Can't delete someone else's post if your user level is a news writer.
					continue;
				}

				if ( in_array ($toc['news_id'], $delpost) )
				{
					unset ($file[$line]);
					@unlink (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php');
				}
			}

			array_unshift ($file, DENIED_MSG);
			$data = @implode ('', $file);
			safe_write ('news/toc.php', 'wb', $data);

			$title = $ind123;
			$content .= make_redirect ($ind124, '?id=editposts', $ind124a);
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'editposts' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		$title = $ind95;

		$cid = ( isset ($VARS['category']) ) ? intval ($VARS['category']) : 0;
		$auth = ( isset ($VARS['auth']) && !empty ($VARS['auth'])) ? urldecode ($VARS['auth']) : '';
		$before = ( isset ($VARS['before']) ) ? intval ($VARS['before']) : 0;
		$after = ( isset ($VARS['after']) ) ? intval ($VARS['after']) : 0;

		// date ('j') + 1 accomodates for posts made on that day.
		$pre_d = ( isset ($VARS['pre_d']) ) ? intval ($VARS['pre_d']) : 18;
		$pre_m = ( isset ($VARS['pre_m']) ) ? intval ($VARS['pre_m']) : 1;
		$pre_y = ( isset ($VARS['pre_y']) ) ? intval ($VARS['pre_y']) : 2038;

		$post_d = ( isset ($VARS['post_d']) ) ? intval ($VARS['post_d']) : 1;
		$post_m = ( isset ($VARS['post_m']) ) ? intval ($VARS['post_m']) : 1;
		$post_y = ( isset ($VARS['post_y']) ) ? intval ($VARS['post_y']) : 1970;

		if ( $pre_d > 18 && $pre_m > 1 && $pre_y >= 2038 )
		{
			$pre_d = 18;
			$pre_m = 1;
			$pre_y = 2038;
		}

		if ( $post_d > 18 && $post_m > 1 && $post_y >= 2038 )
		{
			$post_d = 18;
			$post_m = 1;
			$post_y = 2038;
		}

		if ( $pre_d < 1 && $pre_m < 1 && $pre_y < 1970 )
		{
			$pre_d = 1;
			$pre_m = 1;
			$pre_y = 1970;
		}

		if ( $post_d < 1 && $post_m < 1 && $post_y < 1970 )
		{
			$post_d = 1;
			$post_m = 1;
			$post_y = 1970;
		}

		$pre_date = mktime (0, 0, 0, $pre_m, $pre_d, $pre_y);
		$post_date = mktime (0, 0, 0, $post_m, $post_d, $post_y);

		$file = file ($users);
		array_shift ($file);

		$user_dropdown = '<select name="auth"><option value="">' . $ind293 . '</option>';
		foreach ( $file as $user )
		{
			$user = get_line_data ('users', $user);
			if ( !has_access (NEWS_EDITOR) && $user['username'] != $userdata['user'] )
			{
				continue;
			}

			$user_dropdown .= '<option value="' . $user['username'] . '"' . (( $user['username'] === $auth ) ? ' selected="selected"' : '') . '>' . $user['nickname'] . '</option>';
		}
		$user_dropdown .= '</select>';

		$category_dropdown = build_categories_list ($userdata['user'], array ($cid), 1);
		$category_dropdown = str_replace ('<option value="1"', '<option value="0">' . $ind293 . '</option><option value="1"', $category_dropdown);

		$dd1_dropdown = '<select name="pre_d" title="' . $ind51 . '">';
		$dd2_dropdown = '<select name="post_d" title="' . $ind51 . '">';
		for ( $i = 1; $i <= 31; $i++ )
		{
			$dd1_dropdown .= '<option' . ( $pre_d == $i  ? ' selected="selected"' : '') . '>' . $i . '</option>';
			$dd2_dropdown .= '<option' . ( $post_d == $i  ? ' selected="selected"' : '') . '>' . $i . '</option>';
		}
		$dd1_dropdown .= '</select>';
		$dd2_dropdown .= '</select>';

		$mm1_dropdown = '<select name="pre_m" title="' . $ind52 . '">';
		$mm2_dropdown = '<select name="post_m" title="' . $ind52 . '">';
		for ( $i = 1; $i <= 12; $i++ )
		{
			$mm1_dropdown .= '<option' . ( $pre_m == $i  ? ' selected="selected"' : '') . '>' . $i . '</option>';
			$mm2_dropdown .= '<option' . ( $post_m == $i  ? ' selected="selected"' : '') . '>' . $i . '</option>';
		}
		$mm1_dropdown .= '</select>';
		$mm2_dropdown .= '</select>';

		$yy1_dropdown = '<select name="pre_y" title="' . $ind85 . '">';
		$yy2_dropdown = '<select name="post_y" title="' . $ind85 . '">';
		for ( $i = 2038; $i >= 1970; $i-- )
		{
			$yy1_dropdown .= '<option' . ( $pre_y == $i  ? ' selected="selected"' : '') . '>' . $i . '</option>';
			$yy2_dropdown .= '<option' . ( $post_y == $i  ? ' selected="selected"' : '') . '>' . $i . '</option>';
		}
		$yy1_dropdown .= '</select>';
		$yy2_dropdown .= '</select>';

		$before_dropdown =

		$content = <<< html
<form method="get" action="?id=editposts">
<table class="adminpanel">
	<thead>
		<tr>
			<th colspan="4">$ind175</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th colspan="4">
				<input type="hidden" name="id" value="editposts" />
				<input type="submit" class="mainoption" value="$ind125" />
				<input type="reset" value="$ind16" />
			</th>
		</tr>
	</tfoot>
	<tbody>
		<tr>
			<td>$ind241</td>
			<td>$user_dropdown</td>
			<td>$ind308</td>
			<td>$category_dropdown</td>
		</tr>
		<tr>
			<td>$ind209</td>
			<td>$dd2_dropdown$mm2_dropdown$yy2_dropdown</td>
			<td>$ind214</td>
			<td>$dd1_dropdown$mm1_dropdown$yy1_dropdown</td>
		</tr>
	</tbody>
</table>
</form>
html;

		$file = arrange_by_date();

		$news_list = array();
		// Get valid news articles from the TOC file, particular to the user if needed.
		foreach ( $file as $value )
		{
			$toc = get_line_data ('news_toc', $value);

			if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php') )
			{
				continue;
			}

			if ( $toc['timestamp'] > $pre_date || $toc['timestamp'] < $post_date )
			{
				continue;
			}

			$writer = findwriter ($toc['author']);
			if ( (!has_access (NEWS_EDITOR) && ($writer['user'] != $userdata['user'])) || ($auth != '' && $writer['user'] != $auth) )
			{
				continue;
			}

			$categories = explode (',', $toc['categories']);
			if ( $cid > 0 && !in_array ($cid, $categories) )
			{
				continue;
			}

			if ( check_category_access ($userdata['user'], $categories) != NULL )
			{
				continue;
			}

			$news_list[] = array ('id' => $toc['news_id'], 'timestamp' => $toc['timestamp'], 'writer' => $writer, 'subject' => $toc['headline'], 'categories' => $toc['categories']);
		}

		$page = ( isset ($VARS['page']) ) ? intval ($VARS['page']) : 1;
		$page = ( $page <= 0 && $page != -1 ) ? -1 : $page;

		$num_news = sizeof ($news_list);
		$news_per_page = 20;
		$num_pages = ceil ($num_news / $news_per_page);

		$pos = $news_per_page * ($page - 1);

		$page_list = '<p style="text-align:right">' . $ind292 . ': ';
		for ( $i = 0; $i < $num_pages; $i++ )
		{
			$upper_limit = ($i + 1) * $news_per_page;
			$upper_limit = ( $upper_limit > $num_news || $page == -1 ) ? $num_news : $upper_limit;

			if ( $page == ($i + 1) )
			{
				$page_list .= ($i * $news_per_page) + 1 . ' - ' . $upper_limit;
			}
			else
			{
				$page_list .= '<a href="?id=editposts&amp;page=' . ($i + 1) . '">' . (($i * $news_per_page) + 1) . ' - ' . $upper_limit . '</a>';
			}

			$page_list .= ', ';
		}

		if ( $page == -1 )
		{
			$page_list .= '<b>' . $ind293 . '</b></p>';
		}
		else
		{
			$page_list .= '<a href="?id=editposts&amp;page=-1"><b>' . $ind293 . '</b></a></p>';
		}

		$content .=
<<< html
$page_list
<form method="post" id="deleteform" action="?id=delposts">
<table class="adminpanel">
	<tr>
		<th style="width:10%; text-align:center">$ind97</th>
		<th style="width:35%">$ind240</th>
		<th style="width:15%">$ind241</th>
		<th style="width:10%; text-align:center">$ind81</th>
		<th style="width:30%">$ind96</th>
	</tr>
html;

		$num_comments = 0;
		$pos = ( $page == -1 ) ? 0 : $pos;
		$limit = ( $page == -1 ) ? $num_news : (( ($pos + $news_per_page) > $num_news ) ? $num_news : $pos + $news_per_page);
		for ( $i = $pos; $i < $limit; $i++ )
		{
			$news_file = file (FNEWS_ROOT_PATH . 'news/news.' . $news_list[$i]['id'] . '.php');
			$article = get_line_data ('news', $news_file[1]);

			$datum = date ('Y-m-d H:i:s T', $news_list[$i]['timestamp']);
			$subject = ( strlen ($news_list[$i]['subject']) > 35 ) ? substr ($news_list[$i]['subject'],0,35) . '...' : $news_list[$i]['subject'];
			$comment_link = ( has_access (NEWS_EDITOR) ) ? '<a href="?id=editcomments&amp;rand=' . $news_list[$i]['id'] . '">' . $article['numcomments'] . '</a>' : $article['numcomments'];
			$content .=
<<< html
	<tr>
		<td style="text-align: center">
			<input class="post" type="checkbox" id="delpost_{$news_list[$i]['id']}" name="delpost[{$news_list[$i]['id']}]" value="{$news_list[$i]['id']}" onclick="javascript:check_if_selected ('deleteform')" />
		</td>
		<td>
			<a href="?id=editposts2&amp;num={$news_list[$i]['id']}">$subject</a>
		</td>
		<td>
			{$news_list[$i]['writer']['nick']}
		</td>
		<td align="center">
			$comment_link
		</td>
		<td>
			$datum
		</td>
	</tr>
html;
		}

		if ( $i == $pos )
		{
			$content .=
<<< html
	<tr>
		<td align="center" colspan="5">$ind282</td>
	</tr>
html;
		}

		$content .= <<< html
</table>
$page_list
<p><a href="javascript:un_check_all ('deleteform', true)">$ind44</a> | <a href="javascript:un_check_all ('deleteform', false)">$ind44a</a></p>
<p><input class="mainoption" type="submit" disabled="disabled" id="delete" name="delete" value="$ind126" /> <label for="delete">$ind127</label></p>
html;

		$content .= get_form_security() . '</form>';
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'editposts2' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		$num = ( isset ($VARS['num']) ) ? (int)$VARS['num'] : 0;
		if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $num . '.php') )
		{
			trigger_error ($error4, E_USER_WARNING);
		}

		$action = ( isset ($VARS['action']) ) ? $VARS['action'] : '';

		$file = file(FNEWS_ROOT_PATH . 'news/news.' . $num . '.php');
		$article = get_line_data ('news', $file[1]);

		if ( !has_access (NEWS_EDITOR) && $article['author'] != $userdata['user'] )
		{
			// This is a news reporter, trying to edit an article which
			// he/she didn't post.
			$title = $ind17;
			$content = $error14;
		}
		else if ( ($category_name = check_category_access ($userdata['user'], explode (',', $article['categories']))) !== NULL )
		{
			$title = $ind17;
			$content = sprintf ($ind185, $category_name);
		}
		else
		{
			$title = $ind95;
			$content = '';

			$shortnews = $article['shortnews'];
			$fullnews = $article['fullnews'];
			$subject = $article['headline'];
			$description = $article['description'];
			$timestamp = $article['timestamp'];

			$writer = findwriter ($article['author']);

			if ( $action == 'preview' )
			{
				$shortnews = ( isset ($VARS['news']) ) ? $VARS['news'] : '';
				$fullnews = ( isset ($VARS['fullnews']) ) ? $VARS['fullnews'] : '';
				$description = ( isset ($VARS['description']) ) ? $VARS['description'] : '';
				$subject = ( isset ($VARS['subject']) ) ? $VARS['subject'] : '';

				$day = ( isset ($VARS['edit_day']) ) ? (int)$VARS['edit_day'] : 0;
				$month = ( isset ($VARS['edit_month']) ) ? (int)$VARS['edit_month'] : 0;
				$year = ( isset ($VARS['edit_year']) ) ? (int)$VARS['edit_year'] : 0;
				$sec = ( isset ($VARS['edit_sec']) ) ? (int)$VARS['edit_sec'] : 0;
				$min = ( isset ($VARS['edit_min']) ) ? (int)$VARS['edit_min'] : 0;
				$hour = ( isset ($VARS['edit_hour']) ) ? (int)$VARS['edit_hour'] : 0;

				$timestamp = mktime ($hour, $min, $sec, $month, $day, $year);

				$preview_shortnews = $shortnews;
				$preview_fullnews = $fullnews;

				if ( $wfpost )
				{
					$preview_shortnews	= filterbadwords ($preview_shortnews);
					$preview_fullnews		= filterbadwords ($preview_fullnews);
				}

				// HTML
				if ( $ht )
				{
					$preview_shortnews	= html_entity_decode ($preview_shortnews);
					$preview_shortnews	= str_replace ('<?', '&lt;?', $preview_shortnews);

					$preview_fullnews		= html_entity_decode ($preview_fullnews);
					$preview_fullnews		= str_replace ('<?', '&lt;?', $preview_fullnews);
				}

				$preview_shortnews = str_replace ("\n", '<br />', $preview_shortnews);
				$preview_fullnews = str_replace ("\n", '<br />', $preview_fullnews);

				if ( $cbwordwrap )
				{
					$preview_shortnews	= fusion_wordwrap ($preview_shortnews, $wwwidth);
					$preview_fullnews		= fusion_wordwrap ($preview_fullnews, $wwwidth);
				}

				//bbcode
				if ( $bb )
				{
					$preview_shortnews	= InsertBBCode ($preview_shortnews);
					$preview_fullnews		= InsertBBCode ($preview_fullnews);
				}

				//smillies
				if ( $smilies )
				{
					$preview_shortnews	= InsertSmillies($preview_shortnews,$furl);
					$preview_fullnews		= InsertSmillies($preview_fullnews,$furl);
				}

				$content = <<< html
<h2>$ind200</h2>
<table class="adminpanel">
	<tr>
		<th>$ind128</th>
	</tr>
	<tr>
		<td>$preview_shortnews</td>
	</tr>
html;

				if ( $preview_fullnews != '' )
				{
					$content .= <<< html
	<tr>
		<th>$ind94</th>
	</tr>
	<tr>
		<td>$preview_fullnews</td>
	</tr>
html;
				}

				$content .= <<< html
</table>
<p></p>

html;
			}
			else
			{
				$shortnews = str_replace ('<br />', "\n", $shortnews);
				$fullnews = str_replace ('<br />', "\n", $fullnews);
				$shortnews = str_replace ('&br;', "\n", $shortnews);
				$fullnews = str_replace ('&br;', "\n", $fullnews);
			}

			$category_list = build_categories_list ($userdata['user'], explode (',', $article['categories']));

			$off = '<span style="color:red"><b>' . $ind144 . '</b></span>';
			$on = '<span style="color:green"><b>' . $ind143 . '</b></span>';
			$htmlcheck = ( !$ht ) ? $off : $on;
			$bbcheck = ( !$bb ) ? $off : $on;
			$smilcheck = ( !$smilies ) ? $off : $on;

			$content .= <<<html
<form action="?id=editposts3" method="post" id="newsposting" onsubmit="submitonce(this);">
<table class="adminpanel">
	<tr>
		<td>$ind119</td>
		<td>{$writer['nick']}</td>
		<td rowspan="6">
			$ind121<br />
			- HTML $ind122 $htmlcheck<br />
			- BBCode $ind122 $bbcheck<br />
			- Smilies $ind122 $smilcheck
		</td>
	</tr>
html;
			$day_dropdown = '<select id="edit_day" name="edit_day">';
			$day_selected = (int)date ('j', $timestamp);
			for ( $i = 1; $i <= 31; ++$i )
			{
				if ( $day_selected == $i )
				{
					$day_dropdown .= '<option value="' . $i . '" selected="selected">' . $i . '</option>';
				}
				else
				{
					$day_dropdown .= '<option value="' . $i . '">' . $i . '</option>';
				}
			}
			$day_dropdown .= '</select>';

			$month_dropdown = '<select id="edit_month" name="edit_month">';
			$month_selected = (int)date ('m', $timestamp);
			for ( $i = 1; $i <= 12; ++$i )
			{
				if ( $month_selected == $i )
				{
					$month_dropdown .= '<option value="' . $i . '" selected="selected">' . $months[$i] . '</option>';
				}
				else
				{
					$month_dropdown .= '<option value="' . $i . '">' . $months[$i] . '</option>';
				}
			}
			$month_dropdown .= '</select>';

			$year_dropdown = '<select id="edit_year" name="edit_year">';
			$year_selected = (int)date ('Y', $timestamp);
			for ( $i = 1990; $i <= 2037; ++$i )
			{
				if ( $year_selected == $i )
				{
					$year_dropdown .= '<option value="' . $i . '" selected="selected">' . $i . '</option>';
				}
				else
				{
					$year_dropdown .= '<option value="' . $i . '">' . $i . '</option>';
				}
			}
			$year_dropdown .= '</select>';

			$hour_dropdown = '<select id="edit_hour" name="edit_hour">';
			$hour_selected = (int)date ('G', $timestamp);
			for ( $i = 0; $i < 24; ++$i )
			{
				if ( $hour_selected == $i )
				{
					$hour_dropdown .= '<option value="' . $i . '" selected="selected">' . sprintf ('%02d', $i) . '</option>';
				}
				else
				{
					$hour_dropdown .= '<option value="' . $i . '">' . sprintf ('%02d', $i) . '</option>';
				}
			}
			$hour_dropdown .= '</select>';

			$min_dropdown = '<select id="edit_min" name="edit_min">';
			$min_selected = (int)date ('i', $timestamp);
			for ( $i = 0; $i < 60; ++$i )
			{
				if ( $min_selected == $i )
				{
					$min_dropdown .= '<option value="' . $i . '" selected="selected">' . sprintf ('%02d', $i) . '</option>';
				}
				else
				{
					$min_dropdown .= '<option value="' . $i . '">' . sprintf ('%02d', $i) . '</option>';
				}
			}
			$min_dropdown .= '</select>';

			$sec_dropdown = '<select id="edit_sec" name="edit_sec">';
			$sec_selected = (int)date ('s', $timestamp);
			for ( $i = 0; $i < 60; ++$i )
			{
				if ( $sec_selected == $i )
				{
					$sec_dropdown .= '<option value="' . $i . '" selected="selected">' . sprintf ('%02d', $i) . '</option>';
				}
				else
				{
					$sec_dropdown .= '<option value="' . $i . '">' . sprintf ('%02d', $i) . '</option>';
				}
			}
			$sec_dropdown .= '</select>';

			$content .= <<<html
	<tr>
		<td><label for="subject">$ind35</label></td>
		<td><input type="text" class="post" id="subject" name="subject" value="$subject" style="width:95%" /></td>
	</tr>
	<tr>
		<td><label for="description">$ind258</label></td>
		<td><input type="text" class="post" id="description" name="description" value="$description" style="width:95%" /></td>
	</tr>
	<tr>
		<td>$ind96</td>
		<td>$month_dropdown$day_dropdown$year_dropdown</td>
	</tr>
	<tr>
		<td>$ind291</td>
		<td>$hour_dropdown:$min_dropdown:$sec_dropdown</td>
	</tr>
	<tr>
		<td valign="top">$ind308</td>
		<td>
			$category_list
		</td>
	</tr>
</table>
html;
			if ( $uploads_active )
			{
				$content .= <<<html
<p>
<a href="javascript:window_pop ('./upload.php', 'fusion_upload', 460, 275)">$ind270</a>&nbsp;&nbsp;&nbsp;
<a href="javascript:window_pop ('./upload.php?id=imagelist', 'fusion_view', 550, 500)">$ind271</a>
</p>
html;
			}

			$content .= <<<html
<table class="adminpanel">
	<tr>
		<th>$ind93</th>
	</tr>
html;
			$extras = show_extras ('newsposting', 'news', $smilies, $bb);
			$content .= <<<html
	<tr>
		<td align="center">
			$extras
			<textarea class="post" id="news" name="news" rows="15" cols="70">$shortnews</textarea>
		</td>
	</tr>
</table>
<p></p>
<table class="adminpanel">
	<tr>
		<th>$ind94</th>
	</tr>
html;
			$extras = show_extras ('newsposting', 'fullnews', $smilies, $bb);
			$content .= <<<html
	<tr>
		<td align="center">
			$extras
			<textarea class="post" id="fullnews" name="fullnews" rows="15" cols="70">$fullnews</textarea>
		</td>
	</tr>
</table>
<p>
<input type="checkbox" id="del" class="del" value="1" name="del" /> <label for="del">$ind97</label><br /><br />
<input type="hidden" id="num" name="num" value="$num" />
<input type="hidden" id="date" name="date" value="$timestamp" />
<input type="submit" class="mainoption" value="$ind174" />
<input type="submit" class="mainoption" value="$ind200" onclick="PreviewArticle ('$id', 'newsposting', $num)" />
<input type="reset" value="$ind16" />
</p>
html;
			$content .= get_form_security() . '</form>';
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}
elseif ( $id == 'post' )
{ /*id Post*/
	if(!has_access( NEWS_REPORTER ))
	{
		$title = $ind17;
		$content = $ind19;
	}
	else
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$news = ( isset ($VARS['news']) ) ? $VARS['news'] : '';
			$fullnews = ( isset ($VARS['fullnews']) ) ? $VARS['fullnews'] : '';
			$subject = ( isset ($VARS['post_subject']) ) ? $VARS['post_subject'] : '';
			$description = ( isset ($VARS['description']) ) ? $VARS['description'] : '';
			$category = ( isset ($VARS['category']) ) ? $VARS['category'] : array();

			if ( !$subject || !$news )
			{
				trigger_error ($ind98, E_USER_WARNING);
			}
			
			if ( sizeof ($category) < 1 )
			{
				trigger_error ($ind309, E_USER_WARNING);
			}
			
			$cat_error = check_category_access ($userdata['user'], $category);
			if ( $cat_error )
			{
				trigger_error (sprintf ($ind310, $cat_error), E_USER_WARNING);
			}

			//date
			$date = time() + round (3600 * $userdata['offset']);
			// replace new lines
			$find = array ("\r\n", "\r", "\n");
			$replace = array ('&br;', '&br;', '&br;');

			$news = str_replace ($find, $replace, $news);
			$fullnews = str_replace ($find, $replace, $fullnews);
			$description = str_replace ($find, $replace, $description);

			//info
			$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
			array_shift ($file);
			
			$data_toc = DENIED_MSG;

			$break = '';
			$tmp1 = 0;

			if ( isset ($file[0]) && $file[0] != '' )
			{
				list ($tmp1, $tmp2) = explode ('|<|', $file[0]);
				$break = "\n";
			}

			$tmp1++;

			$new_file = 'news/news.' . $tmp1 . '.php';

			// $cs_ being comma separated, like CSV = comma separated values
			$cs_categories = implode (',', $category);

			$data_toc .= $tmp1 . '|<|' . $date . '|<|' . $userdata['user'] . '|<|' . $subject . '|<|' . $cs_categories . '|<|' . $break;
			$data_toc .= implode ('', $file);

			$data = $news . '|<|' . $fullnews . '|<|' . $userdata['user'] . '|<|' . $subject . '|<|' . $description . '|<|' . $cs_categories . '|<|' . $date . '|<|0|<|' . $tmp1 . '|<|';

			safe_write ($new_file, 'wb', DENIED_MSG . $data);

			if ( !is_writeable (FNEWS_ROOT_PATH . $new_file) )
			{
				if ( !@chmod (FNEWS_ROOT_PATH . $new_file, 0666) )
				{
					trigger_error ($error7, E_USER_WARNING);
				}
			}

			if ( safe_write ('news/toc.php', 'wb', $data_toc) )
			{
				$title = $ind43;
				$content .= make_redirect ($ind100);
			}
		}
	}
}
else if ( $id == 'editposts3' )
{
	if ( has_access (NEWS_REPORTER) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$news = ( isset ($VARS['news']) ) ? $VARS['news'] : '';
			$fullnews = ( isset ($VARS['fullnews']) ) ? $VARS['fullnews'] : '';
			$subject = ( isset ($VARS['subject']) ) ? $VARS['subject'] : '';
			$description = ( isset ($VARS['description']) ) ? $VARS['description'] : '';
			$day = ( isset ($VARS['edit_day']) ) ? intval ($VARS['edit_day']) : 1;
			$month = ( isset ($VARS['edit_month']) ) ? intval ($VARS['edit_month']) : 1;
			$year = ( isset ($VARS['edit_year']) ) ? intval ($VARS['edit_year']) : 1970;
			$hour = ( isset ($VARS['edit_hour']) ) ? intval ($VARS['edit_hour']) : 0;
			$min = ( isset ($VARS['edit_min']) ) ? intval ($VARS['edit_min']) : 0;
			$sec = ( isset ($VARS['edit_sec']) ) ? intval ($VARS['edit_sec']) : 0;
			$num = ( isset ($VARS['num']) ) ? intval ($VARS['num']) : 0;
			$delete = (int)( isset ($VARS['del']) );
			$category = ( isset ($VARS['category']) ) ? $VARS['category'] : array();

			if ( !$subject || !$news )
			{
				$title = $ind17;
				$content = $ind98;
			}
			else if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $num . '.php') )
			{
				$title = $ind17;
				$content = $com11;
			}
			else if ( sizeof ($category) < 1 )
			{
				$title = $ind17;
				$content = $ind309;
			}
			else if ( $cat_error = check_category_access ($userdata['user'], $category) )
			{
				$title = $ind17;
				$content = sprintf ($ind310, $cat_error);
			}
			else
			{
				$file = file (FNEWS_ROOT_PATH . 'news/news.' . $num . '.php');
				array_shift ($file);
				
				$data = DENIED_MSG;
				
				$article = get_line_data ('news', $file[0]);

				if ( $article['author'] != $userdata['user'] && !has_access (NEWS_EDITOR) )
				{
					$title = $ind17;
					$content = $ind103;
				}
				else if ( !$delete )
				{
					$news = str_replace ("\n", '&br;', $news);
					$fullnews = str_replace ("\n", '&br;', $fullnews);

					$date = mktime ($hour, $min, $sec, $month, $day, $year);
					if ( $date == -1 || $date === false )
					{
						$date = $news_date;
					}

					$cs_categories = implode (',', $category);
					$data .= $news . '|<|' . $fullnews . '|<|' . $article['author'] . '|<|' . $subject . '|<|' . $description . '|<|' . $cs_categories . '|<|' . $date . '|<|' . $article['numcomments'] . '|<|' . $num . '|<|' . "\n";

					// Skip the existing news data line.
					array_shift ($file);

					$data .= implode ('', $file);
					safe_write ('news/news.' . $num . '.php', 'wb', $data);

					// Blackshadow - Update timestamp in toc.php
					unset ($data);
					$file = file (FNEWS_ROOT_PATH . '/news/toc.php');
					array_shift ($file);
					
					$data = DENIED_MSG;
					
					$update = false;
					foreach ( $file as $news_item )
					{
						$toc = get_line_data ('news_toc', $news_item);
						if ( $toc['news_id'] == $num )
						{
							$data .= $num . '|<|' . $date . '|<|' . $article['author'] . '|<|' . $subject . '|<|' . $cs_categories . '|<|' . "\n";
						}
						else
						{
							$data .= $news_item;
						}
					}

					safe_write ('news/toc.php', 'wb', $data);
				}
				else
				{
					$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
					array_shift( $file );
					
					$data = DENIED_MSG;
					
					foreach ( $file as $value )
					{
						$toc = get_line_data ('news_toc', $news_item);
						if( $toc['news_id'] != $num )
						{
							$data .= $value;
						}
						else
						{
							@unlink (FNEWS_ROOT_PATH . 'news/news.' . $num . '.php');
						}
					}

					safe_write ('news/toc.php', 'wb', $data);
				}

				 //news posted
				$title = $ind101;
				$content = make_redirect ($ind102, '?id=editposts', $ind124a);
			}
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'view')
{
	$title = $ind104;
	ob_start();
	include 'news.php';
	$news = ob_get_contents();
	ob_end_clean();

	ob_start();
	$fn_news_url = 'index.php?id=view';
	include 'headlines.php';
	$headlines = ob_get_contents();
	ob_end_clean();

	if ( !empty ($news) )
	{
		// html width
		$news = preg_replace ('/<table(\s?.+\s?)width=\"?[0-9]+\"?/mi', '<table\\1width="100%"', $news);
		// css width
		$news = preg_replace ('/<table(\s?.+\s?)width\:\s*[0-9a-z\-]+[%|px|em|pt]?/mi', '<table\\1width:100%', $news);
	}

	$content = ( empty ($news) ) ? '<div style="text-align:center">' . $ind41 . '</div>' : $ind40 . '<p></p>' . $headlines . '<br /><br />' . $news;
}
else if ( $id == 'badwordfilter' )
{
	if ( has_access (NEWS_EDITOR) )
	{
		$title = $ind215;
		
		$badwords = file (FNEWS_ROOT_PATH . 'badwords.php');
		array_shift ($badwords);
		$num_words = sizeof ($badwords);
		
		$content = <<< html
<form action="?id=savebadwordfile" method="post">
<table class="adminpanel">
	<tr>
		<th>$ind97</th>
		<th>$ind27</th>
		<th>$ind28</th>
		<th>$ind29</th>
		<th>$ind130</th>
	</tr>
html;
		if ( $num_words > 0 )
		{
			foreach ( $badwords as $key => $rule )
			{
				$badword = get_line_data ('badwords', $rule);

				$case_sens = checkbox_checked ($badword['case_sensitive']);
				$radio_strict = checkbox_checked ($badword['type'], 0);
				$radio_loose = checkbox_checked ($badword['type'], 1);
				$radio_regex = checkbox_checked ($badword['type'], 2);
				$content .= <<< html
	<tr>
		<td style="text-align:center"><input type="checkbox" name="del[$key]" value="1" /></td>
		<td style="text-align:center"><input type="text" name="find[$key]" value="{$badword['find']}" size="20" /></td>
		<td style="text-align:center"><input type="text" name="replace[$key]" value="{$badword['replace']}" size="20" /></td>
		<td style="text-align:center"><input type="checkbox" name="case_sens[$key]" value="1"$case_sens /></td>
		<td><input type="radio" name="type[$key]" value="0"$radio_strict /> $ind190<br /><input type="radio" name="type[$key]" value="1"$radio_loose /> $ind232<br /><input type="radio" name="type[$key]" value="2"$radio_regex /> $ind192b</td>
	</tr>
html;
			}
		}
		else
		{
			$content .= '<tr><td style="text-align:center" colspan="5">' . $ind273 . '</td></tr>';
		}

		$content .= <<< html
	<tr><th colspan="5"><input type="hidden" name="num_words" value="$num_words" /><input type="submit" class="mainoption" value="$ind174" /></th></tr>
</table>
html;

		$content .= get_form_security();

		$content .= <<< html
</form>
<h2>$ind237</h2>
<form action="?id=addbadwords" method="post">
<table class="adminpanel">
	<tr>
		<th>$ind27</th>
		<th>$ind28</th>
		<th>$ind29</th>
		<th>$ind130</th>
	</tr>
	<tr>
		<td style="text-align:center"><input type="text" name="find[0]" size="20" /></td>
		<td style="text-align:center"><input type="text" name="replace[0]" size="20" /></td>
		<td style="text-align:center"><input type="checkbox" name="case_sens[0]" value="1" /></td>
		<td><input type="radio" name="type[0]" value="0" checked="checked" /> $ind190<br /><input type="radio" name="type[0]" value="1" /> $ind232<br /><input type="radio" name="type[0]" value="2" /> $ind192b</td>
	</tr>
	<tr>
		<td style="text-align:center"><input type="text" name="find[1]" size="20" /></td>
		<td style="text-align:center"><input type="text" name="replace[1]" size="20" /></td>
		<td style="text-align:center"><input type="checkbox" name="case_sens[1]" value="1" /></td>
		<td><input type="radio" name="type[1]" value="0" checked="checked" /> $ind190<br /><input type="radio" name="type[1]" value="1" /> $ind232<br /><input type="radio" name="type[1]" value="2" /> $ind192b</td>
	</tr>
	<tr>
		<td style="text-align:center"><input type="text" name="find[2]" size="20" /></td>
		<td style="text-align:center"><input type="text" name="replace[2]" size="20" /></td>
		<td style="text-align:center"><input type="checkbox" name="case_sens[2]" value="1" /></td>
		<td><input type="radio" name="type[2]" value="0" checked="checked" /> $ind190<br /><input type="radio" name="type[2]" value="1" /> $ind232<br /><input type="radio" name="type[2]" value="2" /> $ind192b</td>
	</tr>
	<tr>
		<td style="text-align:center"><input type="text" name="find[3]" size="20" /></td>
		<td style="text-align:center"><input type="text" name="replace[3]" size="20" /></td>
		<td style="text-align:center"><input type="checkbox" name="case_sens[3]" value="1" /></td>
		<td><input type="radio" name="type[3]" value="0" checked="checked" /> $ind190<br /><input type="radio" name="type[3]" value="1" /> $ind232<br /><input type="radio" name="type[3]" value="2" /> $ind192b</td>
	</tr>
	<tr>
		<td style="text-align:center"><input type="text" name="find[4]" size="20" /></td>
		<td style="text-align:center"><input type="text" name="replace[4]" size="20" /></td>
		<td style="text-align:center"><input type="checkbox" name="case_sens[4]" value="1" /></td>
		<td><input type="radio" name="type[4]" value="0" checked="checked" /> $ind190<br /><input type="radio" name="type[4]" value="1" /> $ind232<br /><input type="radio" name="type[4]" value="2" /> $ind192b</td>
	</tr>
	<tr><th colspan="4"><input type="submit" class="mainoption" value="$ind237" /></th></tr>
</table>
html;

		$content .= get_form_security() . '</form><p>' . $ind131 . '</p>';
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'savebadwordfile' )
{
	if ( has_access (NEWS_EDITOR) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$num_words = ( isset ($VARS['num_words']) ) ? $VARS['num_words'] : 0;
			$del = ( isset ($VARS['del']) ) ? $VARS['del'] : array();
			$find = ( isset ($VARS['find']) ) ? $VARS['find'] : array();
			$replace = ( isset ($VARS['replace']) ) ? $VARS['replace'] : array();
			$case_sens = ( isset ($VARS['case_sens']) ) ? $VARS['case_sens'] : array();
			$type = ( isset ($VARS['type']) ) ? $VARS['type'] : array();

			if ( sizeof ($case_sens) != $num_words )
			{
				for ( $i = 0; $i < $num_words; $i++ )
				{
					if ( !isset ($case_sens[$i]) )
					{
						$case_sens[$i] = 0;
					}
				}
				ksort ($case_sens);
			}

			$write = DENIED_MSG;
			for ( $i = 0; $i < $num_words; $i++ )
			{
				if ( isset ($del[$i]) )
				{
					continue;
				}

				$write .= $find[$i] . '|<|' . $replace[$i] . '|<|' . $case_sens[$i] . '|<|' . $type[$i] . '|<|' . "\n";
			}

			if ( safe_write ('badwords.php', 'wb', $write) )
			{
				$title = $ind202;
				$content = make_redirect ($ind202, '?id=badwordfilter', $ind235);
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'addbadwords' )
{
	if ( has_access (NEWS_EDITOR) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$num_words = ( isset ($VARS['num_words']) ) ? $VARS['num_words'] : 0;
			$del = ( isset ($VARS['del']) ) ? $VARS['del'] : array();
			$find = ( isset ($VARS['find']) ) ? $VARS['find'] : array();
			$replace = ( isset ($VARS['replace']) ) ? $VARS['replace'] : array();
			$case_sens = ( isset ($VARS['case_sens']) ) ? $VARS['case_sens'] : array();
			$type = ( isset ($VARS['type']) ) ? $VARS['type'] : array();

			if ( sizeof ($case_sens) != 5 )
			{
				for ( $i = 0; $i < 5; $i++ )
				{
					if ( !isset ($case_sens[$i]) )
					{
						$case_sens[$i] = 0;
					}
				}
				ksort ($case_sens);
			}

			$write = '';
			for ( $i = 0; $i < 5; $i++ )
			{
				if ( empty ($find[$i]) || empty ($replace[$i]) )
				{
					continue;
				}

				$write .= $find[$i] . '|<|' . $replace[$i] . '|<|' . $case_sens[$i] . '|<|' . $type[$i] . '|<|' . "\n";
			}

			if ( safe_write ('badwords.php', 'ab', $write) )
			{
				$title = $ind233;
				$content = make_redirect ($ind234, '?id=badwordfilter', $ind235);
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}

//-----------------
//modify, delete, ban comments/ips
else if ( $id == 'commentmanag'){ /*id Comments Manage*/
	if(has_access( NEWS_EDITOR )){
		$title = $ind203;
		$banned = file (FNEWS_ROOT_PATH . 'banned.php');
		array_shift ($banned);
		$banned = @implode ('', $banned);

		$content = <<< html
<h2>$ind132</h2>
<p>$ind133</p>
<form action="?id=savebanned" method="post">
<div style="text-align:center">
<textarea id="bannedlist" name="bannedlist" class="post" cols="50" rows="5">$banned</textarea><br />
<input type="submit" class="mainoption" value="$ind174" />
</div>
html;

		$content .= get_form_security();

$content .= <<< html
</form>
<h2>$ind134</h2>
<p>$ind135</p>
<table class="adminpanel">
	<tr>
		<th>$ind81</th>
		<th>$ind35</th>
		<th>$ind5</th>
		<th>$ind96</th>
	</tr>

html;
		$file = arrange_by_date();
		$unvalidated_list = array();
		foreach ( $file as $value )
		{
			$toc = get_line_data ('news_toc', $value);
			if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php') )
			{
				continue;
			}

			$news_file = file (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php');
			$article = get_line_data ('news', $news_file[1]);
			
			$writer = findwriter ($toc['author']);
			
			$datum = date('Y-m-d H:i:s T', $toc['timestamp']);
			$content .=
<<< html
	<tr>
		<td align="center">{$article['numcomments']}</td>
		<td><a href="?id=editcomments&amp;rand={$toc['news_id']}">{$toc['headline']}</a></td>
		<td>{$writer['nick']}</td>
		<td>$datum</td>
	</tr>

html;
			array_shift ($news_file);
			array_shift ($news_file);
			if ( sizeof ($news_file) > 0 )
			{
				// There are comments.
				$unvalidated_list += array ($toc['headline'] => array());
			}
			else
			{
				continue;
			}
			
			$parts = array();
			foreach ( $news_file as $v2 )
			{
				$comment = get_line_data ('comments', $v2);
				if ( $comment['validated'] == 0 )
				{
					$unvalidated_list[$toc['headline']][] = $comment;
				}
			}
		}

		$content .= <<< html
</table>
<h2>$ind239</h2>
html;

		if ( sizeof ($unvalidated_list) <= 0 )
		{
			$content .= $ind242;
		}
		else
		{
			$content .= <<< html
<form method="post" action="?id=validatecomments" id="validating">
html;

			foreach ( $unvalidated_list as $subject => $comments )
			{
				if ( sizeof ($comments) > 0 )
				{
					$content .= '<h3>' . $subject . '</h3>';
					foreach ( $comments as $value )
					{
						$date = date ('Y-m-d H:i:s T', $value['timestamp']);
						$email = ( empty ($value['email']) ) ? $ind275 : $value['email'];

						$content .= <<< html
<table class="adminpanel">
	<tr>
		<th colspan="2">
			$ind119 <span style="font-weight: normal">{$value['author']} ({$value['ip']})</span>
			$ind6 <span style="font-weight: normal">$email</span>
			$ind96 <span style="font-weight: normal">$date</span>
		</th>
	</tr>
	<tr>
		<td style="width: 20px">
			<input type="checkbox" name="comid[{$value['comment_id']}]" id="comid_{$value['comment_id']}" onclick="javascript:check_if_selected ('validating')" value="{$value['comment_id']}" />
		</td>
		<td>
			{$value['message']}
		</td>
	</tr>
</table><p></p>
html;
					}
				}
			}

			$content .= get_form_security();

			$content .= <<< html
<input type="submit" class="mainoption" disabled="disabled" value="$ind318" />&nbsp;
<input type="submit" class="mainoption" onclick="javascript:deleteComments(this.form);" disabled="disabled" value="$ind126" /></p>
</form>
<script type="text/javascript">
//<![CDATA[
function deleteComments ( form_object )
{
	form_object.action = '?id=deletecomments';
}
//]]>
</script>
html;
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'validatecomments' )
{
	if ( has_access (NEWS_EDITOR) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$comid = ( isset ($VARS['comid']) ) ? $VARS['comid'] : array();

			if ( sizeof ($comid) <= 0 )
			{
				// blank...
			}
			else
			{
				$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
				array_shift ($file);

				foreach ( $file as $newsfile )
				{
					$toc = get_line_data ('news_toc', $newsfile);
					
					if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php') )
					{
						continue;
					}
					
					$newsfile = file (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php');
					array_shift ($newsfile);
					
					$start = DENIED_MSG;

					$article = get_line_data ('news', $newsfile[0]);
					array_shift ($newsfile);

					$write = '';
					foreach ( $newsfile as $comment )
					{
						$comment = get_line_data ('comments', $comment);

						if ( in_array ($comment['comment_id'], $comid) )
						{
							$comment['validated'] = 1;
							++$article['numcomments'];
						}
						
						$write .= implode ('|<|', $comment) . '|<|' . "\n";
					}

					$start .= implode ('|<|', $article) . '|<|' . "\n";
					$write = $start . $write;

					if ( safe_write ('news/news.' . $toc['news_id'] . '.php', 'wb', $write) )
					{
						$title = $ind146;
						$content = make_redirect ($ind321, '?id=commentmanag', $ind334);
					}
				}
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'deletecomments' )
{ // Delete unvalidated comments
	if ( has_access (NEWS_EDITOR) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$comid = ( isset ($VARS['comid']) ) ? $VARS['comid'] : array();

			if ( sizeof ($comid) <= 0 )
			{
				// blank...
			}
			else
			{
				$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
				array_shift ($file);

				foreach ( $file as $newsfile )
				{
					$newsfile = explode ('|<|', $newsfile);
					$newsid = $newsfile[0];
					if ( file_exists (FNEWS_ROOT_PATH . 'news/news.' . $newsid . '.php') )
					{
						$newsfile = file (FNEWS_ROOT_PATH . 'news/news.' . $newsid . '.php');
						array_shift ($newsfile);
						
						$write = DENIED_MSG;
						
						$article = get_line_data ('news', $newsfile[0]);
			
						$write .= array_shift ($newsfile);

						foreach ( $newsfile as $comment )
						{
							$com = get_line_data ('comments', $comment);
							if ( in_array ($com['comment_id'], $comid) )
							{
								continue;
							}

							$write .= $comment;
						}

						safe_write ('news/news.' . $newsid . '.php', 'wb', $write);
					}
				}

				$title = $ind146;
				$content = make_redirect ($ind164, '?id=commentmanag', $ind334);
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}

//-----------------
//save banned IP's
else if ( $id == "savebanned"){ /*id Banned Save*/
	if(has_access( NEWS_EDITOR )){
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$bannedlist = ( isset ($VARS["bannedlist"]) ) ? $VARS['bannedlist'] : '';

			$banned_ip = explode ("\n", $bannedlist);

			$bannedlist = DENIED_MSG;
			foreach ( $banned_ip as $ip )
			{
				if ( !$ip )
				{
					continue;
				}

				if ( !strncmp ($ip, '10.', 3) ||
					!strncmp ($ip, '172.16.', 7) ||
					!strncmp ($ip, '192.168.', 8) )
				{
					$title = $ind17;
					$content = $ind39;
					break;
				}

				$ip = explode ('.', $ip);

				if ( (sizeof ($ip) != 4) ||
					($ip[0] < 0 || $ip[1] < 0 || $ip[2] < 0 || $ip[3] < 0) ||
					($ip[0] > 255 || $ip[1] > 255 || $ip[2] > 255 || $ip[3] > 255) )
				{
					$title = $ind17;
					$content = $ind299;
					break;
				}
				else
				{
					$bannedlist .= implode ('.', $ip) . "\n";
				}
			}

			if ( !$title && !$content )
			{
				if ( safe_write ('banned.php', 'wb', $bannedlist) )
				{
					$title = $ind137;
					$content = make_redirect ($ind162, '?id=commentmanag', $ind334);
				}
			}
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}

//--------------
else if ( $id == 'editcomments')
{ /*id Comments Edit*/
	if ( has_access (NEWS_EDITOR) )
	{
		$rand = ( isset ($VARS['rand']) ) ? intval ($VARS['rand']) : 0;

		if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $rand . '.php') )
		{
			$title = $ind17;
			$content = $com11;
		}
		else
		{
			$title = $ind203;

			$content = "$ind138<br />
				<form method=\"post\" id=\"comments\" action=\"?id=delcomments\">
				<table class=\"adminpanel\">
					<tr>
						<th>$ind97</th>
						<th>$ind15</th>
						<th>$ind139</th>
						<th>$ind96</th>
						<th>$ind278</th>
					</tr>";
			$file = file (FNEWS_ROOT_PATH . 'news/news.' . $rand . '.php');
			array_shift ($file);
			array_shift ($file);
			
			$found = false;
			foreach( $file as $value )
			{
				$comment = get_line_data ('comments', $value);
				
				if ( !$comment['validated'] )
				{
					continue;
				}
				
				$com_datum = date ('Y-m-d H:i:s T', $comment['timestamp']);
				$com_post = str_replace ('&br;', '<br />', $comment['message']);
				$com_post = strlen ($com_post) > $comlength ? substr ($com_post, 0, $comlength) . '...' : $com_post;
				$content .= <<< html
	<tr>
		<td style="text-align:center">
			<input type="checkbox" class="post" id="delpost_{$comment['comment_id']}" name="delpost[{$comment['comment_id']}]" value="{$comment['comment_id']}" onclick="check_if_selected ('comments');">
		</td>
		<td>$com_post</td>
		<td>
			{$comment['author']}<br />
			<b>{$comment['ip']}</b>
		</td>
		<td>$com_datum</td>
		<td style="text-align:center">
			[<a href="?id=editcomment&amp;num={$comment['comment_id']}&amp;rand=$rand">$ind30b</a>]
		</td>
	</tr>
html;

				 $found = true;
			}

			if ( !$found )
			{
				$content .=
<<< html
		<tr>
			<td align="center" colspan="5">$ind283</td>
		</tr>
html;
			}

			$disabled = ( !$found ) ? ' disabled="disabled"' : '';

			$content .= '</table>';
			$content .= get_form_security();
			$content .= "<p><a href=\"javascript:un_check_all ('comments', true)\">$ind44</a> | <a href=\"javascript:un_check_all ('comments', false)\">$ind44a</a></p>
			<p><input type=\"hidden\" id=\"rand\" name=\"rand\" value=\"$rand\" />
			<input class=\"mainoption\" type=\"submit\" disabled=\"disabled\" id=\"delete\" name=\"delete\" value=\"$ind126\" /></p></form>";
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}

//--------------
else if ( $id == 'editcomment'){ /*id Comment Edit*/
	if ( has_access (NEWS_EDITOR) )
	{
		$news_id	= ( isset ($VARS['rand']) ) ? (int)$VARS['rand'] : 0;
		$comment_id	= ( isset ($VARS['num']) ) ? (int)$VARS['num'] : 0;

		if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $news_id . '.php') )
		{
			$title = $ind17;
			$content = $com11;
		}
		else
		{
			$file = file (FNEWS_ROOT_PATH . 'news/news.' . $news_id . '.php');
			array_shift ($file);
			array_shift ($file);
			
			foreach ( $file as $value )
			{
				$comment = get_line_data ('comments', $value);

				if ( $comment_id == $comment['comment_id'] )
				{					
					$email = $comment['email'] == '' ? $ind141 : $comment['email'];
					
					$message = str_replace ('&br;', "\n", $comment['message']);
					
					$no = '<span style="color:red; font-weight: bold">' . $ind144 .'</span>';
					$yes = '<span style="color:green; font-weight: bold">' . $ind143 .'</span>';
					
					$htmlcheck = ( !$htc ) ? $no : $yes;
					$bbcheck = ( !$bbc ) ? $no : $yes;
					$smilcheck = ( !$smilcom ) ? $no : $yes;
					
					$title = $ind142;
					$content = <<< html
<form action="?id=updatecomment&amp;num={$comment['comment_id']}&amp;rand={$news_id}" method="post" id="newsposting" onsubmit="submitonce(this);">
<table class="adminpanel">
	<tr>
		<td>$ind279</td>
		<td>{$comment['author']}</td>
		<td rowspan="3">
			$ind121<br />
			- HTML $ind122 $htmlcheck<br />
			- BBCode $ind122 $bbcheck<br />
			- Smilies $ind122 $smilcheck
		</td>
	</tr>
	<tr>
		<td>$ind6</td>
		<td>$email</td>
	</tr>
	<tr>
		<td>IP</td>
		<td>{$comment['ip']}</td>
	</tr>
html;

					$extras = show_extras ('newsposting', 'news', $smilcom, $bbc);
					$content .= <<<html
	<tr>
		<td colspan="3">
			<div style="text-align:center">$extras
			<textarea class="post" name="comment" id="comment" rows="15" cols="70">{$comment['message']}</textarea></div>
			<p><label for="del">$ind97</label> <input type="checkbox" class="post" value="1" id="del" name="del" /></p>
			<p><input class="mainoption" type="submit" value="$ind174" /></p>
		</td>
	</tr>
</table>
html;
					$timestamp = time();
					$content .= get_form_security() . '</form>';
					
					break;
				}
			}
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}

//-----------------
//edit it
else if ( $id == 'updatecomment'){ /*id Comment Update*/
	if(has_access( NEWS_EDITOR )){
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$comment	= ( isset ($VARS['comment']) ) ? $VARS['comment'] : '';
			$comrand	= ( isset ($VARS['num']) ) ? (int)$VARS['num'] : 0;
			$num		= ( isset ($VARS['rand']) ) ? (int)$VARS['rand'] : 0;
			$del		= ( isset ($VARS['del']) ) ? 1 : 0;
			
			if ( !$comment )
			{
				$title = $ind17;
				$content = $ind145;
			}
			else if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $num . '.php') )
			{
				$title = $ind17;
				$content = $com11;
			}
			else
			{
				$file = file (FNEWS_ROOT_PATH . 'news/news.' . $num . '.php');
				array_shift ($file);
				
				$start = DENIED_MSG;
				
				$article = get_line_data ('news', $file[0]);				
				array_shift ($file);
				$data = NULL;
				
				foreach ( $file as $value )
				{
					$com = get_line_data ('comments', $value);
					if ( $comrand == $com['comment_id'] )
					{
						if ( $del )
						{
							--$article['numcomments'];
							continue;
						}
					
						if ( $comallowbr )
						{
							$comment = str_replace ("\n", '&br;', $comment);
						}

						$com['message'] = $comment;
						$data .= implode ('|<|', $com) . '|<|' . "\n";
					}
					else
					{
						$data .= $value;
					}
				}
				
				$start .= implode ('|<|', $article) . '|<|' . "\n";
				$data = $start .= $data;

				if ( safe_write ('news/news.' . $num . '.php', 'wb', $data) )
				{
					$title = $ind146;
					$content = make_redirect ($ind147, '?id=commentmanag', $ind334);
				}
			}
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}

//--------------
else if ( $id == 'delcomments'){ /*id Comment Delete*/
	if(has_access( NEWS_EDITOR )){
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$delpost = ( isset ($VARS['delpost']) ) ? $VARS['delpost'] : array();
			$news_id = ( isset ($VARS['rand']) ) ? intval ($VARS['rand']) : 0;

			if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $news_id . '.php') )
			{
				$title = $ind17;
				$content = $com11;
			}
			else
			{
				$file = file (FNEWS_ROOT_PATH . 'news/news.' . $news_id . '.php');
				array_shift ($file);
				
				$start = DENIED_MSG;
				
				$article = get_line_data ('news', $file[0]);
				array_shift ($file);
				
				$data = NULL;
				$dc = 0;
				foreach ( $file as $comment_data )
				{
					$comment = get_line_data ('comments', $comment_data);
					if ( in_array ($comment['comment_id'], $delpost) )
					{
						++$dc;
						--$article['numcomments'];
						continue;
					}

					$data .= $comment_data;
				}
				
				$start .= implode ('|<|', $article) . '|<|' . "\n";
				$data = $start . $data;

				safe_write ('news/news.' . $news_id . '.php', 'wb', $data);

				$title = $ind150;
				$content = make_redirect ($ind151 . ' ' . $dc . ' ' . $ind151a, '?id=commentmanag', $ind334);
			}
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}

elseif ( $id == 'uploads' ){ /*id Uploads*/
	if(has_access( NEWS_EDITOR ))
	{
		$title = $ind204;

		if ( strtolower (@ini_get ('file_uploads')) == 'off' || @ini_get ('file_uploads') == 0 || @ini_get ('file_uploads') == '' )
		{
			$content .= $ind105;

			if ( $uploads_active )
			{
				$configs = config_array();

				$configs['uploads_active'] = '';
				save_config ($configs);
			}
		}
		else
		{
			$content .= "<form method=\"post\" action=\"?id=saveuploads\">\n";
			$content .= "<p><input class=\"post\" type=\"checkbox\" id=\"uploads_active\" name=\"uploads_active\" value=\"1\" " . checkbox_checked ($uploads_active) . " /> <label for=\"uploads_active\">$ind220</label></p>\n";
			$content .= "<p>$ind221 <input class=\"post\" type=\"text\" id=\"uploads_ext\" name=\"uploads_ext\" value=\"$uploads_ext\" size=\"40\" /><br />\n";
			$content .= "$ind222</p>\n";
			$content .= "<p>$ind223 <input class=\"post\" type=\"text\" id=\"uploads_size\" name=\"uploads_size\" value=\"$uploads_size\" size=\"25\" /><br />\n";
			$content .= "$ind224</p><p><input class=\"mainoption\" type=\"submit\" value=\"$ind36\" /></p>\n";
			$timestamp = time();
			$content .= get_form_security();
			$content .= "</form>\n";
			$content .= "<form id=\"frm\" method=\"post\" action=\"?id=deluploads\">\n";
			$content .= "<table class=\"adminpanel\">\n";
			$content .= "<tr>\n";
			$content .= "	<th>$ind97</th>\n";
			$content .= "	<th>$ind226</th>\n";
			$content .= "	<th>$ind227</th>\n";
			$content .= "	<th>$ind228</th>\n";
			$content .= "</tr>\n";
			$filesize_cnt = 0;
			if ($dir = @opendir("./uploads")) {
				while ( ($file = readdir($dir)) !== false)
				{
					if ( $file == '.' || $file == '..')
					{
						continue;
					}

					$valid_extensions = str_replace ('&#124;', '|', $uploads_ext);

					if ( !preg_match ('/^(.+)\.' . $valid_extensions . '$/', strtolower ($file)) )
					{
						continue;
					}

					$curentfile_size = filesize(FNEWS_ROOT_PATH . 'uploads/'.$file);
					$filesize_cnt = $filesize_cnt + $curentfile_size;
					$image_url = './uploads/' . $file;
					$image_size = getimagesize ($image_url);
					$content	.= "<tr>\n";
					$content	.= "	<td align=\"center\"><input class=\"post\" type=\"checkbox\" id=\"del_files_$file\" name=\"del_files[$file]\" value=\"$file\" onclick=\"javascript:check_if_selected ('frm')\" /></td>\n";
					$content	.= '	<td><a href="' . $image_url . '" onclick="window.open(this.href,\'\',\'height=' . ($image_size[1] + 20) . ',width=' . ($image_size[0] + 20) . ',toolbar=no,menubar=no,scrollbars=yes,resizable=yes\'); return false">' . $file . '</a></td>' . "\n";
					$content	.= "	<td align=\"right\">".calc_size($curentfile_size)."</td>\n";
					$content	.= "	<td align=\"center\">".date ("Y-m-d H:i:s T", filemtime("./uploads/".$file))."</td>\n";
					$content	.= "</tr>\n";
				}
				closedir($dir);
			}

			if ( $filesize_cnt == 0 )
			{
				$content .=
<<< html
<tr>
	<td align="center" colspan="4">$ind300</td>
</tr>
html;
			}

			$disabled = ( $filesize_cnt == 0 ) ? ' disabled="disabled"' : '';

			$content	.= "</table>\n";
			$content .= get_form_security();
			$content .= '<p><a href="javascript:un_check_all (\'frm\', true)">' . $ind44 . '</a> | <a href="javascript:un_check_all (\'frm\', false)">' . $ind44a . '</a></p>' . "\n";
			$content	.= "<p><input class=\"mainoption\" id=\"delete\" name=\"delete\" disabled=\"disabled\" type=\"submit\" value=\"$ind97\" />&nbsp;&nbsp;&nbsp;<b>$ind264&nbsp;".calc_size($filesize_cnt)."</b></p>\n";
			$content	.= "</form>\n";
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}

elseif ( $id == 'deluploads' ){ /*id Uploads Delete*/
	if ( has_access (NEWS_EDITOR) )
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$delpost = ( isset ($VARS['del_files']) ) ? $VARS['del_files'] : array();
			
			$title = $ind289;
			$dc = count ($delpost);
			$file_info = '';
			for ( $n = 0; $n < $dc; $n++ )
			{
				$line = each ($delpost);
				$ed = $line['value'];
				if ( !@unlink(FNEWS_ROOT_PATH . 'uploads/' . $ed) )
				{
					
					$file_info .= $ind229 . ' "' . $ed . '" ' . $ind230 . '<br />';
				}
				else
				{
					$file_info .= '"' . $ed . '" ' . $ind231 . '<br />';
				}
			}
			
			$content = make_redirect ($file_info, '?id=uploads', $ind338);
		}
	}
	else
	{
		$title = $ind17;
		$content = $ind19;
	}
}

else if ( $id == 'saveuploads')
{ /*id Uploads Save Config*/
	if(has_access( NEWS_EDITOR ))
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$uploads_size = ( isset ($VARS['uploads_size']) ) ? (( intval ($VARS['uploads_size']) < 1000 ) ? 1000 : intval ($VARS['uploads_size']) ) : 0;
			$uploads_active = (int)(isset($VARS["uploads_active"]));
			$uploads_extensions = ( isset ($VARS['uploads_ext']) ) ? $VARS['uploads_ext'] : '';

			if ( !preg_match ('/^[A-Za-z0-9_\|]+$/', str_replace ('&#124;', '|', $uploads_extensions)) )
			{
				$title = $ind17;
				$content = $ind295;
			}
			else
			{
				$configs = config_array();

				$configs['uploads_size'] = $uploads_size;
				$configs['uploads_active'] = $uploads_active;
				$configs['uploads_ext'] = $uploads_extensions;

				save_config( $configs );

				$title = $ind21;
				$content = make_redirect ($ind22, '?id=uploads', $ind338);
			}
		}
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}

//-----------------
//update info + general help
else if ( $id == 'help'){ /*id Help*/
	if ( has_access (NEWS_REPORTER) ){
		$message = '';
		$version = '';
		$title = $ind152;

		if ( $fp = @fsockopen ('www.fusionnews.net', 80, $errno, $errstr, 10) )
		{
			$out = 'GET /version/fnews_version.txt HTTP/1.1' . "\r\n";
			$out .= 'Host: www.fusionnews.net' . "\r\n";
			$out .= 'Connection: close' . "\r\n\r\n";

			@fputs ($fp, $out);
			$getinfo = false;

			while ( !@feof ($fp) )
			{
				if ( $getinfo )
				{
					$version .= @fread ($fp, 1024);
				}
				else
				{
					if ( @fgets ($fp, 1024) == "\r\n" )
					{
						$getinfo = true;
					}
				}
			}
			@fclose ($fp);

			$message = version_compare ($version, $curve) > 0 ? $ind303 : $ind304;
		}
		else
		{
			$message = 'Err: ' . $errstr . '(' . $errno . ')';
		}

		$content = <<<html
<table class="adminpanel">
	<tr><th>$ind157</th></tr>
	<tr><td>$ind158</td></tr>

	<tr><th style="text-align:left">$ind159 (<a href="javascript:toggleView('help_1');">$ind160</a>)</th></tr>
	<tr><td><div style="display:none" id="help_1">$ind345</div></td></tr>

	<tr><th style="text-align:left">$ind347 (<a href="javascript:toggleView('help_2');">$ind160</a>)</th></tr>
	<tr><td><div style="display:none" id="help_2">$ind348</div></td></tr>

	<tr><th style="text-align:left">$ind349 (<a href="javascript:toggleView('help_3');">$ind160</a>)</th></tr>
	<tr><td><div style="display:none" id="help_3">$ind350</div></td></tr>

	<tr><th style="text-align:left">$ind351 (<a href="javascript:toggleView('help_4');">$ind160</a>)</th></tr>
	<tr><td><div style="display:none" id="help_4">$ind352</div></td></tr>

	<tr><th style="text-align:left">$ind353 (<a href="javascript:toggleView('help_5');">$ind160</a>)</th></tr>
	<tr><td><div style="display:none" id="help_5">$ind354</div></td></tr>
</table>
<p></p>
<table class="adminpanel">
	<tr><th>$ind323</th></tr>
	<tr><td>$ind236</td></tr>
</table>
<p></p>
<table class="adminpanel">
	<tr>
		<th colspan="2">$ind154</th>
	</tr>
	<tr>
		<td style="width:50%">$ind155</td>
		<td style="width:50%">$curve</td>
	</tr>
	<tr>
		<td>$ind156</td>
		<td>$version</td>
	</tr>
	<tr>
		<td align="center" colspan="2">
			$message
		</td>
	</tr>
</table>
html;
	}else{
		$title = $ind17;
		$content = $ind19;
	}
}
else if ( $id == 'smillies'){/*id Smillies*/
	if ( has_access (NEWS_ADMIN) )
	{

		function form_dropdown($name, $list=array(), $default_val='', $js='') {
			if ($js != '')$js = ' '.$js.' ';
			$html = '<select id="' . $name . '" name="' . $name . '"' . $js . '>' . "\n";

			foreach ($list as $k => $v){
				$selected = '';
				if ( ($default_val != '') and ($v[0] == $default_val) )$selected = ' selected="selected"';
				$html .= '<option value="' . $v[0] . '"' . $selected . '>' . $v[1] . '</option>' . "\n";
			}
			$html .= '</select>' . "\n\n";
			return $html;
		}

		$file = file(FNEWS_ROOT_PATH . 'smillies.php');
		array_shift ($file);
		$num_smilies = sizeof ($file);

		$title = $ind211;
		$content =
<<< html
<h2>$ind274</h2>
<form method="post" action="?id=editsmillie">
<table class="adminpanel">
	<tr>
		<th style="width:10%">$ind97</th>
		<th style="width:70%">$ind276</th>
		<th style="width:20%">$ind277</th>
	</tr>

html;
		foreach ( $file as $value )
		{
			$smiley = get_line_data ('smillies', $value);

			$content .=
<<< html
	<tr>
		<td align="center">
			<input type="checkbox" id="del_smillie_{$smiley['smiley_id']}" name="del_smillie[{$smiley['smiley_id']}]" class="post" />
		</td>
		<td align="center">
			<input type="text" id="code_smillie_{$smiley['smiley_id']}" name="code_smillie{$smiley['smiley_id']}" class="post" value="{$smiley['bbcode']}" style="width:95%" />
		</td>
		<td align="center">
			<input type="hidden" name="smiley_image[{$smiley['smiley_id']}]" value="{$smiley['image']}" />
			<img src="$furl/smillies/{$smiley['image']}" alt="{$smiley['image']}" title="{$smiley['image']}" />
		</td>
	</tr>
html;
		}
		$content .= <<< html
	<tr>
		<th colspan="3">
			<input type="submit" class="mainoption" value="$ind174" />
			<input type="reset" value="$ind16" />
		</th>
	</tr>
</table>
html;
		$content .= get_form_security() . '</form>';

		$emos = array();
		$dh = opendir (FNEWS_ROOT_PATH . '/smillies');
		if ( $dh === false )
		{
			trigger_error ($error21, E_USER_WARNING);
		}
		
		while ( ($file = readdir ($dh)) !== false )
		{
			// Blackshadow: Added check to make sure smiley image isn't that dreaded Thumbs.db file
			if ( !preg_match ( '/^..?$|^index|htm$|html$|db$|^\./i', $file) )
			{
				$emos[] = array( $file, $file );
			}
		}
		
		closedir ($dh);
		sort($emos);
		reset($emos);

		$amos = array();
		$amos = $emos[0];
		$smiley_dropdown = form_dropdown ('after', $emos, $amos[1], 'onchange="show_emo(\'./smillies\')"');
		$content .=
<<< html
<form id="theAdminForm" method="post" action="?id=addsmillie">
<h2>$ind243</h2>
<table class="adminpanel">
	<tr>
		<th>$ind276</th>
		<th>$ind245</th>
		<th>$ind244</th>
	</tr>
	<tr>
		<td align="center"><input type="text" id="code" name="code" class="post" size="30" /></td>
		<td align="center">
			<img src="$furl/smillies/{$amos[1]}" id="emopreview" alt="{$amos[1]}" title="{$amos[1]}" />
			$smiley_dropdown
		</td>
		<td align="center"><input type="submit" class="mainoption" value="$ind244" /></td>
	</tr>
</table>
html;

		$content .= get_form_security();

		$content .= <<< html
</form>
<form method="post" action="?id=uploadsmillie" id="uploadform" enctype="multipart/form-data">
<h2>$ind246</h2>
<table class="adminpanel">
	<tr>
		<th>$ind247</th>
	</tr>
	<tr>
		<td align="center"><input type="file" id="FILE_UPLOAD" name="FILE_UPLOAD" class="post" size="50" /></td>
	<tr>
		<th><input type="submit" class="mainoption" value="$ind42" /></th>
	</tr>
</table>
html;
		$content .= get_form_security() . '</form>';
	}else{
		$title = $ind17;
		$content = $ind20;
	}
}
//-----------------

else if ( $id == 'uploadsmillie')
{/*id Smillies Upload*/
	if ( !has_access (NEWS_ADMIN) )
	{
		$title = $ind17;
		$content = $ind20;
	}
	else
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$title = $ind246;
			$content = upload_file('FILE_UPLOAD', FNEWS_ROOT_PATH . 'smillies/', 'jpg&#124;gif&#124;jpeg&#124;png&#124;mng&#124;bmp', 10000, 'Smillie');
		}
	}
}

else if ( $id == 'addsmillie')
{/*id Smillies Add*/
	if ( !has_access (NEWS_ADMIN) )
	{
		$title = $ind17;
		$content = $ind20;
	}
	else
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$code = ( isset ($VARS['code']) ) ? $VARS['code'] : '';
			$after = ( isset ($VARS['after']) ) ? $VARS['after'] : '';

			if ( $code != '' && $after != '' )
			{
				if ( file_exists (FNEWS_ROOT_PATH . 'smillies/' . $after) )
				{
					$random = mt_rand();
					$after = trim($after,"\n..\r");
					$code = str_replace ('|<|', '&#124;<&#124;', $code);
					$code = addslashes(htmlentities($code));
					$info = $random . '|<|' . $code . '|<|' . $after . '|<|' . "\n";
					safe_write ('smillies.php', 'ab', $info);

					$title = $ind248;
					$content = make_redirect ($ind249, '?id=smillies', $ind335);
				}
				else
				{
					$title = $ind17;
					$content = $ind301;
				}
			}
		}
	}
}

else if ( $id == 'editsmillie') {/*id Smillies Edit*/
	if ( !has_access (NEWS_ADMIN) )
	{
		$title = $ind17;
		$content = $ind20;
	}
	else
	{
		if ( !check_form_character() )
		{
			$title = $ind17;
			$content = $ind298;
		}
		else
		{
			$code_smillie = ( isset ($VARS['code_smillie']) ) ? $VARS['code_smillie'] : array();
			$del_smillie = ( isset($VARS["del_smillie"]) ) ? $VARS['del_smillie'] : array();
			$smiley_image = ( isset ($VARS['smiley_image']) ) ? $VARS['smiley_image'] : array();

			$file = file (FNEWS_ROOT_PATH . 'smillies.php');
			array_shift ($file);
			
			$smilies = DENIED_MSG;
			
			foreach ( $code_smillie as $rand_id => $code )
			{
				if ( isset ($del_smillie[$rand_id]) )
				{
					continue;
				}

				$code = htmlentities ($code);
				$smilies .= $rand_id . '|<|' . $code . '|<|' . $smiley_image[$rand_id] . '|<|' . "\n";
			}

			safe_write ('smillies.php', 'wb', $smilies);

			$title = $ind250;
			$content = make_redirect ($ind251, '?id=smillies', $ind335);
		}
	}
}
else if ( $id == 'categories' )
{
	if ( !has_access (NEWS_ADMIN) )
	{
		$title = $ind17;
		$content = $ind20;
	}
	else
	{
		$action = ( isset ($VARS['action']) ) ? $VARS['action'] : '';

		if ( $action == 'add' )
		{
			if ( !check_form_character() )
			{
				$title = $ind17;
				$content = $ind298;
			}
			else
			{
				$name = ( isset ($VARS['name']) ) ? $VARS['name'] : '';
				$icon = ( isset ($VARS['icon']) ) ? $VARS['icon'] : '';
				$user_access = ( isset ($VARS['user_access']) ) ? $VARS['user_access'] : array();

				if ( !$name )
				{
					trigger_error ($ind129, E_USER_WARNING);
				}
				
				if ( sizeof ($user_access) <= 0 )
				{
					trigger_error ($ind374, E_USER_WARNING);
				}

				$file = file (FNEWS_ROOT_PATH . 'categories.php');
				array_shift ($file);
				
				$data = DENIED_MSG;

				$match = false;
				$last_id = 0;
				foreach ( $file as $category )
				{
					$cat = get_line_data ('categories', $category);

					if ( $cat['name'] == $name )
					{
						$match = true;
					}

					$last_id = $cat['category_id'];
				}

				if ( !$match )
				{
					trigger_error (sprintf ($ind315, $name), E_USER_WARNING);
				}

				$data .= implode ('', $file);
				$data .= $last_id + 1 . '|<|' . $name . '|<|' . $icon . '|<|' . implode (',', $user_access) . '|<|' . "\n";

				safe_write ('categories.php', 'wb', $data);

				$title = $ind316;
				$content = make_redirect (sprintf ($ind317, $name), '?id=categories', $ind336);
			}
		}
		else if ( $action == 'edit' )
		{
			$submit = ( isset ($VARS['submit']) ) ? true : false;

			if ( $submit )
			{
				if ( !check_form_character() )
				{
					$title = $ind17;
					$content = $ind298;
				}
				else
				{
					$category_id = ( isset ($VARS['category_id']) ) ? intval ($VARS['category_id']) : -1;
					$name = ( isset ($VARS['name']) ) ? $VARS['name'] : '';
					$icon = ( isset ($VARS['icon']) ) ? $VARS['icon'] : '';
					$user_access = ( isset ($VARS['user_access']) ) ? $VARS['user_access'] : array();
					$delete = ( isset ($VARS['delete']) );
					$posts_action = ( isset ($VARS['posts_action']) ) ? intval ($VARS['posts_action']) : 0;
					$new_category = ( isset ($VARS['new_category']) ) ? intval ($VARS['new_category']) : -1;

					if ( !category_exists ($category_id) )
					{
						$title = $ind17;
						$content = sprintf ($ind198, $category_id);
					}
					else if ( $name == '' )
					{
						$title = $ind17;
						$content = $error23;
					}
					else if ( $delete && $category_id == 1 )
					{
						$title = $ind17;
						$content = sprintf ($ind10, $name);
					}
					else
					{
						$file = file (FNEWS_ROOT_PATH . 'categories.php');
						array_shift ($file);
						
						$write = DENIED_MSG;

						foreach ( $file as $line )
						{
							$cat = get_line_data ('categories', $line);

							if ( (int)$cat['category_id'] === $category_id )
							{
								if ( $delete )
								{
									continue;
								}

								$write .= $cat['category_id'] . '|<|' . $name . '|<|' . $icon . '|<|' . implode (',', $user_access) . '|<|' . "\n";
							}
							else
							{
								$write .= $line;
							}
						}

						safe_write ('categories.php', 'wb', $write);

						if ( $delete )
						{
							$file = file (FNEWS_ROOT_PATH . 'news/toc.php');
							array_shift ($file);
							
							$data = DENIED_MSG;

							foreach ( $file as $news )
							{
								$toc = get_line_data ('news_toc', $news);
								
								if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php') )
								{
									continue;
								}
									
								$news_file = file (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php');
								$article = get_line_data ('news', $news_file[1]);

								$exploded_cat = explode (',', $toc['categories']);
								if ( in_array ($category_id, $exploded_cat) )
								{
									switch ( $posts_action )
									{
										case 1: // Move posts
											$cs_cats = array();
											foreach ( $exploded_cat as $cat )
											{
												if ( (int)$cat === $category_id )
												{
													if ( !in_array ($new_category, $exploded_cat) )
													{
														$cs_cats[] = $new_category;
													}
												}
												else
												{
													$cs_cats[] = (int)$cat;
												}
											}

											$article['categories'] = $toc['categories'] = implode (',', $cs_cats);

											$data .= implode ('|<|', $toc) . '|<|' . "\n";
											$news_file[1] = implode ('|<|', $article) . '|<|' . "\n";

											$write = implode ('', $news_file);
											safe_write ('news/news.' . $article['news_id'] . '.php', 'wb', $write);
										break;
										
										case 2: // Delete posts
											unlink (FNEWS_ROOT_PATH . 'news/news.' . $article['news_id'] . '.php');
										break;
										
										default:
										break;
									}
								}
								else
								{
									$data .= $news;
								}
							}

							safe_write ('news/toc.php', 'wb', $data);
						}

						$title = $ind1;
						$content = make_redirect ($ind2, '?id=categories', $ind336);
					}
				}
			}
			else
			{
				$catid = ( isset ($VARS['category']) ) ? intval ($VARS['category']) : 0;

				if ( !category_exists ($catid) )
				{
					$title = $ind17;
					$content = sprintf ($ind198, $catid);
				}
				else
				{
					$title = $ind314;

					$content = '<form method="post" action="?id=categories">';
					$content .= get_form_security();

					$file = file ($users);
					array_shift ($file);

					$user_array = array();
					foreach ( $file as $user )
					{
						$user = get_line_data ('users', $user);
						$user_array[] = array ('user' => $user['username'], 'nick' => $user['nickname']);
					}

					$file = file (FNEWS_ROOT_PATH . 'categories.php');
					array_shift ($file);

					foreach ( $file as $category )
					{
						$category = get_line_data ('categories', $category);

						if ( (int)$category['category_id'] === $catid )
						{
							$user_select = '<select name="user_access[]" multiple="multiple" size="4">';
							$allowed_users = explode (',', $category['users']);
							foreach ( $user_array as $user )
							{
								if ( in_array ($user['user'], $allowed_users) )
								{
									$user_select .= '<option value="' . $user['user'] . '" selected="selected">' . $user['nick'] . '</option>';
								}
								else
								{
									$user_select .= '<option value="' . $user['user'] . '">' . $user['nick'] . '</option>';
								}
							}
							$user_select .= '</select>';

							$category_select = build_categories_list ('', array ($catid), 2);
							$category_select = str_replace ('id="category" name="category"', 'id="new_category" name="new_category"', $category_select);

							$content .= <<< html
<table class="adminpanel">
	<thead>
		<tr>
			<th colspan="2">{$category['name']}</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th colspan="2">
				<input type="hidden" name="category_id" value="$catid" />
				<input type="hidden" name="action" value="edit" />
				<input type="submit" name="submit" class="mainoption" value="$ind314" />
				<input type="reset" value="$ind16" />
			</th>
		</tr>
	</tfoot>
	<tbody>
		<tr>
			<td>$ind139</td>
			<td><input type="text" name="name" id="name" value="{$category['name']}" size="20" /></td>
		</tr>
		<tr>
			<td>$ind7</td>
			<td>
				<input type="text" name="icon" id="icon" value="{$category['icon']}" size="20" />
			</td>
		</tr>
		<tr>
			<td valign="top">$ind208 (<abbr title="$ind313">?</abbr>)</td>
			<td valign="top">
				$user_select
			</td>
		</tr>
html;

							if ( $catid > 1 )
							{
								$content .= <<< html
		<tr>
			<td>&nbsp;</td>
			<td>
				<input type="checkbox" name="delete" id="delete" value="1" />
				<label for="delete">$ind97</label>
			</td>
		</tr>
		<tr>
			<td valign="top">$ind136 (<abbr title="$ind201">?</abbr>)</td>
			<td valign="top">
				<input type="radio" name="posts_action" checked="checked" value="1" /> $ind199 $category_select<br />
				<input type="radio" name="posts_action" value="2" /> $ind206
			</td>
		</tr>

html;
							}

							$content .= <<< html
	</tbody>
</table>
html;

							break;
						}
					}

					$content .= <<< html
</form>
html;
				}
			}
		}
		else
		{
			$title = $ind311;

			$user_list = '<select name="user_access[]" size="5" multiple="multiple">';
			$file = file ($users);
			array_shift ($file);
			$usernicks = array();
			foreach ( $file as $user )
			{
				$user = get_line_data ('users', $user);
				$usernicks[$user['username']] = $user['nickname'];
				$user_list .= '<option value="' . $user['username'] . '">' . $user['nickname'] . '</option>';
			}

			$user_list .= '</select>';

			$content = '<form method="post" action="?id=categories">' . "\n";
			$content .= get_form_security();
			$content .= <<< html
<table class="adminpanel">
	<thead>
		<tr>
			<th colspan="2">$ind312</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th colspan="2">
				<input type="hidden" name="action" value="add" />
				<input type="submit" class="mainoption" value="$ind312" />
			</th>
		</tr>
	</tfoot>
	<tbody>
		<tr>
			<td>$ind139</td>
			<td><input type="text" name="name" id="name" size="20" /></td>
		</tr>
		<tr>
			<td>$ind7</td>
			<td>
				<input type="text" name="icon" id="icon" size="20" />
			</td>
		</tr>
		<tr>
			<td valign="top">$ind208 (<abbr title="$ind313">?</abbr>)</td>
			<td valign="top">
				$user_list
			</td>
		</tr>
	</tbody>
</table>
</form>
<p></p>
html;
			$file = file (FNEWS_ROOT_PATH . 'categories.php');
			array_shift ($file);
			$count = array();
			if ( sizeof ($file) > 0 )
			{
				// There are categories. Lets do a count of the news posts in each category.
				foreach ( $file as $category )
				{
					$category = get_line_data ('categories', $category);
					$count += array ($category['category_id'] => 0);
				}

				$news_file = file (FNEWS_ROOT_PATH . 'news/toc.php');
				array_shift ($news_file);
				foreach ( $news_file as $news_line )
				{
					$toc = get_line_data ('news_toc', $news_line);
					
					if ( !file_exists (FNEWS_ROOT_PATH . 'news/news.' . $toc['news_id'] . '.php') )
					{
						continue;
					}
					
					$cats = explode (',', $toc['categories']);
					foreach ( $cats as $cat )
					{
						++$count[$cat];
					}
				}
			}

			$category_list = '<tbody>';
			foreach ( $file as $category )
			{
				$category = get_line_data ('categories', $category);

				$cicon = ( !empty ($category['icon']) ) ? '<img src="' . $category['icon'] . '" alt="" />' : '';

				$user_dropdown = '<select>';
				$userlist = explode (',', $category['users']);
				if ( $category['category_id'] == 1 )
				{
					foreach ( $usernicks as $nick )
					{
						$user_dropdown .= '<option>' . $nick . '</option>';
					}
				}
				else if ( !empty ($userlist[0]) )
				{
					foreach ( $userlist as $user )
					{
						$user_dropdown .= '<option>' . $usernicks[$user] . '</option>';
					}
				}
				$user_dropdown .= '</select>';

				$category_list .= '<tr>';
				$category_list .= '<td style="text-align:center">' . $category['category_id'] . '</td>';
				$category_list .= '<td>' . $category['name'] . '</td>';
				$category_list .= '<td style="text-align:center"><a href="?id=editposts&amp;category=' . $category['category_id'] . '">' . $count[$category['category_id']] . '</a></td>';
				$category_list .= '<td style="text-align:center">' . $cicon . '</td>';
				$category_list .= '<td>' . $user_dropdown . '</td>';
				$category_list .= '<td style="text-align:center"><a href="?id=categories&amp;action=edit&amp;category=' . $category['category_id'] . '">' . $ind30b . '</a></td>';
				$category_list .= '</tr>';
			}
			$category_list .= '</tbody>';

			$content .= <<< html
<table class="adminpanel">
	<thead>
		<tr>
			<th colspan="6">$ind314</th>
		</tr>
		<tr>
			<th>$ind346</th>
			<th>$ind139</th>
			<th>$ind82</th>
			<th>$ind140</th>
			<th>$ind208</th>
			<th>$ind30b</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<th colspan="6">&nbsp;</th>
		</tr>
	</tfoot>
	$category_list
</table>
html;
		}
	}
}
elseif ($id == 'logout')
{ /*id Logout*/
	login_session_destroy ($sid);

	header ('Location: ./index.php');
}
else
{
	header ('Location: ./index.php');
}

/**
 * And finally display the output
 */
display_output();

?>
