//<![CDATA[

function show_emo ( path )
{
	if ( document.all )
	{
		var image_obj = document.images['emopreview'];
		var after_obj = document.forms['theAdminForm'].elements['after'];
	}
	else
	{
		var image_obj = document.getElementById('emopreview');
		var after_obj = document.getElementById('after');
	}

	var emoticon = after_obj.options[after_obj.selectedIndex].value
	
        image_obj.src = './' + path + '/' + emoticon;
	image_obj.title = emoticon;
	image_obj.alt = emoticon;
}

function window_pop ( url, name, width, height )
{
	var popup = window.open (url, name, "height=" + height + ", width=" + width + ", resizable=yes, scrollbars=yes");
	// Just in case the window already exists, so the window will appear still!
	popup.focus();
}

function un_check_all ( form_name, checked )
{
	if ( document.all )
	{
		var form_obj = document.forms[form_name];
	}
	else
	{
		var form_obj = document.getElementById(form_name);
	}

	var i = 0;
	var form_size = ( document.all ) ? form_obj.length : form_obj.elements.length;
	for ( i = 0; i < form_size; i++ )
	{
		var e = form_obj.elements[i];
		
		if ( e.type == 'checkbox' )
		{
			e.checked = checked;
		}
	}
	
	check_if_selected (form_name);
}

function smiley_bbcode ( form_name, textbox_name, text, caretPos )
{
	// Thanks to ricrat51 @ fusionnews.net forums for reporting this
	// bug and then providing me with a fix :)	
	if ( document.all )
	{
		var textbox = document.forms[form_name].elements[textbox_name];
	}
	else
	{
		var textbox = document.getElementById(textbox_name);
	}
	
	 //IE support
	if ( document.selection )
	{
		textbox.focus();
		sel = document.selection.createRange();
		sel.text = text;
		textbox.focus();
	}
	//MOZILLA/NETSCAPE support
	else if ( textbox.selectionStart || textbox.selectionStart == '0' )
	{
		var startPos = textbox.selectionStart;
		var endPos = textbox.selectionEnd;
		var scrollTop = textbox.scrollTop;
		textbox.value = textbox.value.substring (0, startPos) + text + textbox.value.substring (endPos, textbox.value.length);
		
		textbox.focus();
		
		if ( caretPos == undefined )
		{
			textbox.selectionStart = startPos + text.length;
			textbox.selectionEnd = startPos + text.length;
		}
		else
		{
			textbox.selectionStart = startPos + caretPos;
			textbox.selectionEnd = startPos + caretPos;
		}
		textbox.scrollTop = scrollTop;
	}
	else
	{
		textbox.value += text;
		textbox.focus();
	}
}

function jump_template ( form )
{
	var lists = form.menu.options[form.menu.selectedIndex].value;
	
	if ( lists >= 0 && lists <= 7 )
	{
		window.location.href = './index.php?id=edittemps&show=' + lists;
	}
}

function submitonce(theform) {
	if ( document.all || document.getElementById )
	{
		// hunt down "submit" and "reset"
		for ( i = 0; i < theform.length; i++ )
		{
			var tempobj = theform.elements[i];
			if ( tempobj.type.toLowerCase() == "submit" || tempobj.type.toLowerCase() == "reset" )
			{
				//disable it
				tempobj.disabled=true;
			}
		}
	}
}

function check_if_selected ( form_name )
{
	if ( document.all )
	{
		var form_obj = document.forms[form_name];
	}
	else
	{
		var form_obj = document.getElementById(form_name);
	}

	var button_disabled = true;
	var i = 0;
	var form_size = ( document.all ) ? form_obj.length : form_obj.elements.length;
	
	// hunt down "checkbox"
	for ( i = 0; i < form_size; i++ )
	{
		var e = form_obj.elements[i];
		if ( e.type == 'checkbox' && e.checked )
		{
			button_disabled = false;
		}
	}
	
        // hunt down "mainoption" class inputs
	for ( i = 0; i < form_size; i++ )
	{
		var e = form_obj.elements[i];
		if ( e.className == 'mainoption' )
		{
			e.disabled = button_disabled;
		}
	}
}

function PreviewArticle ( page_id, form_name, article_id )
{
	if ( document.all )
	{
		var form_obj = document.forms[form_name];
	}
	else
	{
		var form_obj = document.getElementById(form_name);
	}
	
	form_obj.action = "index.php?id=" + page_id + "&action=preview";
	if ( article_id >= 0 )
	{
		form_obj.action += "&num=" + article_id
	}
}

function Delete(){
  if(document.formpke.deleteuser.value == "no"){
     document.formpke.deleteuser.value = "yes";
  }else{
     document.formpke.deleteuser.value = "no";
  }
}

function toggleView ( identifier )
{
	if ( document.getElementById(identifier) )
	{
		if ( document.getElementById(identifier).style.display == 'block' )
		{
			document.getElementById(identifier).style.display = 'none';
		}
		else
		{
			document.getElementById(identifier).style.display = 'block';
		}
	} 
}
//]]>